2006-12-22 07:52  n0nb

	* NEWS, configure.ac: Update NEWS and configure.ac for 1.2.6
	release.

2006-12-10 09:27  n0nb

	* ChangeLog, NEWS: Bring Changelog and NEWS up-to-date for 1.2.6rc1

2006-12-10 08:41  n0nb

	* AUTHORS, README.developer, configure.ac: Welcome DL1JBE, AD7AI,
	W1HKJ to the Hamlib developers group.  Advise against editing
	Changelog directly.  Bump to 1.2.6rc1

2006-11-29 13:38  y32kn

	* kenwood/ts570.c: Transferred all improvements for the TS570D/DG
	made since 1.24 to the TS570S/SG variant. Both models are in sync
	now.

2006-11-26 18:23  n0nb

	* include/hamlib/riglist.h: 20061126:	Update: 		Add
	G313 to riglist.h.  Thanks to Andrea Russo for		   
	pointing this out.

2006-11-19 07:06  n0nb

	* winradio/g313.c: 20061119:	New:		New g313.c for
	G313i/G313e RX support.  Thanks to		 Simone Stoeppler
	for this support.

2006-11-18 21:04  n0nb

	* winradio/: Makefile.am, winradio.c, winradio.h: 20061118:    
	Update: 		New Winradio backend, G313i/G313e RX, from
	Simone Stoeppler.

2006-11-08 22:32  n0nb

	* bindings/Makefile.am: 20061108:	Update: 	       
	Commented out the commands to the uninstall-perl target 	   
	    as it's broken and causes a make error and failure.

2006-11-07 15:57  n0nb

	* README.betatester, README.developer, autogen.sh,
	tentec/Makefile.am: 20061107:	     Update:		     Add
	orion.h to Makefile.am and edited README.betatester		   
	and README.developer for clarity (hopefully).  Added a	       
	comment to autogen.sh (no command changes).

2006-11-07 06:21  n0nb

	* icom/Makefile.am, icom/ic7000.c, icom/ic746.c, icom/ic7800.c,
	icom/icom.c, icom/icom.h, include/hamlib/rig.h: 20061107:      
	New:		icom/ic7000.c	Update: 		Various
	Icom updates from AD7AI

2006-11-06 22:28  n0nb

	* bindings/: Makefile.PL, Makefile.am: 20061106:	Update:    
		    Fix distclean bug in bindings Makefile

2006-11-06 13:35  y32kn

	* kenwood/ts570.c: corrected set/get func for RIG_FUNC_NR.  Now you
	can set/get NR-modes 0..2

2006-11-06 07:43  y32kn

	* kenwood/ts570.c: implemented get/set level for PREAMP

2006-11-02 09:19  aa6e

	* aor/README.ar5000, aor/aor.c, aor/aor.h, aor/ar5000.c,
	include/hamlib/rig.h, include/hamlib/riglist.h, src/misc.c: SM6PPS
	mods for AOR 5000a

2006-10-30 14:20  aa6e

	* doc/hamlib.cfg.in, doc/hamlib.css, doc/index.doxygen,
	tentec/tentec.h: documentation

2006-10-30 14:17  aa6e

	* tentec/: orion.c, orion.h: split orion.c and add doc info

2006-10-27 22:49  aa6e

	* include/hamlib/rig.h, src/ext.c, src/token.h: documentation

2006-10-17 09:28  aa6e

	* src/token.h: documentation

2006-10-16 20:26  aa6e

	* doc/index.doxygen: documentation page

2006-10-16 20:23  aa6e

	* include/hamlib/rig.h: fix enum documentation

2006-10-15 14:51  aa6e

	* aor/ar5000.c: patch from SM6PPS

2006-10-15 08:12  aa6e

	* aor/aor.c: allow atten = 0 dB

2006-10-14 19:49  aa6e

	* doc/hamlib.cfg.in: documentation

2006-10-14 19:27  aa6e

	* src/: cal.c, conf.c, debug.c, event.c, ext.c, iofunc.c,
	locator.c, mem.c, misc.c, parallel.c, register.c, rig.c,
	rot_conf.c, rot_reg.c, rotator.c, serial.c, settings.c, tones.c,
	usb_port.c: documentation

2006-10-14 19:24  aa6e

	* doc/hamlib.cfg.in, doc/hamlib.css, doc/index.doxygen,
	include/hamlib/rig.h, include/hamlib/rotator.h,
	include/hamlib/rotlist.h: documentation

2006-10-13 13:24  aa6e

	* Makefile.am: add comment

2006-10-13 13:24  aa6e

	* doc/: footer.html, hamlib.cfg.in, hamlib.css, index.doxygen: doc
	improvements

2006-10-13 09:33  aa6e

	* INSTALL: info on generating docs

2006-10-13 07:02  aa6e

	* include/hamlib/rig_dll.h: add comments

2006-10-12 14:19  aa6e

	* doc/: footer.html, hamlib.cfg.in, hamlib.css, index.doxygen:
	doxygen formatting

2006-10-12 13:56  aa6e

	* src/mem.c: minor - doxygen parameters

2006-10-12 11:41  aa6e

	* include/hamlib/rig.h: minor - add doxygen info for enums

2006-10-07 16:40  csete

	* ChangeLog: Updated.

2006-10-07 16:33  csete

	* src/iofunc.c: Cast constant caps to variable caps in order to
	avoid compiler warnings.

2006-10-07 16:10  csete

	* aor/: aor.c, ar3000.c, ar3030.c, ar7030.c: - Fixed type
	mismatches and unhandled switch cases.	- Incremented backend
	version numbers.

2006-10-07 15:45  csete

	* icom/: frame.c, icom.c, icom.h, icr75.c, optoscan.c: Fixed type
	mismatches between signed and unsigned char.  There are a few very
	suspicious 'if' statements in icom.c and frame.c

2006-10-07 15:13  csete

	* icom/: ic756.c, ic746.c: Initialise icom_val to avoid compiler
	warning.

2006-10-07 14:56  csete

	* tests/: memload.c, memsave.c: Fixed type mismatches that caused
	compile warnings.

2006-10-07 14:24  csete

	* tests/rigctl.c: Fixed type mismatches that caused compile
	warnings.

2006-10-07 14:12  csete

	* tests/rotctl.c: - Cast unsigned char to char in order to avoid
	compiler warnings.  - Handle all enum values in switch statements.

2006-10-07 14:08  csete

	* sartek/sartek.c: - Cast/change unsigned char to char in order to
	fix compile warnings.  - Incremented backend version numbers.

2006-10-07 14:04  csete

	* rotorez/rotorez.c: - Cast/change unsigned char to char in order
	to fix compile warnings.  - Incremented backend version numbers.

2006-10-07 14:00  csete

	* easycomm/easycomm.c: - Cast/change unsigned char to char in order
	to fix compile warnings.  - Incremented backend version number.

2006-10-07 13:55  csete

	* wj/: wj.c, wj8888.c: - Cast/change unsigned char to char in order
	to fix compile warnings.  - Incremented backend version number.

2006-10-07 13:52  csete

	* tapr/: dsp10.c, tapr.c: - Cast/change unsigned char to char in
	order to fix compile warnings.	- Incremented backend version
	number.

2006-10-07 13:48  csete

	* rft/: ekd500.c, rft.c: - Cast/change unsigned char to char in
	order to fix compile warnings.	- Incremented backend version
	number.

2006-10-07 13:01  csete

	* lowe/: hf235.c, lowe.c: - Cast/change unsigned char to char in
	order to fix compile warnings.	- Incremented backend version
	numbers.

2006-10-07 12:56  csete

	* drake/: drake.c, drake.h: - Cast/change unsigned char to char in
	order to fix compile warnings.	- Incremented backend version
	numbers.

2006-10-07 12:51  csete

	* jrc/: jrc.c, jrc.h: - Cast/change unsigned char to char in order
	to fix compile warnings.  - Incremented backend version number.

2006-10-07 12:42  csete

	* kachina/: 505dsp.c, kachina.c: - Cast unsigned char to char in
	order to avoid compiler warnings.  - Incremented backend version
	number.

2006-10-07 12:38  csete

	* tentec/: jupiter.c, tentec.c, tentec2.c, tt550.c: - Cast unsigned
	char to char in order to avoid compiler warnings.  - Ensure that
	all variables have a value before they are used (tentec.c).

2006-10-07 11:55  csete

	* alinco/: alinco.c, dx77.c: Cast unsigned char to char in order to
	avoid compiler warnings. Incremented backend version number.

2006-10-07 11:42  csete

	* pcr/: pcr.c, pcr.h, pcr100.c: Use tone_t for pcr1_ctcss_list.
	Changed arg 4 of pcr_transaction to unsigned. Cast the other
	mismatches to (char *).

2006-10-07 10:51  csete

	* yaesu/: frg100.c, frg8800.c, frg9600.c, ft100.c, ft1000mp.c,
	ft736.c, ft747.c, ft757gx.c, ft817.c, ft847.c, ft857.c, ft890.c,
	ft897.c, ft900.c, ft920.c, ft990.c, vr5000.c, yaesu.c: - Cast
	unsigned char to char in order to avoid compiler warnings.  -
	Ensure that all variables have a value before they are used
	(ft920).  - Disable unused functions and variables (frg100).  -
	Incremented backend version numbers.

2006-10-07 08:26  csete

	* src/mem.c: Cast from const to variable in order to avoid compiler
	warnings.

2006-10-07 08:08  csete

	* src/: rig.c, rotator.c: Cast constant caps to variable caps in
	order to avoid compiler warnings.

2006-09-27 06:38  n0nb

	* include/hamlib/rig.h: 20060927:	Update: 	       
	Update to rig.h from AD7AI

2006-09-22 14:55  n0nb

	* ChangeLog, icom/frame.c, icom/frame.h, icom/ic746.c,
	icom/ic756.c, icom/icom.c, icom/icom.h, icom/icom_defs.h,
	src/ext.c: 20060922:   Update:		       Applied Icom patches
	received 4 Sep 2006 from Kent		   Hill, AD7AI

2006-09-22 13:27  n0nb

	* tentec/tentec2.c: 20060922:	Update: 		Applied
	tentec2.c from Dave Freese, W1HKJ

2006-09-22 09:31  n0nb

	* ChangeLog, include/hamlib/rig.h, tests/rigctl.c,
	tests/rigmatrix.c: 20060922:	     Update:		    
	Applied July 30, 2006 patches from Kent Hill, AD7AI

2006-08-20 08:39  y32kn

	* kenwood/ts570.c: implemented TS570 specific
	get/set_memory_channel function

2006-07-18 18:06  n0nb

	* kylix/hamlib_rigapi.pas: 20060718:	Update: 	       
	Changed RIG_FUNC_RNF to RIG_FUNC_RF for Icom RTTY filter.	   
	    TNX AD7AI

2006-07-18 17:51  n0nb

	* ChangeLog, icom/frame.c, icom/frame.h, icom/ic746.c,
	icom/ic756.c, icom/ic7800.c, icom/icom.c, icom/icom.h,
	icom/icom_defs.h, include/hamlib/rig.h, src/misc.c,
	tests/dumpmem.c, tests/rigctl.c: 20060718:    Update:		   
	  Committing patches received from AD7AI for several Icom	   
	      models including IC-746, IC-756, and IC-7800.

2006-07-10 11:15  n0nb

	* README, README.betatester, README.developer: 20060710:       
	Update: 		Miscellaneous updates and corrected
	spelling.

2006-07-09 23:01  n0nb

	* README.developer: 20060709:	Update: 		Corrected
	anonymous URL in README.developer

2006-07-02 12:05  csete

	* dummy/dummy.c: Added RIT, XIT and IF shift ranges to dummy
	backend.

2006-04-23 09:16  aa6e

	* tentec/README: Orion S-meter cal

2006-04-13 17:24  aa6e

	* tentec/orion.c: Squashed warnings about signedness

2006-04-13 14:43  pa4tu

	* kenwood/: th.c, tmv7.c: long long really needed here? - patch by
	diane Bruce

2006-04-10 13:01  pa4tu

	* kenwood/: ts140.c, ts680.c: updates by matt, GW0VNR

2006-04-10 13:00  pa4tu

	* kenwood/kenwood.c: long long really needed here?

2006-04-10 12:27  pa4tu

	* bindings/: Makefile.PL, Makefile.am: remove rpath backdoor

2006-03-26 02:01  pa4tu

	* kenwood/ts850.c: re-establish post-write delay

2006-03-22 15:31  csete

	* yaesu/ft817.c: Full RF power scale corresponds to 10 bars, not
	15.

2006-03-18 04:45  y32kn

	* kenwood/ts570.c: fixed tansition from 'unsigned char' -> 'char'

2006-03-18 04:42  y32kn

	* kenwood/ts570.c: fixed get/set level for RFPOWER and MICGAIN. 
	(based on range 0..100)

2006-03-18 01:41  y32kn

	* include/hamlib/rig.h: Must correspond to the following definition
	of 'setting_t'

2006-03-16 13:36  pa4tu

	* kenwood/ts850.c: add RIG_LEVEL_STRENGTH to caps, set post write
	delay to 0 and do some cleanups

2006-03-14 14:35  pa4tu

	* kenwood/ts570.c: extend rig capabilities, patch by Tom, DL1JBE

2006-03-14 14:29  pa4tu

	* kenwood/: ts570.c, ts680.c, ts850.c, ts870s.c: more unsigned
	char->char and int->size_t transitions

2006-03-14 14:06  pa4tu

	* kenwood/: th.c, thg71.c, tmv7.c, ts140.c, ts450s.c, ts480.c: make
	sure we use ack_len=0 for functions that return nothing (set
	functions)

2006-03-14 02:36  pa4tu

	* kenwood/kenwood.c: set functions should have ack_len zero, also
	need to check other rigs

2006-03-12 03:02  pa4tu

	* kenwood/: tmv7.c, ts140.c, ts2000.c, ts450s.c, ts480.c: more
	unsigned char->char and int->size_t transitions

2006-03-09 14:12  pa4tu

	* kenwood/th.c: fix more compilation warnings, int->size_t,
	unsigned char->char

2006-03-09 13:51  pa4tu

	* kenwood/thg71.c: use size_t

2006-03-09 13:45  pa4tu

	* kenwood/: kenwood.c, kenwood.h: more compilation warnings nuked,
	use tone_t for ctcss_list

2006-03-07 13:48  pa4tu

	* kenwood/: ic10.c, kenwood.c: fix compilation warnings

2006-03-07 12:25  pa4tu

	* bindings/pytest.py: fix coding, python2.4 compatibility

2006-03-06 17:02  fillods

	* c++/Makefile.am, src/Makefile.am: drop the release version from
	shared library name

2006-02-26 17:28  fillods

	* src/: debug.c, mem.c: win32 fixes

2006-02-26 16:37  fillods

	* configure.ac, src/Makefile.am: get ready for next round

2006-02-26 13:46  fillods

	* NEWS, configure.ac: 1.2.5 release

2006-02-26 13:37  fillods

	* macros/: gr_doxygen.m4, perl.m4, pkg.m4, tcl.m4: quote
	definitions to make automake-1.9 happy

2006-02-26 13:33  fillods

	* missing, mkinstalldirs: remove files added by autotools

2006-02-26 13:31  fillods

	* AUTHORS: welcome to Lars

2006-02-26 13:29  fillods

	* src/conf.c, src/locator.c, src/rotator.c, src/settings.c,
	src/tones.c, tests/rigctl.1, tests/rigmem.1, tests/rigswr.1,
	tests/rotctl.1: bump (c) date

2006-02-26 13:28  fillods

	* src/rig.c: bump (c) date,  add delay if RTS/DTR is set

2006-02-26 13:24  fillods

	* macros/gr_swig.m4: deadwood

2006-02-26 13:23  fillods

	* kenwood/ts790.c: misc

2006-02-26 13:22  fillods

	* icom/ic761.c: change status

2006-02-26 13:21  fillods

	* aor/ar7030.c: filter fix after Rolf Wernli suggestion

2006-02-26 13:18  aa6e

	* tentec/README: Added Orion, Orion 2 info

2006-02-26 12:48  fillods

	* icom/: frame.c, ic751.c: Patch from Lars E. Pettersson, sm6rpz
	
	The code should work on IC-751 and IC-751A, both with the original
	Icom UX-14 board (an option needed to be able to use CI-V) and the
	Piexx UX-14px-board.
	
	The Piexx UX-14px board have the same capabilities as the Icom one,
	but adds S-meter reading, and PTT (can not read if the PTT is set
	though.)
	
	The Icom IC-751 had FM as an option, the IC-751A had FM built in.
	
	I had to add an extra if-statement in frame.c for the CW-narrow to
	work.  The bandwidth numbers used by Icom seem to be a jungle...

2006-02-26 00:25  bwulf

	* yaesu/ft990.c: Fixed bug in ft990_set_mode that caused RTTY
	interchanged modes USB/LSB Fixed bugs in ft990_get_channel

2006-02-26 00:17  bwulf

	* yaesu/ft990.h: Added missing modes to RX/TX caps

2006-02-26 00:12  bwulf

	* AUTHORS: Fixed mispelled name for VK5ABN

2006-02-20 16:41  fillods

	* src/usb_port.c: misc comment fix

2006-02-20 16:40  fillods

	* bindings/perltest.pl: example how to change baud rate

2006-02-20 16:28  fillods

	* kenwood/ts2000.c: Patch from Patrick Ouellette KB8PYM to get most
	of the things that hamlib supports from the get_level call working
	on the TS2000.
	
	Things working in this patch:  PREAMP status  ATTENUATOR status 
	VOX level  AF level (main receiver)  RF GAIN level  SQUELCH level
	(main receiver)  CW PITCH  RF POWER level  MIC GAIN level  KEYER
	SPEED  COMPRESSION level  AGC level  CW BREAK IN DELAY	METER mode 
	VOX GAIN  RAW SIGNAL STRENGTH (main receiver)  SIGNAL STRENGTH
	(S-meter for main receiver)

2006-01-16 15:00  fillods

	* src/debug.c: added rig_set_debug_callback example in
	documentation

2006-01-15 08:25  fillods

	* src/mem.c: flesh out rig_[sg]et_mem_all{,_cb} functions, still
	some work needed on it though

2006-01-15 08:23  fillods

	* include/hamlib/rig.h: values passed to rig_set_mem_all are
	supposed to be constant

2006-01-15 08:22  fillods

	* bindings/Makefile.am: fix problem: build bindings libs as real LT
	libs and not convenience libs(ar format) with some automake/libtool

2006-01-09 15:45  fillods

	* icom/icom.c: added IC-7000 in CI-V addr list

2006-01-09 15:41  fillods

	* rpcrig/rpcrig.x: cleanup

2006-01-09 15:40  fillods

	* kit/kit.c: usb.h to needed for the DWT

2006-01-09 15:16  fillods

	* AUTHORS: Luc is new easycomm maintainer

2006-01-09 15:14  fillods

	* tentec/: rx320.c, tentec.c, tentec.h: SF Patches item #1397439
	Submitted By: Ken Prox (kprox)
	
	Initial Comment: Here is a patch for the Ten-Tec RX-320(d).
	
	1) IF shift (Pass Band Tuning) like the xclass version.  2) CW beat
	frequency adjustment.  3) Inverted AF adjustment such that up is
	increasing volume.  4) Recompute and re-send frequency with CWBFO
	and PBT adjustment.

2005-11-19 08:45  fillods

	* easycomm/easycomm.c: Patch from Luc Langehegermann: Changed the
	limits to 0..360 for Azimuth and 0..180 for Elevation. That was
	-180.0..180.0 and 0..90. The devices I know about don't have
	negative azimuth values.
	
	2. In rot_set_position, do not wait for a reply from the
	controller, as there will not be one, according to the
	specifications I found at
	http://www.amsat.org/amsat/ftp/software/win32/wisp/easycomm.txt

2005-11-19 08:41  fillods

	* configure.ac, src/usb_port.c: make libusb usage optional

2005-11-17 16:17  fillods

	* include/hamlib/riglist.h: added IC7000 id

2005-11-17 16:16  fillods

	* configure.ac: don't fail if optional pkg are not found

2005-11-01 17:40  fillods

	* kit/dwt.c: usb freq setting

2005-11-01 17:14  fillods

	* kit/: Makefile.am, kit.c, kit.h: added DWT and USRP models

2005-11-01 17:12  fillods

	* kit/: dwt.c, usrp.c, usrp_impl.cc, usrp_impl.h: initial release

2005-11-01 17:05  fillods

	* include/hamlib/riglist.h: * renamed SDR RIG_MODEL_USRP model as
	RIG_MODEL_USRP_G * added DWT, SDR-1000RFE, USRP0, USRP

2005-11-01 17:02  fillods

	* include/hamlib/rig.h, src/Makefile.am, src/rig.c, src/usb_port.c,
	src/usb_port.h: added usb port type support

2005-11-01 16:57  fillods

	* configure.ac: check for usb and usrp packages

2005-11-01 16:53  fillods

	* AUTHORS: update

2005-10-27 15:34  fillods

	* src/parallel.c: Patch is courtesy Petr Salinger, fixing
	compilation on the GNU/kFreeBSD

2005-09-28 16:17  fillods

	* kenwood/ts2000.c: The TS-2000 has non standard LEVEL_STRENGTH and
	LEVEL_ATT.  This patch by Patrick Ouellette (and reworked by me)
	fixes it.

2005-09-28 16:14  fillods

	* kenwood/kenwood.c: added RIG_LEVEL_RAWSTR, and some formating

2005-09-28 16:07  dl1nc

	* hamlib.m4: added quoting for newer autoconf [supplied by Thomas
	Klausner]

2005-09-24 02:48  fillods

	* kenwood/kenwood.c: re-indent

2005-09-04 05:44  csete

	* yaesu/: ft817.c, ft817.h: Applied Tommi's improvements from the
	FT-857 backend with the following changes and additions:
	
	- Frequency ranges, tuning steps and TX power levels.  - Added
	ROG_MODE_PKTFM and disabled set WFM since it cannot be explicily
	set.  - Added narrow CW modes.	- Enabled set_powerstat.  - Created
	private DCS codes list (not all from tone.h are supported).  -
	Modified CTCSS and DCS code; it is a little different than the 857.
	 - Added RIG_LEVEL_RAWSTR and RIG_OP_TOGGLE.  - Added set_split_vfo
	to toggle split ON/OFF (vfo args are silently ignored).   
	get_split_vfo left out becasue it only works when PTT is ON :o)

2005-06-20 16:15  fillods

	* src/rig.c: rig_mW2power fix reported by Brian Mury VE7NGR

2005-05-04 15:57  fineware

	* jrc/: jrc.c, nrd545.c: Added missing manual notch switch for the
	NRD-545

2005-05-01 06:09  fineware

	* jrc/jrc.c: Fixed several differences in 535/545 commands

2005-04-21 15:50  fillods

	* jrc/jrc.c: fixes around continuous mode

2005-04-21 15:19  fillods

	* aor/aor.c: handle empty channels, bank_num, chop trailing spaces
	off memory names, allow aor_get_channel(RIG_VFO_CURR)

2005-04-20 11:43  fillods

	* jrc/jrc.c: fix Hold on decode, get out of remote mode for the I
	command

2005-04-20 11:36  fillods

	* jrc/nrd545.c: added more vfo_ops

2005-04-20 10:31  fillods

	* icom/frame.c: tab reformat

2005-04-20 09:50  fillods

	* aor/: aor.c, ar5000.c, ar8000.c, ar8200.c: make use of save
	memory at once API, don't expect and ack in aor_close

2005-04-20 09:48  fillods

	* aor/: Makefile.am, aor.h, ar2700.c, ar8600.c: added AR2700 &
	AR8600

2005-04-20 09:47  fillods

	* tests/rigmem.c: make CSV separator a parameter

2005-04-20 09:47  fillods

	* tests/: memcsv.c, memsave.c: make use of save memory at once API,
	and make CSV separator a parameter

2005-04-20 09:44  fillods

	* include/hamlib/rig.h, src/Makefile.am, src/mem.c, hamlib.spec.in:
	extend API to support save/load memory at once

2005-04-20 08:33  fillods

	* tests/rigmem.c: make xml in option usage conditional

2005-04-20 08:29  fillods

	* tests/rigctl.c: line-up

2005-04-20 08:28  fillods

	* src/idx_builtin.h: remove deprecated 64bit code

2005-04-20 08:27  fillods

	* include/hamlib/riglist.h: added AR8600

2005-04-20 08:26  fillods

	* icom/icom.c: silence error message when RIG_OP_XCHG used to check
	split mode

2005-04-16 06:55  fillods

	* icom/icom.c: tab reformat

2005-04-15 16:50  fillods

	* aor/: aor.c, aor.h, ar5000.c, ar8200.c: fix get_channel with
	empty slots, and first try at bank base problem

2005-04-15 16:14  fillods

	* tests/memcsv.c: continue over empty channels

2005-04-15 13:18  fillods

	* aor/aor.c: Do wait for a reply on each aor command

2005-04-15 12:48  fillods

	* aor/: aor.c, aor.h, ar5000.c, ar8200.c: refactor mode/width
	parsing among aor models, and update AR5000 caps

2005-04-15 10:30  aa6e

	* tentec/orion.c: Add get_, set_ant (ignores rx only ant)

2005-04-13 17:31  fillods

	* jrc/jrc.c: * jrc_transaction made static * do not mask
	RIG_ETIMEOUT in jrc_transaction * refactor jrc2rig_mode &
	rig2jrc_mode * turned comments into #if 0 / #endif * added support
	for RIG_OP_UP/RIG_OP_DOWN

2005-04-13 13:56  fillods

	* macros/python.m4, configure.ac, bindings/Makefile.am: check for
	Python presence

2005-04-13 13:20  fillods

	* jrc/jrc.c: tab reformat

2005-04-11 20:47  aa6e

	* tentec/orion.c: Support LEVEL_VOX, VOXGAIN, ANTIVOX Support
	LEVEL_NR as Orion NB setting (firmware bug), FUNC_NB -> NB=0,4

2005-04-11 17:11  fillods

	* tests/rigctl.c: added special \send_cmd(w), fixed ARG_IN_LINE
	parsing, started coding set_channel(WIP), some tab reformat and
	reshuffled test_table for better alignment

2005-04-11 09:00  aa6e

	* tentec/orion.c: Added VFO_OPS, promote to Beta

2005-04-10 17:32  fillods

	* tests/rigctl.c: tab reformat

2005-04-10 16:57  fillods

	* alinco/dx77.c, drake/drake.h, drake/r8a.c, drake/r8b.c,
	jrc/jrc.h, kenwood/ic10.h, lowe/hf235.c, pcr/pcr.h, rft/ekd500.c,
	skanti/trp8000.c: reflect backend change

2005-04-10 16:55  fillods

	* README.developer: select optimization level and debugging for dev

2005-04-10 16:49  fillods

	* tentec/orion.c, wj/wj.c, yaesu/ft857.c, yaesu/ft890.c,
	yaesu/ft897.c, yaesu/ft900.c, yaesu/ft920.c: fix error code return
	convention, which is negative when failed

2005-04-10 16:47  fillods

	* alinco/alinco.c, aor/ar3000.c, aor/ar3030.c, drake/drake.c,
	jrc/jrc.c, kenwood/ic10.c, lowe/lowe.c, pcr/pcr.c, rft/rft.c,
	skanti/skanti.c, tentec/tentec.c, tentec/tt550.c, uniden/uniden.c:
	fix proprer read_string() return code error handling

2005-04-10 15:59  fillods

	* aor/aor.c: fix read_string return code bug, query only one
	channel memory content in aor_get_channel, and parse only declared
	fields in mem_caps

2005-04-09 11:33  fillods

	* aor/: aor.c, aor.h, ar8200.c: added initial support for
	get_channel/set_channel, set_mem/get_mem, set_bank, more VFO to
	set_vfo/get_vfo and fixed aor_get_mode

2005-04-09 04:49  fillods

	* src/: debug.c, misc.c, Makefile.am: moved debug primitives from
	misc.c to proprer debug.c

2005-04-08 15:15  fillods

	* aor/aor.c: tab reformat

2005-04-06 17:02  fillods

	* tentec/Makefile.am: orion needs gettimeofday

2005-04-06 16:27  fillods

	* include/hamlib/rig.h, src/misc.c: flexible debug reporting

2005-04-05 13:54  nj8j

	* AUTHORS: 
	Added NJ8J's email address.

2005-04-05 08:52  aa6e

	* tentec/orion.c:  Added RIG_FUNC_TUNER, RIG_FUNC_LOCK and
	RIG_FUNC_VOX, fixed MEM_CAP.

2005-04-04 17:26  fillods

	* tests/rigswr.c: tab reformat

2005-04-04 17:00  fillods

	* libltdl/: config-h.in, configure: dummy check-in to make
	timestamps past aclocal.m4

2005-04-04 16:31  fillods

	* kenwood/: ts440.c, ts711.c, ts811.c, ts940.c: fix version
	composing

2005-04-04 16:27  fillods

	* macros/gr_pwin32.m4: fix Solaris build and maybe other missing
	getopt_long

2005-04-04 16:24  fillods

	* src/misc.c: fix mistake

2005-04-04 13:30  fillods

	* src/: conf.c, misc.c, parallel.c, register.c, rig.c, rot_conf.c,
	rot_reg.c, rotator.c: tab reformat

2005-04-04 13:08  aa6e

	* tentec/orion.c: Added RIG_LEVEL_CWPITCH, RIG_LEVEL_KEYSPD,
	send_morse()

2005-04-03 17:47  fillods

	* configure.ac: get ready for next round

2005-04-03 17:44  fillods

	* configure.ac: 1.2.4 release

2005-04-03 17:33  fillods

	* include/hamlib/rig.h, src/mem.c, src/rig.c, src/settings.c,
	src/tones.c: fix targetable all

2005-04-03 17:10  fillods

	* NEWS: 1.2.4 release

2005-04-03 17:08  fillods

	* macros/tcl.m4: left over patch from previous update

2005-04-03 16:54  fillods

	* libltdl/Makefile.in: libtool post fix

2005-04-03 16:37  fillods

	* libltdl/Makefile.am, libltdl/Makefile.in, libltdl/aclocal.m4,
	libltdl/config.guess, libltdl/config.sub, libltdl/configure,
	libltdl/install-sh, libltdl/ltdl.c, libltdl/ltmain.sh, ltmain.sh:
	Debian libtool-1.5.6-6 update

2005-04-03 16:23  fillods

	* macros/: ltdl.m4, libtool.m4: Debian libtool-1.5.6-6 update

2005-04-03 16:21  fillods

	* macros/tcl.m4: tcl8.4 update

2005-04-03 16:08  fillods

	* README.developer: compilability list

2005-04-03 15:40  fillods

	* kenwood/tmv7.c: remove unused variables

2005-04-03 15:23  fillods

	* uniden/: uniden.h, bc245.c, bc895.c: account for improvements

2005-04-03 15:18  fillods

	* pcr/pcr.h, pcr/pcr100.c, pcr/pcr1000.c, tentec/orion.c: account
	for improvements

2005-04-03 15:14  fillods

	* kenwood/: ic10.h, k2.c, kenwood.h, r5000.c, th.h, thd7.c, thf7.c,
	thg71.c, tmd700.c, tmv7.c, ts140.c, ts2000.c, ts440.c, ts450s.c,
	ts480.c, ts50s.c, ts570.c, ts680.c, ts690.c, ts711.c, ts790.c,
	ts811.c, ts850.c, ts930.c, ts940.c, ts950.c, ts870s.c: account for
	improvements

2005-04-03 14:57  fillods

	* jrc/: jrc.h, nrd535.c, nrd545.c: account for improvements

2005-04-03 14:53  fillods

	* icom/: ic271.c, ic275.c, ic471.c, ic475.c, ic707.c, ic725.c,
	ic726.c, ic728.c, ic735.c, ic736.c, ic737.c, ic751.c, ic761.c,
	ic765.c, ic775.c, ic781.c, ic821h.c, ic970.c, icr71.c, icr75.c:
	follow backend version

2005-04-03 14:47  fillods

	* icom/ic746.c: account for improvements

2005-04-03 14:41  fillods

	* aor/: aor.h, ar5000.c: account for aor.c improvements

2005-04-03 14:40  fillods

	* aor/ar3030.c: account for improvements

2005-04-03 14:35  fillods

	* alinco/dx77.c: account for alinco.c improvements

2005-04-03 14:27  fillods

	* yaesu/: ft100.c, ft100.h, ft747.h, ft817.c, ft817.h, ft847.h,
	ft857.h: unexport functions and make them static

2005-04-03 14:19  fillods

	* include/hamlib/riglist.h: disable unexistant 'radioshack'
	autoload for now

2005-04-03 14:15  fillods

	* include/hamlib/riglist.h: new racal model

2005-04-03 13:57  fillods

	* yaesu/: ft890.c, ft890.h, ft900.c, ft900.h: removed non used
	functions, which are emulated by the frontend

2005-04-03 13:37  fillods

	* yaesu/ft736.c: typo

2005-04-03 13:36  fillods

	* tests/dumpcaps.c: report emulated features

2005-04-03 13:35  fillods

	* include/hamlib/rig.h: fix prototype

2005-04-03 13:33  fillods

	* configure.ac: search tcl headers in tcl dir, enter bindings only
	if there's someting to do

2005-04-03 12:06  fillods

	* configure.ac, bindings/Makefile.am: allow to select indivial
	bindings to build, patch by Hargobind S. Khalsa

2005-04-03 11:50  fillods

	* aor/ar7030.c: fix gcc-2.9x build

2005-04-03 10:54  fillods

	* tentec/orion.c: use rig_debug instead of printf

2005-04-03 07:27  fillods

	* flexradio/sdr1k.c, fodtrack/fodtrack.c, icom/frame.c,
	icom/frame.h, icom/optoscan.c, include/hamlib/rotator.h,
	kit/drt1.c, kit/elektor304.c, microtune/i2cio_pp.cc,
	microtune/i2cio_pp.h, microtune/microtune_4702.h,
	microtune/microtune_4937.h, microtune/microtune_eval_board.cc,
	microtune/microtune_eval_board.h, src/iofunc.c, src/iofunc.h,
	src/parallel.c, src/parallel.h, src/register.c, src/register.h,
	src/rig.c, src/rot_reg.c, src/serial.c, src/serial.h,
	tests/rig_bench.c, tests/testrig.c: renamed port_t as hamlib_port_t

2005-04-01 13:32  aa6e

	* tentec/orion.c: various bug fixes

2005-03-29 22:30  aa6e

	* tentec/orion.c: Fix timeout, add retry, better S-mtr scale

2005-03-28 03:39  fillods

	* include/hamlib/: rig.h, rig.h: Better define to detect MacOSX

2005-03-28 03:37  fillods

	* rpcrig/rpcrig.x, rpcrot/rpcrot.x: Added missing symbol for
	MacOSX, patch by Marv

2005-03-27 20:33  aa6e

	* tentec/orion.c: Fix SWR & S-meter, set ATT, set AGC, add rough
	STR_CAL func.

2005-03-26 17:33  fillods

	* include/hamlib/: rig.h, rotator.h: prepare type rename of port_t
	to hamlib_port_t, to solve a name clash under MacOSX C++

2005-03-26 11:57  fillods

	* src/rig.c: added emulated split operation through RIG_OP_TOGGLE

2005-03-26 07:03  fillods

	* yaesu/: ft897.c, ft897.h: implemented TOGGLE, LEVEL_SWR,
	LEVEL_RAWSTR, split. Made ft857 functions unexported

2005-03-25 16:27  fillods

	* README.developer: update wrong CVS host, added section on
	contributing

2005-03-25 14:33  aa6e

	* tentec/orion.c: specified buffer lengths, added default vfo A
	setting

2005-03-18 10:43  fillods

	* aor/ar7030.c: patch from Fritz DC9RP

2005-03-18 10:38  fillods

	* aor/README.ar7030: initial release, from Fritz DC9RP

2005-03-13 12:30  fillods

	* yaesu/vr5000.c: patch from Jacob Heder

2005-03-13 12:09  fillods

	* AUTHORS: added Rob and Jacob

2005-03-13 11:56  fillods

	* tests/: rigctl.1, rigmem.1, rigswr.1, rotctl.1: update (c)

2005-03-13 11:55  fillods

	* tests/rigctl.c: send_morse takes a whole line, including spaces

2005-03-13 11:54  fillods

	* kenwood/kenwood.c: fix send_morse which needs 24 space padding,
	thanks to Rob KL7NA for report

2005-02-26 17:44  fillods

	* yaesu/yaesu.c: added yaesu probe rigs

2005-02-26 17:13  fillods

	* yaesu/: Makefile.am, yaesu.c: new VR-5000 and FT1000MP's entries

2005-02-26 17:13  fillods

	* yaesu/ft1000mp.c: cloned FT1000MP entries

2005-02-26 17:11  fillods

	* yaesu/vr5000.c: initial release

2005-02-26 16:30  fillods

	* yaesu/frg100.c: fix bug in mode setting

2005-02-26 16:29  fillods

	* tentec/jupiter.c: don't export local functions, make them static

2005-02-26 16:29  fillods

	* include/hamlib/riglist.h, yaesu/yaesu.h: new yeasu entries

2005-02-26 16:28  fillods

	* aor/ar3000.c: changed status

2005-02-25 05:32  bwulf

	* yaesu/ft990.c: Fixed erroneous return value

2005-02-24 16:40  fillods

	* kenwood/ts140.c: don't export local functions, make them static

2005-02-24 16:39  fillods

	* kenwood/ts570.c: Patch by Rob, KL7NA (+fixes): enable tuner,
	antenna setting, VFO scan, and send_morse support

2005-02-24 16:35  fillods

	* kenwood/: thg71.c, tmv7.c, ts680.c, ts870s.c: don't export local
	functions, make them static

2005-02-21 12:56  fillods

	* src/tones.h: fix static building under MinGW/MSYS

2005-02-21 12:03  fillods

	* include/hamlib/riglist.h: added microtune 4707

2005-02-19 20:38  fillods

	* configure.ac, src/parallel.c, src/rig.c, src/rotator.c: initial
	parallel port support for *BSD

2005-02-18 18:37  fillods

	* aor/ar3000.c: fix get_mode by Wally N9MJG

2005-02-12 18:22  fillods

	* kenwood/kenwood.c: added FUNC_FAGC, by Rob Frohne KL7NA

2005-02-03 14:51  pa4tu

	* kenwood/ts870s.c: split has_get_level and has_set_level

2005-02-03 14:22  pa4tu

	* kenwood/ts870s.c: really add ALC read this time, only change
	meter if needed, cleanups

2005-02-02 14:23  pa4tu

	* kenwood/ts870s.c: bump version, no preamp

2005-02-02 14:14  pa4tu

	* kenwood/ts870s.c: add RIG_LEVEL_COMP, RIG_LEVEL_AGC, copied from
	ts850

2005-02-02 14:06  pa4tu

	* kenwood/ts870s.c: add RIG_LEVEL_SWR, copied from ts850

2005-02-02 14:04  pa4tu

	* kenwood/: kenwood.c, kenwood.h: export convenience function
	get_kenwood_level, so they can be use by other backends

2005-02-02 13:32  pa4tu

	* kenwood/kenwood.c: set attenuator level

2005-01-31 10:41  pa4tu

	* kenwood/kenwood.c: only switch tx vfo is split is on

2005-01-31 10:15  pa4tu

	* kenwood/: ts140.c, ts680.c: more functionality, mode and
	frequency get by Matt Dawson

2005-01-28 13:14  pa4tu

	* debian/: README.Debian, changelog, control, docs, hamlib2++.dirs,
	hamlib2-perl.dirs, hamlib2-tcl.dirs, hamlib2.dirs, hamlib3++.dirs,
	hamlib3-perl.dirs, hamlib3-tcl.dirs, hamlib3.dirs,
	python2.3-hamlib2.dirs, python2.3-hamlib3.dirs, rules: sync with
	latest debian release

2005-01-28 12:51  pa4tu

	* AUTHORS: lifetime e-mail address :-)

2005-01-28 03:57  fillods

	* AUTHORS: update from Darren

2005-01-27 16:32  fillods

	* AUTHORS: update from Mark

2005-01-27 06:11  n0nb

	* AUTHORS: Add Dave Hines to AUTHORS file.

2005-01-26 16:26  fillods

	* AUTHORS: first attempt at updating the maintainer list

2005-01-25 01:30  fillods

	* rft/ekd500.c: change stop bits

2005-01-24 18:33  fillods

	* aor/aor.c: commit fixup

2005-01-24 18:19  fillods

	* alinco/alinco.c, jrc/jrc.c, kenwood/ic10.c, kenwood/kenwood.c,
	kenwood/th.c, kenwood/tmv7.c, pcr/pcr.c, tentec/orion.c,
	tests/memsave.c, tests/rigctl.c, tests/rigmem.c, tests/testbcd.c,
	tests/testfreq.c, uniden/uniden.c, yaesu/ft100.c, yaesu/ft1000mp.c,
	yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c, yaesu/ft857.c,
	yaesu/ft890.c, yaesu/ft897.c, yaesu/ft900.c, yaesu/ft920.c,
	yaesu/ft990.c: second pass at getting rid of "ll" immediate literal
	format (64bit int)

2005-01-24 17:03  fillods

	* include/hamlib/rig.h, alinco/alinco.c, src/misc.h, aor/aor.c,
	aor/ar3000.c, aor/ar3030.c, flexradio/sdr1k.c, jrc/jrc.c,
	kenwood/th.c, kenwood/thg71.c, kenwood/tmv7.c, kit/drt1.c,
	kit/elektor304.c, tests/memcsv.c, tests/memload.c, tests/rigctl.c,
	tests/testbcd.c, tests/testrig.c, tests/testtrn.c, yaesu/ft100.c,
	yaesu/ft990.c: * abstract 64bit int format type to cope with
	portability issues.    introduce PRIll (printf format) and SCNll
	(scanf) in misc.h.    This needs to have config.h included
	beforehand.  * do likewise with freq_t type (double) in rig.h  
	FREQFMT is deprecated.

2005-01-24 16:54  fillods

	* configure.ac: check for <inttypes.h>, better check at tcl working
	dist

2005-01-19 16:23  pa4tu

	* kenwood/: ts140.c, ts680.c: basic functionality by Matt Dawson,
	tested with grig and xlog

2005-01-19 11:17  pa4tu

	* icom/ic746.c: s-meter calibration by Matt Dawson

2005-01-18 17:06  n0nb

	* src/locator.c, yaesu/ft920.c, yaesu/ft920.h: 20050118:
	
		Update:
			src/locator.c -- Applied patch from Dave Hines
	M1CXW
			yaesu/ft920.* -- Format cleanup

2005-01-16 12:19  fillods

	* kenwood/ts2000.c: TS-2000 needs post write delay at high speeds

2005-01-11 19:55  n2por

	* src/rig.c: Use RIG_TARGETABLE_MODE in rig_set_mode and
	rig_get_mode

2004-12-28 06:59  f4dwv

	* kenwood/tmv7.c: fix channel desc and channel name save

2004-12-28 06:58  f4dwv

	* kenwood/th.c: fix too optimistic comment

2004-12-28 05:08  f4dwv

	* kenwood/tmv7.c: add its own set/get_channel

2004-12-27 06:53  f4dwv

	* kenwood/kenwood.c, tests/memcsv.c, tests/memsave.c: use
	RIG_ENAVAIL as return code for empty channels in get_channel

2004-12-22 10:06  f4dwv

	* kenwood/th.c: fix get_channel for split frequency

2004-12-22 10:03  f4dwv

	* tests/memsave.c: 
	don't save repeter offset if it's 0

2004-12-20 16:58  jrinas

	* kenwood/kenwood.c: * fixed set_func (concerns most kenwood rigs)
	* added 115200 to the list of baudrates in probeallrigs_kenwood()

2004-12-14 01:37  jrinas

	* kenwood/ts480.c: added a few get_level/set_level
	get_function/set_functions.

2004-12-08 15:13  fillods

	* aor/ar7030.c: Initial patch from Fritz DC9RP

2004-12-06 16:16  f4dwv

	* kenwood/thg71.c: fix rig state vfo list

2004-12-06 16:15  f4dwv

	* kenwood/th.c: fix get_level RFPOWER and set_ptt

2004-11-28 15:06  jrinas

	* kenwood/ts480.c: added antenna switching...

2004-11-27 07:40  fillods

	* kit/drt1.c: set charge pump current to 150uA, and confirm BETA
	status

2004-11-27 07:27  fillods

	* include/hamlib/riglist.h: added TenTec Paragon II

2004-11-27 07:19  fillods

	* include/hamlib/riglist.h, kenwood/Makefile.am, kenwood/kenwood.c,
	kenwood/kenwood.h, kenwood/ts480.c: TS-480 initial support from
	Jurgen DC3BW

2004-11-17 16:12  fillods

	* configure.ac, hamlib.spec.in, src/Makefile.am: 1.2.4cvs version

2004-11-17 16:08  fillods

	* NEWS, configure.ac: 1.2.3 release

2004-11-17 16:02  fillods

	* yaesu/ft847.c: fix USB/LSB set_mode, from Tapio report

2004-11-15 12:51  fillods

	* kachina/: 505dsp.c, kachina.c, kachina.h: initial support for raw
	S-Meter reading

2004-11-15 10:54  fillods

	* include/hamlib/riglist.h: RIG_MODEL_ICALL is deprecated

2004-11-15 10:51  fillods

	* kenwood/: ts690.c, ts450s.c: caps fixes

2004-11-15 10:23  fillods

	* kenwood/ts870s.c: debug message changes

2004-11-15 09:21  fillods

	* yaesu/frg100.c: fix a comment, rough guess at str_cal waiting for
	real measurement

2004-11-15 08:50  fillods

	* bindings/tcltest.tcl: identify Tcl test

2004-11-15 08:50  fillods

	* bindings/pytest.py: identify python test

2004-11-15 08:49  fillods

	* bindings/perltest.pl: identify perl test

2004-11-14 16:33  fineware

	* jrc/nrd535.c: Fixed low-end of freq range from 100kHz to 10kHz.

2004-11-11 11:53  f4dwv

	* kenwood/tmv7.c: try to be nice with sgcontrol : -add dummy
	get_powerstat -add str_val -add tx/rx ranges -fix channel_list

2004-11-11 11:51  f4dwv

	* kenwood/: th.c, th.h: add get_powerstat fix get_mem : restore
	previous VFO

2004-11-08 16:46  fillods

	* kenwood/k2.c: update status

2004-11-08 16:05  fillods

	* tests/: testbcd.c, testrig.c, testtrn.c: FREQFMT fixes

2004-11-08 15:52  fillods

	* tentec/jupiter.c: patch for tt538 native support from Mike AB3AP

2004-11-04 16:49  f4dwv

	* kenwood/th.c: fix get_channel answer freq parsing

2004-10-02 15:37  fillods

	* flexradio/sdr1k.c, fodtrack/fodtrack.c, microtune/i2cio_pp.h,
	src/Makefile.am, src/parallel.c, src/parallel.h, src/rig.c,
	src/rotator.c, src/serial.c, src/serial.h: Split parallel port
	primitives in separate file from serial

2004-10-02 15:18  fillods

	* icom/optoscan.c, src/rig.c, src/serial.c, src/serial.h: *
	ser_ptt*/ser_dcd* are gone. Try to not mix low level serial stuff
	with   high level Hamlib stuff. Added
	ser_get_cts,ser_get_dsr,ser_get_car.  * better error code cascading

2004-10-02 05:34  fillods

	* tests/rigmem.1: be more precise about rig list source

2004-10-02 05:33  fillods

	* tests/rigctl.c: only print argument name if it is an input

2004-10-02 05:32  fillods

	* src/: cal.c, conf.c, event.c, ext.c, iofunc.c, locator.c, mem.c,
	misc.c, register.c, rig.c, rot_conf.c, rot_reg.c, rotator.c,
	serial.c, serial.h, settings.c, tones.c: prepare work for Win32
	systems which have 2 possible ABI: _stdcall and _cdecl

2004-10-02 05:09  fillods

	* hamlib.spec.in: * New backends: skanti, racal, wj, tuner * New
	command: 'rigswr' * typo fixes

2004-10-02 05:08  fillods

	* src/Makefile.am: reflect age changes

2004-09-26 12:36  fillods

	* yaesu/ft990.c: memset is more portable than bzero

2004-09-26 12:29  fillods

	* icom/icr8500.c: S-Meter calibration data from Ralf dk5bu, various
	dcd(sql) and scan fixes

2004-09-26 03:34  fillods

	* alinco/alinco.c, alinco/dx77.c, icom/ic703.c, icom/ic706.c,
	icom/ic718.c, icom/ic756.c, icom/ic7800.c, icom/ic910.c,
	icom/icom.c, icom/icom.h, icom/icr10.c, icom/icr7000.c,
	icom/icr72.c, icom/icr9000.c, icom/id1.c, icom/optoscan.c,
	icom/os456.c, icom/os535.c, jrc/jrc.c, jrc/nrd535.c, jrc/nrd545.c,
	kachina/505dsp.c, kenwood/k2.c, kenwood/kenwood.c, kenwood/thd7.c,
	kenwood/thf7.c, kenwood/tmd700.c, kenwood/ts2000.c,
	kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts950.c, pcr/pcr100.c,
	tests/dumpcaps.c, tests/rigctl.1, yaesu/ft857.c, yaesu/ft897.c:
	remove deprecated RIG_LEVEL_SQLSTAT and fix get_dcd, fix str_cal in
	icom backend

2004-09-25 09:33  fillods

	* tuner/v4l.c: typo

2004-09-25 09:33  fillods

	* icom/: ic756.c, ic78.c, ic7800.c, icom.c, icom.h, icr20.c,
	Makefile.am: Added IC-78, IC-7800, IC-R20, IC-756PROIII

2004-09-25 09:32  fillods

	* include/hamlib/riglist.h: added IC-7800, IC-R20, IC-756PROIII

2004-09-25 09:31  fillods

	* include/hamlib/rig.h: define RIG_ANT_4

2004-09-22 08:56  bwulf

	* yaesu/ft990.c: ft990_get_mem(): Fixed bug that prevented the
	reporting of current channel		      number when vfo !=
	RIG_VFO_MEM
	
	ft990_get_channel(): Revised implementation of the get_channel()
	function.		    Initialisation of the "channel_t chan"
	data structure			 as not every data field is
	supported by the FT990 rig. It			 should be the
	responsibility of the frontend to initialize		  this data
	structure prior to passing it to the backend.
	
	ft990_get_update_data(): Revised the implementation of this local
	utility 		 responsible for the retrival of the rig's
	data structures.	    The 3rd argument of this function is
	now used to pass		   the channel number for memory
	channel related queries.
	
	Several bug fixes and source code cleanup

2004-09-14 17:19  fineware

	* jrc/: nrd535.c, nrd545.c: Added provisions for a variable
	bandwidth control (BWC)

2004-09-14 17:17  fineware

	* jrc/jrc.c: Added provisions for a variable bandwidth control
	Added provisions for a tone control Corrected problems with Squelch
	(SQL) and Notch (NOTCHF) controls

2004-09-14 17:15  fineware

	* include/hamlib/rig.h: Added a provisional variable bandwidth
	control to the RIG_LEVEL enumeration

2004-09-14 17:14  fineware

	* src/idx_builtin.h: Added a provisional define for a variable
	bandwidth control

2004-09-12 16:28  fillods

	* racal/Makefile.am, racal/ra6790.c, racal/racal.c, racal/racal.h,
	wj/Makefile.am, wj/wj.c, wj/wj.h, wj/wj8888.c, tuner/Makefile.am,
	tuner/tuner.c, tuner/tuner.h, tuner/v4l.c, tuner/videodev.h:
	Initial release

2004-09-12 16:27  fillods

	* Makefile.am, configure.ac, include/hamlib/riglist.h: added
	racal,wj and tuner backends

2004-09-08 15:51  fillods

	* kenwood/ts850.c: * set the serial handshake to use CTS/RTS * mode
	some functions static

2004-09-07 16:54  fillods

	* icom/: ic756.c, icom.c, icom_defs.h: * fixed icom_set_ptt (wrong
	opcodes/format) * added RTTYR and CWR to IC-756PROII

2004-09-07 15:40  fillods

	* aor/: aor.c, aor.h, ar5000.c, ar8000.c, ar8200.c: added support
	for: * aor_get_dcd * set_level/get_level: RIG_LEVEL_AGC (only
	AR5000), RIG_LEVEL_RAWSTR * set_powerstat: RIG_POWER_ON (only
	AR5000)

2004-09-07 15:37  fillods

	* aor/: ar3000.c, ar3030.c: misc: made internal function static

2004-09-06 14:16  fineware

	* icom/icr75.c: Added FM narrow to passband spec

2004-09-06 13:10  fineware

	* icom/frame.c: Fixed passband width return for IC-756PROII

2004-09-06 12:43  fineware

	* icom/icr75.c: accounted for dual preamp (10 & 20db)

2004-09-05 14:15  fineware

	* drake/drake.c: Made get_channel aware of untunable blank memory
	channel

2004-09-04 19:38  fineware

	* icom/icr75.c: Updated set/get channel functions

2004-09-04 19:32  fineware

	* drake/drake.c, drake/drake.h, drake/r8a.c, drake/r8b.c,
	jrc/jrc.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: Added set/get
	channel functions

2004-08-31 20:08  fineware

	* drake/drake.c: Correctly detect if in memory mode in get_vfo()
	Reduced large decision trees with bitwise math

2004-08-30 22:47  fineware

	* jrc/: jrc.c, jrc.h, nrd535.c, nrd545.c: Added set_vfo command for
	vfo/mem switching Corrected handling of "vacant" memory channels

2004-08-30 22:45  fineware

	* drake/: drake.c, r8a.c, r8b.c: Added memory switching function in
	set_vfo Added set memory channel# in radio in set_mem

2004-08-29 20:39  fineware

	* icom/icom.c: fixed get_powerstat to read correctly when memory
	channel is blank

2004-08-29 13:21  fineware

	* tests/rigmatrix.c: included other rig_ prefixes

2004-08-26 20:49  fineware

	* icom/: icom.c, icom_defs.h, icr75.c: Fixed CWPITCH function on
	IC-R75 to use 'set mode data' command. Added level granularity
	steps

2004-08-26 15:56  fillods

	* yaesu/frg100.c: quick fix has reported from DReaM user, more to
	be done along the line of FT100

2004-08-26 15:46  fillods

	* aor/ar7030.c: fix bug in kHz/Hz conversion, and least significant
	nibble squashing in set_freq

2004-08-23 17:01  fillods

	* configure.ac: bump version number

2004-08-23 16:05  fillods

	* NEWS, configure.ac: new release

2004-08-23 16:03  fillods

	* src/Makefile.am: bump lib revision number

2004-08-23 15:31  fillods

	* kit/elektor304.c: bump status

2004-08-23 14:48  fillods

	* winradio/g303.c: correct SignalStrength computation and function
	pointer types

2004-08-21 18:53  fillods

	* icom/: frame.c, icom.c, icom.h, icom_defs.h, icr75.c: IC-R75
	patch from Mark J. Fine

2004-08-19 16:02  fillods

	* kit/: Makefile.am, drt1.c, kit.c, kit.h: initial release of DRT1

2004-08-18 13:51  fillods

	* skanti/Makefile.am, skanti/skanti.c, skanti/skanti.h,
	skanti/trp8000.c, Makefile.am, configure.ac: added skanti initial
	support

2004-08-17 18:01  fineware

	* README.win32: Updated to reflect recent changes within
	v1.2.2cvs-2

2004-08-17 15:49  fillods

	* README.win32: Update from Mark, plus some notes of mine

2004-08-17 15:41  fillods

	* drake/drake.c, jrc/jrc.c: C++ constructs are not permitted by
	gcc-2.9x..

2004-08-17 15:07  fillods

	* yaesu/: Makefile.am, ft1000d.c, ft990.c, ft990.h, yaesu.c,
	yaesu.h: Cloned the FT1000D from the FT990, since they are similar.
	Test needed.

2004-08-17 15:05  fillods

	* bindings/hamlibvb.bas.in: Not sure about Object, Long on 32 bits
	arch is ok

2004-08-16 17:34  fillods

	* src/: conf.c, locator.c, mem.c, rotator.c, settings.c, tones.c:
	(c) date update

2004-08-16 17:33  fillods

	* winradio/g303.c: bump version

2004-08-16 17:32  fillods

	* macros/Makefile.am, macros/libxml.m4, tests/Makefile.am: Use the
	lib XML 2 macro file

2004-08-16 17:30  fillods

	* macros/libxml2.m4: Try linking in case of cross-compile instead
	of blind accept (which fails later for Mingw)

2004-08-16 17:28  fillods

	* macros/gr_pwin32.m4: Sleep() needs windows.h/winbase.h for test
	to succeed under Cygwin w/ -mno-cygwin

2004-08-16 16:41  fillods

	* macros/libxml2.m4: initial release

2004-08-16 15:57  fillods

	* icom/icom.h: fix implicit include for timeval

2004-08-16 15:44  fillods

	* configure.ac, winradio/winradio.h: Some winradio backends have
	only support for Linux module, ie. depend on linux/ioctl.h

2004-08-11 21:05  fineware

	* drake/r8a.c, jrc/nrd545.c, jrc/nrd535.c: Reconfigured default
	filter modes

2004-08-11 21:04  fineware

	* drake/: drake.c, r8b.c: Added ECSS support to R8B and
	reconfigured default filter modes

2004-08-11 12:58  fillods

	* include/hamlib/riglist.h: added DRT1 and SDU5000

2004-08-10 17:41  fillods

	* tests/rigmatrix.c: strstatus has been renamed to rig_strstatus

2004-08-10 16:08  fillods

	* yaesu/: frg100.c, frg9600.c, ft736.c, yaesu.c, yaesu.h,
	Makefile.am: Initial support for FT736R, FRG100 and FRG9600

2004-08-10 16:03  fillods

	* yaesu/ft757gx.c: guess at ptt_type, better validity check in
	get_level

2004-08-10 16:02  fillods

	* kit/elektor304.c: fix bug: wrong OSCFREQ

2004-08-10 16:00  fillods

	* include/hamlib/rig.h, src/iofunc.c, src/iofunc.h, yaesu/ft857.c,
	yaesu/ft897.c: resolve win32 header compatibility issue: no more
	HANDLE/timeval specific types

2004-08-10 14:46  fillods

	* tests/rig_bench.c: strstatus has been renamed to rig_strstatus

2004-08-09 15:56  fillods

	* configure.ac: allow VPATH build of doc

2004-08-09 15:55  fillods

	* doc/index.doxygen: add some Internet links, fixes Debian
	Bug#263287

2004-08-09 15:53  fillods

	* doc/hamlib.cfg: deprecated in favor of hamlib.cfg.in

2004-08-09 15:52  fillods

	* doc/hamlib.cfg.in: copy from hamlib.cfg with tweaks to allow
	VPATH build

2004-08-08 16:38  fillods

	* winradio/g303.c: fix DLL function name binding

2004-08-08 15:14  fineware

	* drake/: drake.c, r8a.c, r8b.c: Added support for meter strength

2004-08-08 15:12  fineware

	* jrc/: jrc.c, nrd535.c, nrd545.c: Added support for ECSS/FAX and
	meter strength

2004-08-08 14:42  fillods

	* include/hamlib/rig.h, src/misc.c, aor/ar3030.c,
	bindings/hamlibvb.bas.in, lowe/lowe.c, tests/rigctl.1: added
	ECSSUSB/ECSSLSB and FAX modes

2004-08-08 14:15  fillods

	* yaesu/: ft757gx.c, ft757gx.h, yaesu.c, yaesu.h: added FT757GXII
	initial support and reworked the FT757GX common backend

2004-08-01 18:14  fillods

	* kit/elektor304.c: account for win32 serial work

2004-08-01 18:13  fillods

	* lib/termios.c, lib/win32termios.h, src/serial.c: Fixes for
	BRK/RTS/DTR handling under win32

2004-08-01 18:12  fillods

	* src/rig.c: year stuff

2004-08-01 17:32  fillods

	* Makefile.am: added README.win32 to dist

2004-08-01 17:07  fillods

	* README.win32: initial release

2004-08-01 16:31  fillods

	* tests/rigswr.1: typo

2004-08-01 16:29  fillods

	* icom/ic726.c: status update

2004-08-01 16:26  fillods

	* rpcrot/rpcrot_backend.c: header fix

2004-08-01 16:23  fillods

	* jrc/: nrd535.c, nrd545.c: account for backend improvement

2004-08-01 16:19  fillods

	* alinco/dx77.c: account for backend improvement

2004-08-01 16:18  fillods

	* configure.ac, bindings/Makefile.am: VB script

2004-07-30 18:09  fillods

	* bindings/hamlibvb.bas.in: closer to working script

2004-07-30 18:07  fillods

	* bindings/hamlibvb.bas.in: initial release

2004-07-16 06:47  t_mills

	* aor/ar3030.c: Fixed getting filter width.  Added close function.

2004-07-11 06:53  pa4tu

	* tests/rigctl.1, tests/rigmem.1, hamlib.spec.in: correct spelling

2004-07-06 19:27  nj8j

	* alinco/alinco.c: 
	Handle setting Keyer speed and CW Pitch

2004-07-05 09:38  t_mills

	* aor/ar3030.c: Fixed get_freq() no need to multiply by 10. Manual
	seems to be wrong.

2004-07-03 10:01  t_mills

	* aor/ar3030.c: Fixed ar3030_get_mode() Removed attemped to set WFM
	mode (non existent on the radio) and added in setting of AMS mode
	in ar3030_set_mode()

2004-06-26 15:01  fineware

	* jrc/nrd535.c: Fixed post-write-delay timing

2004-06-14 17:23  fillods

	* tests/rigswr.1: * add non legacy PTT control support * include
	gnuplot example in man page * misc fixes and cleanup

2004-06-14 17:22  fillods

	* tests/rigswr.c: * add non legacy PTT control support * set
	RFPOWER to 25% when transmitting * check rig has set_ptt capability
	before going further * misc fixes and cleanup

2004-06-14 16:15  fillods

	* tentec/orion.c: first bite at the Orion

2004-06-14 16:12  fillods

	* tentec/rx320.c: level_gran caps fix

2004-06-14 16:10  fillods

	* aor/: Makefile.am, aor.c, aor.h, ar3030.c: initial support for
	AR3030

2004-06-14 16:09  fillods

	* aor/ar3000.c: fixes, support for get_level/mem/bank, yet no
	testing

2004-06-14 16:07  fillods

	* tests/Makefile.am: fix typo

2004-06-14 15:57  fillods

	* kenwood/ts850.c: safer this way, keep in mind value_t is a union

2004-06-14 15:16  f4dwv

	* tests/rigswr.1: fix header

2004-06-14 15:13  f4dwv

	* tests/: Makefile.am, rigswr.1, rigswr.c: add rigswr

2004-06-14 14:32  f4dwv

	* kenwood/ts850.c: fix SWR reading + increase post_write timeout :
	seems necessary for SWR reading to work without retry

2004-06-13 07:38  fillods

	* kenwood/: ic10.c, ic10.h, r5000.c: * Patch from Mark J. Fine,
	plus some tweaks of mine to make it generic:
	
	> Attached is updated code for the IC-10 interface, which is the
	primary
	> code for the TS-440S and R-5000. Most of the info is
	R-5000-specific,
	> therefore I did not attempt to write for the RIT and XIT
	commands.
	> However, all of the other IC-10 commands are included.

2004-06-13 07:36  fillods

	* kenwood/: kenwood.h, ts440.c, ts711.c, ts811.c, ts940.c: * ic10:
	added if_len field to priv_caps struct

2004-06-13 07:35  fillods

	* kenwood/: kenwood.c, thd7.c, thf7.c, thg71.c, tmd700.c, tmv7.c: *
	removed useless kenwood_init/kenwood_cleanup

2004-06-08 16:05  fillods

	* AUTHORS: Acknowledge Mark's work

2004-06-06 16:59  fillods

	* tests/: rigctl.1, rigctl.c: powerstat & send_morse commands

2004-06-06 16:58  fillods

	* rpcrig/rpcrig_backend.c: warning silencing

2004-06-04 16:48  fillods

	* jrc/jrc.c, drake/drake.c, drake/drake.h, drake/r8a.c,
	drake/r8b.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: Patch from Mark
	J. Fine, Part III: - Added ability in JRCs to get AGC, BEEP and
	POWER status.  - First-cuts at the Drake R8A and Drake R8B.

2004-05-26 16:30  fillods

	* tentec/: tentec.c, tentec.h: fix: RIG_LEVEL_AGC is an
	integer(enum) type, not float.

2004-05-19 04:25  fillods

	* configure.ac: get ready for next round

2004-05-19 04:17  fillods

	* configure.ac: 1.2.1 release

2004-05-19 04:15  fillods

	* NEWS: work done for 1.2.1

2004-05-19 04:11  fillods

	* include/hamlib/rig.h: Try to make rig.h more MS-VC++ friendly

2004-05-19 03:57  fillods

	* jrc/: jrc.c, jrc.h, nrd535.c, nrd545.c: patch from Mark J. Fine,
	plus generic code and fixes of mine

2004-05-18 01:55  fillods

	* icom/: Makefile.am, icom.c, ic751.c, icom.h: added IC-751 initial
	suppport

2004-05-17 17:03  fillods

	* configure.ac, src/Makefile.am: generate .DEF file on Win32
	systems, needed for MSVC import lib

2004-05-17 16:09  fillods

	* include/hamlib/rig.h, bindings/rig.swg, yaesu/ft1000mp.c,
	yaesu/ft847.c, dummy/dummy.c, flexradio/sdr1k.c, gnuradio/demod.h,
	gnuradio/gnuradio.cc, src/misc.c, src/misc.h, tentec/tentec2.c,
	tests/dumpcaps.c, tests/memcsv.c, tests/memload.c, tests/memsave.c,
	tests/rigctl.c, tests/rigmem.c, tests/sprintflst.c: Prefixed misc
	str* and parse_* calls with rig_ to export them in rig.h

2004-05-17 16:01  fillods

	* kenwood/ts940.c: fixes

2004-05-17 15:59  fillods

	* tests/rotctl.c: cleanup

2004-05-16 02:32  fillods

	* yaesu/: Makefile.am, frg8800.c, yaesu.c, yaesu.h: Initial release
	of FRG-8800

2004-05-11 12:36  fillods

	* include/hamlib/rig.h: make new AGC enum compatible with previous
	Hamlib version

2004-05-11 10:48  pa4tu

	* debian/: changelog, control, hamlib++-dev.dirs, hamlib2++.dirs,
	hamlib2-perl.dirs, hamlib2-tcl.dirs, python2.3-hamlib2.dirs, rules:
	sync with latest debian package and add tcl, c++, python and perl
	bindings

2004-05-11 10:42  pa4tu

	* debian/: hamlib-dev.files, hamlib-utils.files, hamlib2.files: not
	needed

2004-05-03 17:34  fillods

	* tentec/: Makefile.am, tentec.c, tentec.h: added RX340, RX350,
	Jupiter and Orion

2004-05-03 17:33  fillods

	* tentec/: jupiter.c, orion.c, rx340.c, rx350.c: Initial release

2004-05-02 12:18  fillods

	* kenwood/ic10.c: misc fix (header)

2004-05-02 12:17  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, ts440.c, ts711.c,
	ts811.c, ts940.c: improved and separated IC-10 based code
	(TS440,TS940,TS711,TS811,R5000) in its own file

2004-05-02 12:13  fillods

	* kenwood/: ic10.c, ic10.h, r5000.c: Initial release

2004-04-24 08:00  fillods

	* yaesu/: ft757gx.c, Makefile.am, ft757gx.h, yaesu.c, yaesu.h:
	Initial FT757GX release, contribution from David L Norris

2004-04-16 15:34  fillods

	* hamlib.spec.in: Added 'kit' backend

2004-04-16 15:31  fillods

	* Makefile.am, configure.ac: Added 'kit' backend,  enable winradio
	build under non-Linux systems

2004-04-16 15:29  fillods

	* kit/: Makefile.am, elektor304.c, kit.c, kit.h: Initial release

2004-04-16 15:08  fillods

	* winradio/Makefile.am: Added G303 support

2004-04-16 15:07  fillods

	* winradio/winradio.c: Add G303 support, allow build on non-Linux
	systems

2004-04-16 15:06  fillods

	* winradio/: winradio.h, wr1000.c, wr1500.c, wr1550.c, wr3100.c,
	wr3150.c, wr3500.c, wr3700.c: Allow build on non-Linux systems

2004-04-16 15:05  fillods

	* winradio/g303.c: Initial release of G3 wrapper

2004-04-16 15:04  fillods

	* src/: serial.c, serial.h: export ser_set_dtr(), added
	ser_set_brk()

2004-04-16 15:01  fillods

	* include/hamlib/rig.h: New AGC enumeration

2004-04-16 15:01  fillods

	* include/hamlib/riglist.h: New backend: kit (Elektor), new
	Winradio model (G3)

2004-04-16 14:58  fillods

	* aor/: Makefile.am, aor.c, aor.h, ar7030.c: Added initial AR7030
	support (set_freq)

2004-04-03 22:57  bwulf

	* yaesu/ft990.c: ft990_get_ptt() now uses the FT990_SF_XMIT instead
	of FT990_SF_PTT.  FT990_SF_PTT only returns status of PTT activated
	by CAT commands, whereas FT990_SF_XMIT reports the actual status of
	the ptt line.

2004-03-29 14:55  f4dwv

	* kenwood/ts850.c: ncrease read timeout because of strange CAT
	protocol behaviour when spinning dial.

2004-03-29 14:54  f4dwv

	* kenwood/kenwood.c: improve get_freq VFO_CURR by using rig state
	use retry caps in kenwood_transaction fix termination test in
	kenwood_transaction

2004-03-21 12:26  f4dwv

	* kenwood/tmv7.c: fix caps

2004-03-21 12:25  f4dwv

	* kenwood/: th.c, th.h, thd7.c, thf7.c, thg71.c, tmd700.c: use
	level_gran to compute levels in get/set_level

2004-03-21 10:58  f4dwv

	* kenwood/tmv7.c: upgrade to beta level

2004-03-21 10:55  f4dwv

	* kenwood/: th.c, th.h: add th_set_func (with TBURST) add AF level
	add TO_VFO vfo op add set_powerstat fix get_vfo to return VFO_MEM

2004-03-20 10:48  f4dwv

	* kenwood/: th.c, th.h, thd7.c, thg71.c, tmd700.c: generalize
	th_set_channel and th_get_channel to all th tm rigs

2004-03-20 04:25  fillods

	* include/hamlib/riglist.h: added model TM-V7

2004-03-20 04:23  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, tmv7.c: Initial
	release - clone from thg71

2004-03-14 22:02  nj8j

	* alinco/: alinco.c, alinco.h, dx77.c: 
	Added checking of return string from rig on set (non-retrieval)
	commands.  Added code for COMP function.  Added alinco_set_parm &
	tweaked dx77 capabilities.

2004-03-14 21:30  nj8j

	* rpcrig/rpcrig_backend.c: 
	Fixed same bug in rigctl_get_parm.

2004-03-14 21:24  nj8j

	* rpcrig/rpcrig_backend.c: 
	Fixed bug in rpcrig_set_parm (using RIG_LEVEL_IS_FLOAT instead of
	RIG_PARM_FLOAT)

2004-03-10 17:33  fillods

	* drake/: Makefile.am, drake.c, drake.h, r8b.c: fixed basic
	functions, added many more support

2004-03-10 17:32  fillods

	* drake/r8a.c: Initial release

2004-03-07 09:49  fillods

	* icom/: ic761.c, icom.c, Makefile.am, icom.h: Initial IC761
	support

2004-03-03 14:57  fillods

	* gnuradio/Makefile.am: missing include in dist

2004-02-16 17:48  fillods

	* tentec/tt550.c: remove useless (and non-portable) headers

2004-02-16 16:46  fillods

	* tentec/Makefile.am: include tt550.h

2004-02-16 16:42  fillods

	* configure.ac: back on business

2004-02-16 16:05  fillods

	* configure.ac: 1.2.0 release

2004-02-16 15:49  fillods

	* NEWS: update for 1.2.0 release

2004-02-16 15:44  fillods

	* TODO: misc

2004-02-16 15:38  fillods

	* yaesu/ft847.c: URL update

2004-02-15 05:05  fillods

	* tentec/: pegasus.c, tt550.c: 1. A cut and paste error on my part
	that left a chunk of reset code in the middle of the CW tx
	calculation.  Everything worked but it forced the tt550 to reset
	everytime you changed frequency in CW mode.
	
	2. Bug fixes in the set function code.	I obviously missed testing
	some of this.
	
	3. Added IF-Shift support
	
	4. Some minor buffer size changes,  not really bugs, just cleanup.
	
	5. Removed RIG_LEVEL_LINEOUT support from pegasus.c until after the
	next release.  Stephane, I know you #ifndef'd this but it's just as
	easy to leave out of the LEVEL definition, and has no effect on the
	#ifdef in tt550.c.

2004-02-14 18:30  fillods

	* alinco/: alinco.c, dx77.c: patch from Ben NJ8J

2004-02-14 10:50  f4dwv

	* kenwood/: kenwood.c, ts850.c, kenwood.h: add
	kenwood_set_split_vfo

2004-02-14 09:12  f4dwv

	* kenwood/ts850.c: add forgotten vfo_ops

2004-02-12 15:39  bwulf

	* yaesu/ft990.c: Changed debug message format for freq_t from long
	long to double

2004-02-09 16:10  fillods

	* tentec/: Makefile.am, README, pegasus.c, tt550.c, tt550.h: TT550
	patch from Ken, N7IPB

2004-02-09 16:07  fillods

	* include/hamlib/rig.h: bump FLTLSTSIZ limit

2004-02-09 16:06  fillods

	* icom/ic707.c: misc fixup

2004-02-09 16:05  fillods

	* c++/Makefile.am: follow frontend ABI version

2004-02-08 15:19  fillods

	* libltdl/Makefile.in: libtool post fix --SF

2004-02-08 14:27  fillods

	* gnuradio/: HrAGC.h, am.h, demod.h, gnuradio.cc, gr_priv.h,
	graudio.c, nfm.h, ssb.h, testgr.cc, wfm.h: WIP

2004-02-08 14:25  fillods

	* tests/rigctl.c: rigctl -l reformating

2004-02-08 12:02  fillods

	* NEWS: approaching 1.1.5rc1

2004-02-08 11:54  fillods

	* bindings/perltest.pl: set_conf(rig_pathname) example

2004-02-08 11:52  fillods

	* bindings/Makefile.am: new install methods

2004-02-08 11:48  fillods

	* AUTHORS: added Berndt

2004-02-08 11:44  fillods

	* libltdl/ltmain.sh: libtool 1.5.2-1 upgrade

2004-02-08 11:41  fillods

	* flexradio/sdr1k.c: freq_t casting

2004-02-08 11:40  fillods

	* README.developer: port status update

2004-02-08 11:39  fillods

	* INSTALL: Win32 notes

2004-02-08 11:28  fillods

	* libltdl/: Makefile.in, aclocal.m4, config-h.in, configure,
	install-sh, missing: libtool 1.5.2-1 upgrade

2004-02-08 11:18  fillods

	* macros/libtool.m4, ltmain.sh, missing: libtool 1.5.2-1 upgrade

2004-02-08 11:16  fillods

	* macros/gr_swig.m4: disable SWIG support if requirement not met

2004-02-08 11:15  fillods

	* configure.ac: * Kylix binding declared as unmaintained * gnuradio
	backend requires version >= 0.9 * bindings also depend on python

2004-02-08 11:08  fillods

	* yaesu/: Makefile.am, ft897.c, ft897.h, yaesu.c, yaesu.h: initial
	support for FT-897 (cloned from ft857)

2004-02-08 11:05  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, tmd700.c: initial
	support for TM-D700

2004-02-08 11:04  fillods

	* kenwood/ts850.c: misc compile fixes

2004-02-08 11:03  fillods

	* include/hamlib/riglist.h: new Kenwood TM-D700 and GNU Radio USRP
	models

2004-02-08 11:01  fillods

	* icom/ic726.c: fix 6m range typo

2004-02-08 10:59  fillods

	* uniden/: Makefile.am, bc245.c, uniden.c, uniden.h: added BC245
	skelton

2004-02-02 16:15  fillods

	* icom/: Makefile.am, ic707.c, ic728.c, icom.c, icom.h: intial
	support for IC-707 and IC-728

2004-02-01 16:29  fillods

	* yaesu/ft100.c: little bugfixes from Mikko OH2MMY

2004-01-30 17:42  pa4tu

	* debian/: changelog, control, hamlib1.dirs, hamlib1.files,
	hamlib2.dirs, hamlib2.files, rules, shlibs.local: build for
	hamlib-1.1.5

2004-01-25 11:42  fillods

	* hamlib.spec.in: Fixes from Tomi OH2BNS:  - Include a few backends
	that were missing  - Disable all bindings  - Use %configure,
	%makeinstall, %{_libdir} etc. macros.	  This makes sure that
	things are installed in the right     places in the distro (like
	man pages in /usr/share/man,	 not /usr/man)	 - Because of the
	above, one has to use nobase_ in     include/Makefile.am. The
	current hack is overwritten by	   %makeinstall arguments...

2004-01-25 11:38  fillods

	* include/Makefile.am: fix from Tomi OH2BNS, for RPM build

2004-01-21 13:52  f4dwv

	* kenwood/ts850.c: add lots of ts850_ functions, upgrade to BETA
	status

2004-01-21 13:48  f4dwv

	* tests/memload.c: fix SIGSEGV when reading tag without split
	property

2004-01-21 13:47  f4dwv

	* tests/memsave.c: don't save split and repeater shift properties
	when not necessary

2004-01-16 15:19  fillods

	* tests/testfreq.c: be freq_t type agnostic

2004-01-16 15:19  fillods

	* tests/testloc.c: make second arg optional

2004-01-16 12:28  fillods

	* macros/Makefile.am: missing dist

2004-01-15 17:17  fillods

	* rpcrig/rpcrig.x: IMPORTANT: freq_t type changed from integer to
	real, and setting_t type reduced from 64bits to 32 bits

2004-01-15 17:04  fillods

	* include/hamlib/rig.h: IMPORTANT: freq_t type changed from integer
	to real, and setting_t type reduced from 64bits to 32 bits

2004-01-15 17:03  fillods

	* microtune/Makefile.am: need for stdc++

2004-01-15 16:59  fillods

	* libltdl/: Makefile.in, aclocal.m4, config-h.in, config.guess,
	config.sub, configure, ltmain.sh: 1.5-8 update

2004-01-15 16:55  fillods

	* ltmain.sh: 1.5-8 update

2004-01-15 16:52  fillods

	* yaesu/ft990.c: misc portability fix

2004-01-15 16:48  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: VPATH building, again

2004-01-15 16:47  fillods

	* macros/libtool.m4: 1.5-8 update

2004-01-15 16:43  fillods

	* dummy/dummy.c, kenwood/thg71.c, tests/memcsv.c, tests/memload.c,
	tests/memsave.c, tests/sprintflst.c, winradio/winradio.c,
	yaesu/ft100.c: be freq_t and setting_t type agnostic

2004-01-15 16:40  fillods

	* bindings/rig.swg: more sugar

2004-01-15 16:39  fillods

	* configure.ac: kylix unsupported (for now)

2004-01-15 16:03  fillods

	* kenwood/th.c: misc fix

2003-12-24 08:36  bwulf

	* yaesu/ft990.c: Implemented RIG_MODE_PKTFM and RIG_MODE_PKTLSB
	modes

2003-12-24 03:07  fillods

	* include/hamlib/rig.h, src/misc.c: new PKT modes

2003-12-23 07:46  bwulf

	* yaesu/ft990.c: Commented out RIG_MODE_PKTFM overlooked at the
	submission of previous code

2003-12-23 07:32  bwulf

	* yaesu/: ft990.c, ft990.h: Implemented set_parm() for BACKLIGHT
	operation

2003-12-22 11:56  fillods

	* yaesu/ft100.c: patch from Mikko Pikarinen OH2MMY

2003-12-22 01:39  fillods

	* alinco/alinco.c: echo fix

2003-12-08 15:41  fillods

	* kenwood/thg71.c: mingw/win32 does not allow undefined ref

2003-12-08 02:46  fillods

	* tests/memcsv.c: gcc-2.x fixes

2003-12-08 02:42  fillods

	* tests/sprintflst.c: gcc-2.x fixes

2003-12-08 02:37  fillods

	* dummy/dummy.c, alinco/dx77.c, tentec/pegasus.c, tentec/rx320.c,
	jrc/nrd535.c, jrc/nrd545.c: gcc-2.x fixes

2003-12-08 02:33  fillods

	* icom/ic703.c, icom/ic706.c, icom/ic718.c, icom/ic746.c,
	icom/ic756.c, icom/ic910.c, icom/icr10.c, icom/icr7000.c,
	icom/icr75.c, icom/icr8500.c, icom/icr9000.c, icom/id1.c,
	icom/os456.c, icom/os535.c, kenwood/thg71.c: gcc-2.x fixes

2003-12-05 16:08  f4dwv

	* tests/memsave.c: save only meaningfull data

2003-12-04 17:27  fillods

	* icom/icom.c: * added icom_mem_get_split_vfo hack for rigs that
	cannot retrieve split mode   directly. It works only in VFO_MEM
	mode.  * Make use of RIG_OP_XCHG when available in set_/get_split
	functions,   which allow this functions to work in VFO_MEM.  *
	rig_set_vfo(VFO_CURR) ez case

2003-12-04 17:23  fillods

	* icom/ic706.c: IC706MkIIG mem cap fixup

2003-12-04 17:22  fillods

	* icom/icom.h: added icom_mem_get_split_vfo hack, IC_MEM_CAP has
	chances to be deprecated

2003-12-04 17:18  fillods

	* tests/: dumpcaps.c, sprintflst.c: support for printing more caps

2003-12-04 17:16  fillods

	* configure.ac: check for XML support, for tests/rigmem

2003-12-04 17:15  fillods

	* tests/: Makefile.am, README: added rigmem

2003-12-04 17:15  fillods

	* macros/Makefile.am: added libxml.m4 for tests/rigmem

2003-12-04 17:14  fillods

	* macros/libxml.m4, tests/memcsv.c, tests/memload.c,
	tests/memsave.c, tests/rigmem.1, tests/rigmem.c: Initial release

2003-12-04 14:45  f4dwv

	* kenwood/thg71.c: add tx_freq to set/get channel capabilities

2003-12-03 06:25  bwulf

	* yaesu/ft990.c: Implemented rig_set_channel()

2003-12-02 19:32  n0nb

	* src/misc.c: 2003-12-02:
	
		Update:
			Changed usage of NULL in a string context to ""
	(null string)
			to correct a segfault in rigctl generated by
	passing a NULL
			pointer to printf().

2003-12-02 17:26  f4dwv

	* kenwood/thg71.c: fix set_channel ctcss_tone/sql

2003-12-02 16:47  f4dwv

	* kenwood/thg71.c: add L/U , priority, call , band vfo to
	set/get_channel add ctcss_tone and sql to set/get_channel init
	str_cal and level_gran in rig cap

2003-12-02 16:45  f4dwv

	* kenwood/th.c: use RAWSTR level insteed of STRENGTH

2003-12-01 14:54  fillods

	* yaesu/ft847.c: better handling of RIG_VFO_CURR (still not
	complete though)

2003-11-30 16:46  fillods

	* yaesu/: ft990.c, ft990.h: more work from Berndt

2003-11-30 14:43  f4dwv

	* kenwood/th.h: add prototype

2003-11-30 14:27  f4dwv

	* kenwood/thg71.c: fix set_channel , imporve get_channel , change
	return error code

2003-11-30 14:23  f4dwv

	* kenwood/th.c: fix error return code

2003-11-29 07:36  f4dwv

	* kenwood/thg71.c: near full implementation of thg71 CAT protocol

2003-11-29 07:34  f4dwv

	* kenwood/th.c: add vfo_op get_dcd set_ptt set_level procs +
	numerous mods and fixes

2003-11-29 07:31  f4dwv

	* kenwood/kenwood.c: clear receive buff in kenwood_transaction

2003-11-28 09:45  fillods

	* yaesu/: ft990.c, ft990.h: FT990 support from Berndt

2003-11-19 01:32  fillods

	* include/hamlib/rig.h, src/rig.c: added new error codes, as
	suggested by Nate

2003-11-16 16:32  fillods

	* src/register.h: changed to ABI version 2

2003-11-16 16:19  fillods

	* configure.ac: * IMPORTANT: moved to ABI version 2 * many stuff
	moved to macros: GR_PWIN32,LF_SET_WARNINGS,ACX_PTHREAD,SWIG_PROG *
	microtune only requires C++

2003-11-16 16:15  fillods

	* lib/gettimeofday.c, lib/usleep.c, lib/win32termios.h,
	src/register.h, src/tones.h: gr_pwin32.m4/config.h fixes

2003-11-16 16:12  fillods

	* macros/Makefile.am: new macros

2003-11-16 16:12  fillods

	* gnuradio/Makefile.am: acx_pthread.m4 macro

2003-11-16 16:10  fillods

	* macros/gr_pwin32.m4: initial revision

2003-11-16 16:09  fillods

	* bindings/Makefile.am: gr_swig.m4 macro

2003-11-16 11:38  fillods

	* NEWS: what's ready for 1.1.5, as of now

2003-11-16 11:37  fillods

	* Makefile.am: kylix binding is unmaintained, not distributed for
	now

2003-11-16 11:36  fillods

	* include/hamlib/rig.h: * converted RIG_LEVEL_STRENGTH to
	RIG_LEVEL_RAWSTR, as discussed on mailing list.   
	RIG_LEVEL_STRENGTH is then derived from calibration table.  *
	gran_t has been changed, more precise with min/max.

2003-11-16 11:34  fillods

	* src/misc.c, src/misc.h, tests/Makefile.am, tests/dumpcaps.c,
	tests/rigctl.c: moved some sprintf's out of library into dumpcap
	application.

2003-11-16 11:31  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h: added TS140

2003-11-16 11:30  fillods

	* jrc/Makefile.am: added NRD535

2003-11-16 11:30  fillods

	* include/hamlib/riglist.h: new models and fixes

2003-11-16 11:29  fillods

	* icom/icr7000.c: added IC-R7100A support

2003-11-16 11:28  fillods

	* icom/: icom.c, icom.h: * new icom models * converted
	RIG_LEVEL_STRENGTH to RIG_LEVEL_RAWSTR. RIG_LEVEL_STRENGTH is  
	then derived from calibration table * added get_ant/set_ant basic
	support * moved icr75_set_channel/icr75_get_channel to icr75.c

2003-11-16 11:25  fillods

	* icom/Makefile.am: new models

2003-11-16 11:24  fillods

	* icom/: ic737.c, ic746.c, ic756.c: * converted RIG_LEVEL_STRENGTH
	to RIG_LEVEL_RAWSTR. RIG_LEVEL_STRENGTH is   then derived from
	calibration table * added support for get_ant/set_ant

2003-11-16 11:22  fillods

	* flexradio/sdr1k.c: added set_level PREAMP

2003-11-16 11:20  fillods

	* dummy/dummy.c: gran fixes

2003-11-16 11:18  fillods

	* icom/ic7400.c: actually the new ic746

2003-11-16 11:14  fillods

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c, icom/ic271.c,
	icom/ic275.c, icom/ic471.c, icom/ic475.c, icom/ic703.c,
	icom/ic706.c, icom/ic718.c, icom/ic725.c, icom/ic726.c,
	icom/ic735.c, icom/ic736.c, icom/ic765.c, icom/ic775.c,
	icom/ic781.c, icom/ic821h.c, icom/ic910.c, icom/ic970.c,
	icom/icr8500.c, icom/omni.c, icom/optoscan.c, icom/os456.c,
	icom/os535.c, jrc/jrc.c, jrc/jrc.h, jrc/nrd545.c, kachina/505dsp.c,
	kachina/kachina.h, src/cal.h, src/idx_builtin.h, src/rig.c,
	src/settings.c, tentec/argonaut.c, tentec/pegasus.c,
	tentec/rx320.c, tentec/tentec.c, tentec/tentec.h, tests/rigctl.1,
	yaesu/ft1000mp.c: converted RIG_LEVEL_STRENGTH to RIG_LEVEL_RAWSTR.
	RIG_LEVEL_STRENGTH is then derived from calibration table

2003-11-16 10:58  fillods

	* icom/icr10.c, icom/icr71.c, icom/icr72.c, icom/icr75.c,
	icom/icr9000.c, icom/id1.c, jrc/nrd535.c, kenwood/ts140.c,
	macros/acx_pthread.m4, macros/gr_doxygen.m4, macros/gr_swig.m4,
	macros/lf_warnings.m4, tests/sprintflst.c, tests/sprintflst.h:
	Initial release

2003-11-16 05:59  fillods

	* libltdl/config.h: remove autogenerated file

2003-11-10 10:01  fillods

	* icom/: Makefile.am, icom.c, ic271.c, ic471.c, ic726.c, ic765.c,
	ic781.c, icom.h: added support for IC-726 IC-765 IC-271 IC-471
	IC-781

2003-11-10 09:59  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, ts680.c, ts690.c,
	ts711.c, ts811.c, ts940.c: added support for TS-680 TS-690 TS-711
	TS-811 TS-940

2003-11-10 09:57  fillods

	* include/hamlib/riglist.h: new kenwood model

2003-11-05 14:40  fillods

	* icom/ic703.c, icom/ic7400.c, include/hamlib/riglist.h,
	icom/Makefile.am, icom/icom.c, icom/icom.h: added initial support
	for IC-7400 and IC-703

2003-11-03 10:11  n0nb

	* AUTHORS: Updated AUTHORS so folks know where to direct bug
	reports...

2003-11-03 09:07  n0nb

	* src/locator.c: 2003-11-03:
	
		Update:
			locator.c--cruft cleanup and tweak the
	documentation
			comments.

2003-11-02 22:26  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	2003-11-02:
	
		Update:
			rotator.h and locator.c--rewrote dec2*() and
	*2dec()
			functions to use a sign flag.  Further tweaked
	qrb()
			for proper output.
			testloc.c--rewrote as necessary to support changes
	in
			locator.c

2003-10-31 10:45  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: Finally allow VPATH
	building.  We need to chdir in source dir, otherwise rpcgen
	hardcodes rpcrig.h path of the source .x file. sigh.

2003-10-27 19:01  n0nb

	* src/locator.c, tests/testloc.c: 2003-10-27:
	
		Update:
			src/locator.c -- Improved handling of very tiny
	distances
			in qrb() as well as a new formula for azimuth.
			tests/testloc.c -- extended distance output display
	for
			very to 6 decimal places which is useful for
	showing the
			distance of 12 digit locators.

2003-10-24 17:59  fillods

	* icom/: Makefile.am, ic746.c, icom.c, icom.h: added initial
	support for IC-746 and IC-746PRO

2003-10-20 17:34  fillods

	* gnuradio/demod.h: initial revision

2003-10-20 17:15  fillods

	* alinco/alinco.c, aor/aor.c, aor/ar3000.c, drake/drake.c,
	icom/icr7000.c, include/hamlib/rig.h, jrc/jrc.c, kenwood/kenwood.c,
	kenwood/th.c, pcr/pcr.c, tentec/tentec2.c, tests/rigctl.c,
	uniden/uniden.c: Prepare eventual move from freq_t as a "long long"
	to a "double" type.

2003-10-20 15:34  fillods

	* microtune/: Makefile.am, microtune.cc, microtune.h,
	microtune_4702.cc, microtune_4702.h, microtune_4937.cc,
	microtune_4937.h, microtune_eval_board.h,
	microtune_eval_board_defs.h, module_4702.c, module_4937.c: added
	Microtune 4702 support (from GNU Radio)

2003-10-20 15:29  fillods

	* include/hamlib/riglist.h: declared Microtune 4702

2003-10-19 22:33  fillods

	* ltmain.sh: upgrade to libtool-1.5-3

2003-10-19 22:27  fillods

	* macros/: libtool.m4, ltdl.m4: upgrade to libtool-1.5-3

2003-10-19 22:21  fillods

	* libltdl/: aclocal.m4, Makefile.in, configure, ltdl.c, ltmain.sh,
	missing: upgrade to libtool-1.5-3

2003-10-17 17:53  fillods

	* lib/termios.c, lib/win32termios.h, src/event.c, src/iofunc.c:
	various hacks to make win32_serial_select to work (notify read)

2003-10-12 13:04  fillods

	* yaesu/: Makefile.am, ft990.c, ft990.h, yaesu.c, yaesu.h: Initial
	skelton revision for the FT990

2003-10-08 12:58  pa4tu

	* hamlib.spec.in: fix 'make rpm'

2003-10-07 17:21  fillods

	* flexradio/sdr1k.c: work based on Gerald's CRig.cls

2003-10-07 17:15  fillods

	* Makefile.am, configure.ac, tapr/Makefile.am, rft/Makefile.am,
	rft/ekd500.c, rft/rft.c, rft/rft.h, tapr/dsp10.c, tapr/tapr.c,
	tapr/tapr.h: added skelton for new backends: tapr(DSP10) and
	rft(EKD500).

2003-10-07 17:11  fillods

	* include/hamlib/riglist.h: added EKD500, renamed DSP10

2003-10-01 16:51  fillods

	* tests/Makefile.am, yaesu/Makefile.am: lib replacement needed for
	portability

2003-10-01 14:50  fillods

	* include/hamlib/rig.h: * remove unused buffered mode stuff (stream
	field) * no need to include stdio.h any more (be careful of
	implicit include!) * removed some dead wood about sockaddr in the
	network port. This will   be put back in correctly when this kind
	of port is really implemented.

2003-10-01 14:44  fillods

	* src/: iofunc.c, iofunc.h, rig.c, rotator.c, serial.c: remove
	unused buffered mode stuff

2003-10-01 14:39  fillods

	* icom/: optoscan.c, icom.c: include fixup, stdio.h is not included
	by rig.h anymore

2003-10-01 14:38  fillods

	* gnuradio/: Makefile.am, ssb.h, wfm.h: added SSB and WFM
	demodulator classes

2003-10-01 14:34  fillods

	* yaesu/: ft100.c, ft747.c, ft817.c, ft847.c, ft857.c: remove some
	dead wood

2003-10-01 14:31  fillods

	* alinco/alinco.c, alinco/dx77.c, aor/aor.c, aor/ar3000.c,
	aor/ar5000.c, aor/ar8000.c, aor/ar8200.c, drake/drake.c,
	drake/r8b.c, dummy/dummy.c, easycomm/easycomm.c, gnuradio/gr.c,
	gnuradio/graudio.c, gnuradio/mc4020.c, icom/ic275.c, icom/ic475.c,
	icom/ic706.c, icom/ic718.c, icom/ic725.c, icom/ic735.c,
	icom/ic736.c, icom/ic737.c, icom/ic775.c, icom/ic821h.c,
	icom/ic910.c, icom/ic970.c, icom/icr7000.c, icom/icr8500.c,
	icom/omni.c, icom/os456.c, icom/os535.c, jrc/jrc.c, jrc/nrd545.c,
	kachina/505dsp.c, kenwood/kenwood.c, kenwood/th.c, kenwood/thd7.c,
	kenwood/thf7.c, kenwood/thg71.c, kenwood/ts2000.c, kenwood/ts440.c,
	kenwood/ts450s.c, kenwood/ts570.c, kenwood/ts790.c,
	kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts930.c,
	kenwood/ts950.c, lowe/hf235.c, lowe/lowe.c,
	microtune/module_4937.c, pcr/pcr.c, pcr/pcr100.c, pcr/pcr1000.c,
	rotorez/rotorez.c, sartek/sartek.c, src/tones.c, tentec/argonaut.c,
	tentec/pegasus.c, tentec/rx320.c, tentec/tentec.c,
	tentec/tentec2.c, uniden/bc895.c, uniden/uniden.c,
	winradio/wr1000.c, winradio/wr1500.c, winradio/wr1550.c,
	winradio/wr3100.c, winradio/wr3150.c, winradio/wr3500.c,
	winradio/wr3700.c: include fixup, stdio.h is not included by rig.h
	anymore

2003-10-01 13:08  fillods

	* macros/python.m4: don't put us into trouble if python is not
	installed

2003-09-28 15:51  fillods

	* gnuradio/: Makefile.am, am.h, gnuradio.cc, gr_priv.h, nfm.h: WIP,
	new demodulator chain class

2003-09-28 11:14  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, thg71.c: added
	initial support for the TH-G71

2003-09-28 11:00  fillods

	* gnuradio/graudio.c: version update

2003-09-28 10:59  fillods

	* gnuradio/: gnuradio.cc, gnuradio.h, gr_priv.h, graudio.c: * this
	is WIP. Some new demodulators copy/pasted from the GNU Radio
	project * declared GrAudio I&Q interface

2003-09-28 10:36  fillods

	* flexradio/sdr1k.c: * First working version! still a WIP though.. 
	* reworked parallel port access: invert logic to make it more
	natural * explicit ppdev locking

2003-09-28 10:34  fillods

	* fodtrack/fodtrack.c, src/serial.c, src/serial.h: * reworked
	parallel port access: invert logic to make it more natural *
	explicit ppdev locking * support for inclusion by C++ code

2003-09-28 10:30  fillods

	* kenwood/ts570.c: warning silencing

2003-09-28 10:28  fillods

	* microtune/: Makefile.am, givelp1.cc, i2c.cc, i2c.h, i2cio.h,
	i2cio_pp.cc, i2cio_pp.h, microtune.cc, microtune.h,
	microtune_4937.cc, microtune_4937.h, microtune_eval_board.cc,
	microtune_eval_board.h, module_4937.c, ppio.cc, ppio.h: * upstream
	upgrade from GNU Radio project (0.8cvs current 030928) * added AGC
	level set * no more raw parallel port access -> use portable Hamlib
	// primitives

2003-09-23 17:54  fillods

	* gnuradio/gnuradio.cc: follow register.h init method

2003-09-23 17:52  fillods

	* src/register.h: support for C++ backends

2003-09-21 15:25  fillods

	* macros/python.m4: make lack of python not fatal

2003-09-21 12:05  fillods

	* include/hamlib/riglist.h: new models

2003-09-21 06:08  fillods

	* yaesu/: ft857.c, ft857.h: Patch from Tomi Manninen / OH2BNS:
	
	ft857-arg-check:
	
	 - remove all checks for rig != NULL, these are done by the front
	end
	
	ft857-squelch:
	
	 - add ft857_get_dcd() and ft857_get_level(RIG_LEVEL_SQLSTAT)
	 - changed S meter calculation a bit
	 - the rig rejects ft857_set_ptt() if state isn't changed,
	   handling this might be needed in other set commands as well
	 - increased read timeout a bit
	 - tried ft857_set_powerstat(), didn't work...
	 - minor cosmetic stuff

2003-09-11 22:15  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	2003-09-11
	
		Updated:
			rotator.h -- new declarations dec2dmmm() and
	dmmm2dec()
			locator.c -- new functions dec2dmm() and dmm2dec()
	also
				     reworked document comments
			testloc.c -- support for new dec2dmm() and
	dmmm2dec()

2003-09-10 20:04  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	2003-09-10
	
		Updated:
			locator.c -- fixed "zero bug" in dec2dms() and
	dms2dec()
			rotator.h -- changed dec2dms() and dms2dec()
	parameter,
			degrees to float and minutes to double
			testloc.c -- modified to support changed parameters

2003-09-07 13:30  fillods

	* icom/optoscan.c, icom/os456.c, icom/os535.c, src/event.c: Patches
	for pipelined tuning and OS535 from Michael Smith

2003-09-07 09:07  fillods

	* winradio/winradio.c: Missing WR-1550 registration, from Juergen
	DC3BW

2003-08-27 02:39  fillods

	* yaesu/: ft857.c, ft857.h: FT-857 patch from Tomi, OH2BNS

2003-08-25 17:45  fillods

	* tests/rigctl.c: typo

2003-08-25 17:41  fillods

	* flexradio/Makefile.am, fodtrack/Makefile.am: Include LIBOBJ
	portability replacements

2003-08-25 17:38  fillods

	* tests/rigctl.c: strange longlong portability(win32) fix

2003-08-25 17:36  fillods

	* tests/dumpcaps.c: let rigctl know about parallel ports

2003-08-25 17:35  fillods

	* src/: serial.c, serial.h: * fix a bug with TIOCMBIC/TIOCMBIS and
	char arg * added support for Win32 parallel port * added
	par_read_status() helper

2003-08-25 17:33  fillods

	* src/: rig.c, rotator.c: Default device name (OS dependant)

2003-08-25 17:32  fillods

	* src/: Makefile.am, par_nt.h: Win32 parallel port support,
	borrowed from libieee1284

2003-08-25 17:28  fillods

	* include/hamlib/rig.h, src/misc.c, tests/rigctl.1: added new VFO
	OP

2003-08-25 17:26  fillods

	* fodtrack/fodtrack.c: missing defines on non-Linux systems

2003-08-25 17:26  fillods

	* bindings/: Makefile.am, pytest.py: added python binding initial
	support

2003-08-25 17:23  fillods

	* configure.ac: * fodtrack and flexradio gained systemwise
	portability * added python binding intial support * requirement:
	gnuradio >= 0.8

2003-08-25 17:20  fillods

	* macros/: Makefile.am, python.m4: added python binding support

2003-08-21 15:37  n0nb

	* tests/testloc.c: 2003-08-21
	
		Update
			testloc.c -- added error checking for
	longlat2locator()
			return value.

2003-08-21 15:22  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	2003-08-21
	
		Update:
			locator.c -- added argument int pair_count to
			longlat2locator() and changed longlat2locator()
	from
			void to type int return.  Changed *seconds argument
	in
			dms2dec() and dec2dms() from type int to type
	double.
	
			rotator.h -- function prototypes to match above.
	
			testloc.c -- modified to support changes in
	locator.c
			Added additional command line parameter,
	locator-length
			which is expected after the first locator and
	before the
			optional second locator.

2003-08-20 22:11  n0nb

	* src/locator.c, tests/testloc.c: 2003-08-20
	
		Update:
			locator.c  incoporated Dave Hines' code to work
	with
			extended locators as long as 6 lon/lat pairs. 
	Changed
			locator array to be a nul terminated string as
	created
			by longlat2locator().
	
			testloc.c  changed to accomodate nul terminated
	string
			from longlat2locator().

2003-08-20 02:28  fillods

	* tests/: rigctl.test/rigctl.exp, Makefile.am, config/unix.exp,
	testbcd.test/testbcd.exp, testfreq.test/testfreq.exp,
	testloc.test/testloc.exp: DejaGNU tests

2003-08-20 02:23  fillods

	* tests/rigmatrix.c: API change

2003-08-20 02:22  fillods

	* lib/termios.c, lib/usleep.c, src/event.c, src/iofunc.c,
	src/serial.c: mingw/cygwin fixes

2003-08-19 18:41  n0nb

	* src/locator.c: 2003-08-19
	
		Update:
			locator.c--various bug fixes

2003-08-19 16:28  fillods

	* tests/testloc.c: Better error checking from Nate N0NB

2003-08-17 17:39  fillods

	* bindings/ignore.swg, icom/Makefile.am, icom/frame.c, icom/icom.h,
	icom/optoscan.c, icom/optoscan.h, icom/os456.c,
	include/hamlib/rig.h, rpcrig/rpc.rigd.8, rpcrig/rpcrigd.c,
	src/event.c, src/event.h, src/misc.c, src/rig.c, src/serial.c,
	src/serial.h, tests/dumpcaps.c, tests/rigctl.1, tests/rigctl.c:
	Support for pipelined tuning, including DCD on CD line.

2003-08-17 17:33  fillods

	* configure.ac, lib/Makefile.am, lib/gettimeofday.c: gettimeofday
	replacement for WIN32

2003-08-15 14:17  pa4tu

	* kenwood/kenwood.c: ts-850 returns ID 009 according to martin,
	OK1RR

2003-08-14 20:33  fillods

	* libltdl/acinclude.m4: update to libtool 1.5.0a/Debian

2003-08-14 20:25  fillods

	* configure.ac, src/event.c, src/iofunc.c, src/serial.c: termios
	replacement for win32 support

2003-08-14 20:16  fillods

	* lib/usleep.c: win32 support

2003-08-14 20:15  fillods

	* lib/: Makefile.am, termios.c, win32termios.h: added termios
	replacement for win32

2003-08-14 20:05  fillods

	* kenwood/thf7.c: added URL to protocol specs

2003-08-14 20:01  fillods

	* macros/libtool.m4, macros/ltdl.m4, ltmain.sh,
	libltdl/COPYING.LIB, libltdl/Makefile.in, libltdl/aclocal.m4,
	libltdl/config.guess, libltdl/config.h, libltdl/config.sub,
	libltdl/configure, libltdl/configure.ac, libltdl/install-sh,
	libltdl/ltdl.c, libltdl/ltdl.h, libltdl/ltmain.sh: update to
	libtool 1.5.0a/Debian

2003-08-11 16:21  fillods

	* yaesu/ft847.c: optional filter?

2003-08-11 16:20  fillods

	* yaesu/: Makefile.am, ft857.c, ft857.h, yaesu.c, yaesu.h: added
	intial support for ft857

2003-08-11 16:18  fillods

	* include/hamlib/riglist.h: added new Yeasu

2003-07-03 01:47  fillods

	* include/hamlib/rig.h: compile warning fixes on NetBSD from
	Berndt, VK5ABN

2003-07-03 01:46  fillods

	* rpcrig/rpcrig.x: NetBSD patch from Berndt, VK5ABN

2003-06-28 17:39  fillods

	* kenwood/kenwood.c: the TS-950SD is not declared yet

2003-06-23 16:30  fillods

	* libltdl/Makefile.in, ltmain.sh: revert Joop changes

2003-06-23 13:11  pa4tu

	* ltmain.sh, kenwood/kenwood.c, kenwood/ts450s.c, kenwood/ts850.c,
	libltdl/Makefile.in: correct baudrate for some rigs and add ts-950
	to the id_list

2003-06-23 12:48  pa4tu

	* kenwood/: kenwood.c, ts870s.c, ts950.c: correct baudrate for the
	ts-950, use the information field IF for get_vfo by default
	(supported by most kenwood rigs), ts870s will use the much shorter
	FR command for get_vfo

2003-06-22 16:37  fillods

	* src/rig.c: fix previous commit(rig_close) and default parallel
	port

2003-06-22 15:43  fillods

	* configure.ac: fix finger cross-over

2003-06-22 14:58  fillods

	* doc/hamlib.cfg: add event.c, misc tuning

2003-06-22 14:57  fillods

	* configure.ac: new backends, forget about libieee math

2003-06-22 14:54  fillods

	* bindings/Makefile.am: add rotator and lists in deps

2003-06-22 14:52  fillods

	* fodtrack/fodtrack.c: use new par_write* helpers

2003-06-22 14:51  fillods

	* doc/Makefile.am: don't forget style sheet in dist

2003-06-22 14:50  fillods

	* src/: serial.c, serial.h: new pp_write data/control helpers

2003-06-22 14:41  fillods

	* src/rig.c: handle RIG_PORT_PARALLEL ports in open/close

2003-06-22 14:40  fillods

	* icom/icom.c: probe OptoScan

2003-06-22 14:39  fillods

	* include/hamlib/rig.h, src/misc.c, tests/rigctl.1: added AM-S mode

2003-06-22 14:38  fillods

	* include/hamlib/rotlist.h: new sartek

2003-06-22 14:37  fillods

	* include/hamlib/riglist.h: new HF235 and fix SDR1000

2003-06-22 14:36  fillods

	* flexradio/Makefile.am, flexradio/sdr1k.c, flexradio/sdr1k.h,
	lowe/Makefile.am, lowe/hf235.c, lowe/lowe.c, lowe/lowe.h,
	sartek/Makefile.am, sartek/sartek.c, sartek/sartek.h: Initial
	release

2003-06-22 14:34  fillods

	* Makefile.am: new backends, and aclocal -I flag

2003-06-21 06:10  fillods

	* src/event.c: NetBSD HAVE_SIGINFO_T but no SA_SIGINFO

2003-05-31 03:55  pa4tu

	* debian/: changelog, control, rules, shlibs.local: update the
	debian build tree to the latest

2003-05-20 02:01  fillods

	* icom/optoscan.h: Initial release

2003-05-19 01:57  fillods

	* icom/: Makefile.am, icom.h, optoscan.c, os456.c, os535.c: Patch
	from Michael Smith adding support for RIG_LEVEL_AF, as well as tape
	jack support, 5khz window support, and support for reading various
	status bits from the os456.

2003-05-16 11:31  fillods

	* rpcrig/rpcrig_backend.c: allow ptt and dcd operation over RPC

2003-05-12 17:29  fillods

	* tentec/: Makefile.am, argonaut.c, tentec.c, tentec.h, tentec2.c,
	tentec2.h: added initial support for Argonaut V

2003-05-12 17:27  fillods

	* include/hamlib/riglist.h: new Ten-Tec models, DSP-10 and SDR-1000

2003-05-05 05:46  fillods

	* tentec/tentec.c: fix a bug in tentec_set_freq, make get STRENGTH
	to work thanks to Maitland AA4HS

2003-05-03 08:34  fillods

	* icom/frame.c: added support for retry

2003-05-03 08:17  fillods

	* include/hamlib/rig.h, src/conf.c, src/event.c, src/rig.c,
	src/token.h, tests/rigctl.1, tests/rigctl.c: Implemented emulation
	of rig transceive mode using polling (based on SIGALRM), moved all
	transceive and event related functions from rig.c to event.c.

2003-05-03 06:24  fillods

	* yaesu/ft847.c: added explicit CWR support, print full vfo name in
	debug messages

2003-05-03 06:23  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: parallel build fixes

2003-05-03 06:21  fillods

	* configure.ac: Let's start the 1.1.5cvs round: check for
	setitimer, fix backend dir dependency in VPATH building.

2003-04-28 02:12  fillods

	* configure.ac: bump version number

2003-04-28 01:56  fillods

	* ChangeLog: regenerated, release update

2003-04-28 01:43  fillods

	* TODO: 1.1.4 status

2003-04-28 01:34  fillods

	* INSTALL, NEWS, README, README.developer: updates before release

2003-04-27 17:15  fillods

	* include/hamlib/rig.h, src/rig.c: doxygen fixes

2003-04-27 17:14  fillods

	* include/hamlib/rotator.h: added ROT_RESET_ALL

2003-04-26 04:54  fillods

	* icom/: frame.c, frame.h, icom.c, os456.c: OS456 has no passband
	data in set_mode/get_mode

2003-04-23 17:17  fillods

	* bindings/Makefile.am: VPATH build fix, tcl build fix

2003-04-23 17:15  fillods

	* configure.ac: re-enable c++ binding, fix tcl build, bindings
	build requires perl *and* tcl

2003-04-23 16:06  fillods

	* src/rotator.c: typo

2003-04-23 16:05  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: Tell rpcgen to generate
	code in ANSI C, with conventional stub names

2003-04-23 15:57  fillods

	* macros/libtool.m4: upgrade libtool-1.5

2003-04-23 15:13  fillods

	* include/hamlib/rig_dll.h, src/tones.h: Cygwin fixes

2003-04-23 15:10  fillods

	* acinclude.m4: remove autogenerated file from macros/ subdir

2003-04-22 14:31  fillods

	* rpcrig/: rpcrig.x, rpcrig_backend.c, rpcrig_proc.c: shadowed
	struct declaration fixup

2003-04-20 13:39  pa4tu

	* debian/: README.Debian, rules, changelog: fix the debian build
	script, new maintainer

2003-04-19 08:47  fillods

	* libltdl/acinclude.m4, libltdl/configure.in, libltdl/stamp-h,
	libltdl/stamp-h.in, libltdl/COPYING.LIB, libltdl/Makefile.am,
	libltdl/README, libltdl/aclocal.m4, libltdl/config-h.in,
	libltdl/config.guess, libltdl/config.sub, libltdl/configure,
	libltdl/install-sh, libltdl/ltmain.sh, libltdl/mkinstalldirs,
	libltdl/Makefile.in, libltdl/config.h, libltdl/configure.ac,
	libltdl/ltdl.c, libltdl/missing, configure.ac, ltmain.sh,
	macros/Makefile.am, macros/ltdl.m4, src/rig.c: upgrade to libtool
	1.5

2003-04-19 06:49  fillods

	* src/serial.c: speed_t requires termios

2003-04-19 06:49  fillods

	* src/tones.h: oops, allow build on win32

2003-04-19 06:48  fillods

	* include/hamlib/rig_dll.h: don't forget mingw

2003-04-16 17:33  fillods

	* include/hamlib/rig.h, include/hamlib/rig_dll.h, src/event.c,
	src/serial.c, src/tones.c, src/tones.h: * portability fixes * On
	some arch (win32), backends cannot use exported global variables as
	initializers

2003-04-16 17:30  fillods

	* configure.ac, alinco/alinco.c, alinco/alinco.h, aor/aor.c,
	src/Makefile.am, src/register.c, src/register.h, src/rot_reg.c,
	aor/aor.h, drake/drake.c, drake/drake.h, dummy/dummy.c,
	dummy/dummy.h, dummy/rot_dummy.c, dummy/rot_dummy.h,
	easycomm/easycomm.c, easycomm/easycomm.h, fodtrack/fodtrack.c,
	fodtrack/fodtrack.h, gnuradio/gnuradio.h, icom/icom.c, icom/icom.h,
	jrc/jrc.c, jrc/jrc.h, kachina/kachina.c, kachina/kachina.h,
	kenwood/kenwood.c, kenwood/kenwood.h, microtune/microtune.h,
	microtune/module_4937.c, pcr/pcr.c, pcr/pcr.h, rotorez/rotorez.c,
	rotorez/rotorez.h, rpcrig/rpcrig_backend.c,
	rpcrig/rpcrig_backend.h, rpcrot/rpcrot_backend.c, tentec/tentec.c,
	tentec/tentec.h, uniden/uniden.c, uniden/uniden.h,
	winradio/winradio.c, winradio/winradio.h, yaesu/yaesu.c,
	yaesu/yaesu.h: * added ABI VERSION to backend entry point symbol
	name

2003-04-14 17:17  n0nb

	* yaesu/: ft900.c, ft900.h: 2003-04-14:
	
		Update:
			Upload missing ft900.[ch]  (sheepish grin)

2003-04-13 22:05  n0nb

	* yaesu/: Makefile.am, yaesu.c, yaesu.h: 2003-04-13:
	
		Updated:
			Makefile.am, yaesu.h, yaesu.c--addition of FT-900
	backend
		New:
			ft900.h, ft900.c--basically a carbon copy of the
	ft890
			backend.

2003-04-12 08:00  n0nb

	* yaesu/: ft890.c, ft890.h: 2003-04-12:
	
		Update:
			Added suport to ft890 for rig_vfo_op RIG_OP_TUNE
	for
			tuner start command.

2003-04-10 13:25  fillods

	* AUTHORS: added Michael

2003-04-09 01:43  fillods

	* icom/optoscan.c: should always compile test before commit...

2003-04-09 01:37  fillods

	* icom/: icom.h, optoscan.c, os456.c: Patch from Michael Smith for
	the OS456: - adds SQL status and signal strength support - fixes
	the signal strength scaling - adds code to support
	get_ctcss_tone(), get_dcs_code() and rig_recv_dtmf()

2003-04-07 17:41  fillods

	* alinco/alinco.c, aor/aor.c, dummy/dummy.c, dummy/rot_dummy.c,
	easycomm/easycomm.c, fodtrack/fodtrack.c, icom/frame.c,
	icom/icom.c, icom/optoscan.c, jrc/jrc.c, kachina/kachina.c,
	kenwood/kenwood.c, kenwood/th.c, pcr/pcr.c, rotorez/rotorez.c,
	drake/drake.c, rpcrig/rpcrig_backend.c, rpcrot/rpcrot_backend.c,
	src/iofunc.c, tentec/tentec.c, uniden/uniden.c,
	winradio/winradio.c, yaesu/ft100.c, yaesu/ft1000mp.c,
	yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c, yaesu/ft890.c,
	yaesu/ft920.c, yaesu/yaesu.c: fix headers

2003-04-07 15:54  fillods

	* tests/rotctl.c: misc fixes

2003-04-07 15:47  fillods

	* macros/tcl.m4: added default cygwin dir

2003-04-06 13:53  fillods

	* kenwood/ts790.c: ongoing work

2003-04-06 13:52  fillods

	* bindings/hamlib.swg: hamlib -> Hamlib

2003-04-06 13:50  fillods

	* gnuradio/: gnuradio.cc, gnuradio.h, gr.c, gr_priv.h, graudio.c,
	mc4020.c, testgr.cc: WIP

2003-04-06 13:48  fillods

	* bindings/rig.swg: adopt new split_vfo

2003-04-06 13:45  fillods

	* bindings/perltest.pl: hamlib -> Hamlib

2003-04-06 13:44  fillods

	* bindings/Makefile.PL: initial release

2003-04-06 13:43  fillods

	* bindings/Makefile.am: Reworked. Use perl install helper

2003-04-06 13:40  fillods

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c, c++/rigclass.cc,
	dummy/dummy.c, icom/ic706.c, icom/ic718.c, icom/ic725.c,
	icom/ic736.c, icom/ic737.c, icom/ic756.c, icom/icom.c, icom/icom.h,
	include/hamlib/rig.h, include/hamlib/rigclass.h, rpcrig/rpcrig.x,
	rpcrig/rpcrig_backend.c, rpcrig/rpcrig_proc.c, src/mem.c,
	src/rig.c, tests/dumpcaps.c, tests/rigctl.1, tests/rigctl.c,
	yaesu/ft100.c, yaesu/ft100.h, yaesu/ft817.c, yaesu/ft890.c,
	yaesu/ft890.h, yaesu/ft920.c, yaesu/ft920.h: Adopt new split_vfo
	handling. Basically, rename set_split/get_split to
	set_split_vfo/get_split_vfo, and take an extra transmit vfo arg. 
	Ascending compatibility is retained at the API frontend level. 
	NOTE: only function name has changed. The backends do not implement
	necessarily the new semantic (the extra tx vfo is just ignored).

2003-04-06 13:34  fillods

	* src/register.c: misc warning silencing

2003-04-06 13:30  fillods

	* c++/testcpp.cc: misc fixes

2003-04-04 22:13  n0nb

	* doc/README.ft890, yaesu/ft890.c, yaesu/ft890.h: 2003-04-04:
	
		Updated:
			Implemented RIT functions, setting and reading PTT
	status
			as well as (rudimentary) reading S-meter level.
	
		New:
			README.ft890

2003-04-02 15:29  fillods

	* install-sh: remove autogenerated file

2003-04-02 01:24  fillods

	* src/event.c: allow build on solaris

2003-03-27 17:51  fillods

	* tests/rigctl.1: misc update

2003-03-27 17:45  fillods

	* src/settings.c: fix broken documentation about set_func/get_func

2003-03-27 17:44  fillods

	* tests/rigctl.c: added ability to specify target vfo for each cmd
	when -o option is passed on command line

2003-03-24 17:08  fillods

	* kenwood/: th.c, th.h, thd7.c, thf7.c: Removed RIG_FUNC_LMP in
	favor of RIG_PARM_BACKLIGHT

2003-03-24 17:07  fillods

	* src/misc.c: added RIG_FUNC_TUNER and RIG_OP_TUNE

2003-03-24 17:06  fillods

	* include/hamlib/rig.h: added RIG_FUNC_TUNER, RIG_OP_TUNE. Removed
	RIG_FUNC_LMP in favor of RIG_PARM_BACKLIGHT

2003-03-24 06:18  n0nb

	* tests/rigctl.c, yaesu/ft890.c, yaesu/ft890.h: 2003-03-24:
	
		Update:
			Fixed a stupid error in ft890_get_freq that caused
	returned
			freq to be divided by 10.
			Added two new functions, set_ptt and get_ptt to set
	rig
			into and out of TX mode and query PTT status.
			Modified ft890_set_freq to check passed vfo against
	stored
			value and update rig only if passed vfo differs.

2003-03-21 13:56  pa4tu

	* debian/README.Debian: unofficial

2003-03-21 13:53  pa4tu

	* debian/rules: update debian build for rotorez and fodtrack, minor
	fixes

2003-03-19 17:44  fillods

	* tests/dumpcaps.c: misc update after rig.h change

2003-03-19 17:41  fillods

	* include/hamlib/rig.h: cleanups, converted define's to enum's w/
	initializers bringing in doxygen comments

2003-03-15 17:58  fillods

	* kenwood/kenwood.c, include/hamlib/riglist.h, kenwood/Makefile.am,
	kenwood/kenwood.h, kenwood/ts930.c: added TS-930

2003-03-10 02:40  fillods

	* include/hamlib/rig.h: reworked rig discovery (probe) API and cast
	a vfo_t rewrite

2003-03-10 02:26  fillods

	* yaesu/: ft100.c, ft817.c, ft847.h: misc fixes of macros should
	not be used or incorrect type

2003-03-10 02:26  fillods

	* drake/drake.c, drake/drake.h, icom/icom.c, icom/icom.h,
	kenwood/kenwood.c, kenwood/kenwood.h, src/register.c, src/rig.c:
	allow discovery(probe) of more than one rig attached to a port,
	fixes

2003-03-08 22:43  n0nb

	* yaesu/: Makefile.am, ft890.c, ft890.h, yaesu.c, yaesu.h:
	2003-03-08
	
		Added:
			New backend for Yaesu FT-890/FT-890AT

2003-03-03 14:16  dedmons

	* kenwood/ts2000.txt: Corrected function name from levels() to
	func().  Big oops!

2003-03-02 15:50  dedmons

	* tests/testts2k.c: Got set/get_channel routines working.  Still
	have some fields to fix, but it'll write and read the memory now.

2003-03-01 16:06  dedmons

	* include/hamlib/rig_newvfo.h, tests/testts2k.c: 1) Have ts2k.c
	passing tests/testts2k again.  2) Working on getting get/set
	channel to pass simple test.  Added    'channel_t *next' to
	rig_newvfo.h so a channel may be a list of one or    more
	channel_t's (e.g. split and other complex modes).  3) Added channel
	test to testts2k.  4) tsctl still don't work with updates from
	Hamlib Main branch.  I still	need to finish the grammar in
	tests/rc so the testcmd command line	will work for hamlib
	commands.  (Real cool when it works.)

2003-02-27 05:45  dedmons

	* include/hamlib/rig_newvfo.h, tests/Makefile.in: Several new
	functions available in ts2k.c using ts2k_cmds.c rig calls.  Almost
	back to original functionality.  Added Mem/Vfo split in
	rig_newvfo.h to support this mode on TS-2000 eventually.

2003-02-26 21:50  n0nb

	* rotorez/rotorez.h: 2003-02-26:
	
		Updated:
			rotorez.h for rot_set_conf support

2003-02-26 21:47  n0nb

	* doc/README.rotorez, rotorez/rotorez.c, tests/rotctl.1,
	tests/rotctl.c: 2003-02-26
	
		Added:
			doc/README.rotorez -- backend to API document
		Updated:
			Added rot_set_conf support to rotorez.c
			Added interactive support for rot_set_conf in
	rotctl.c
			Updated rotctl.1 for changes.

2003-02-26 13:00  dedmons

	* libltdl/Makefile.in, tests/Makefile.am: Updates to ts2k.c. 
	Complete rewrite of module using new ts2k_cmds.c which implement
	the entire TS-2000 command set.

2003-02-25 10:15  dedmons

	* icom/ic725.c: One last file, I hope!

2003-02-25 09:59  dedmons

	* tests/tree.h: file tree.h was initially added on branch
	branch_ts2k.

2003-02-25 09:59  dedmons

	* tests/lex.rig_yy.c: file lex.rig_yy.c was initially added on
	branch branch_ts2k.

2003-02-25 09:59  dedmons

	* Segfault-award, debian/hamlib-doc.dirs, debian/hamlib-utils.dirs,
	debian/hamlib-utils.files, doc/README.ft920, gnuradio/gnuradio.cc,
	gnuradio/graudio.c, gnuradio/mc4020.c, icom/ic737.c,
	include/bandplan.h, src/idx_builtin.h, tests/lex.rig_yy.c,
	tests/tree.h: More syncing branch_ts2k with Main.

2003-02-25 09:34  dedmons

	* microtune/Makefile.in: file Makefile.in was initially added on
	branch branch_ts2k.

2003-02-25 09:34  dedmons

	* microtune/Makefile.am, microtune/Makefile.in,
	microtune/givelp1.cc, microtune/i2c.cc, microtune/i2c.h,
	microtune/i2cio.cc, microtune/i2cio.h, microtune/i2cio_pp.cc,
	microtune/i2cio_pp.h, microtune/microtune.cc,
	microtune/microtune.h, microtune/microtune_4937.cc,
	microtune/microtune_4937.h, microtune/microtune_eval_board.cc,
	microtune/microtune_eval_board.h,
	microtune/microtune_eval_board_defs.h, microtune/module_4937.c,
	microtune/ppio.cc, microtune/ppio.h, yaesu/ft1000mp.c,
	yaesu/ft1000mp.h, yaesu/ft920.c, yaesu/ft920.h: Bringing more of
	branch_ts2k up-to-date with Main.

2003-02-25 00:31  dedmons

	* macros/: Makefile.am, Makefile.in, aclocal-include.m4,
	libtool.m4, perl.m4, pkg.m4, tcl.m4: This directory keeps getting
	skipped.  Next time I'll remember -R...

2003-02-25 00:31  dedmons

	* macros/Makefile.in: file Makefile.in was initially added on
	branch branch_ts2k.

2003-02-25 00:00  dedmons

	* bindings/Makefile.in, fodtrack/Makefile.in, rotorez/Makefile.in:
	file Makefile.in was initially added on branch branch_ts2k.

2003-02-25 00:00  dedmons

	* alinco/Makefile.am, alinco/Makefile.in, alinco/alinco.c,
	alinco/alinco.h, alinco/dx77.c, aor/Makefile.am, aor/Makefile.in,
	aor/aor.c, aor/aor.h, aor/ar5000.c, aor/ar8000.c, aor/ar8200.c,
	bindings/Makefile.am, bindings/Makefile.in, bindings/hamlib.swg,
	bindings/ignore.swg, bindings/perltest.pl, bindings/rig.swg,
	bindings/rotator.swg, bindings/tcltest.tcl, c++/Makefile.in,
	c++/rigclass.cc, c++/rotclass.cc, debian/hamlib-dev.dirs,
	doc/Makefile.in, doc/hamlib.cfg, doc/index.doxygen,
	drake/Makefile.am, drake/Makefile.in, drake/drake.c, drake/drake.h,
	drake/r8b.c, dummy/Makefile.am, dummy/Makefile.in, dummy/dummy.c,
	dummy/dummy.h, dummy/rot_dummy.c, dummy/rot_dummy.h,
	easycomm/Makefile.am, easycomm/Makefile.in, easycomm/easycomm.c,
	easycomm/easycomm.h, fodtrack/Makefile.am, fodtrack/Makefile.in,
	fodtrack/fodtrack.c, fodtrack/fodtrack.h, gnuradio/Makefile.am,
	gnuradio/Makefile.in, gnuradio/gnuradio.h, gnuradio/gr.c,
	gnuradio/gr_priv.h, gnuradio/testgr.cc, icom/Makefile.am,
	icom/Makefile.in, icom/frame.c, icom/ic275.c, icom/ic475.c,
	icom/ic706.c, icom/ic718.c, icom/ic735.c, icom/ic756.c,
	icom/ic775.c, icom/ic821h.c, icom/ic910.c, icom/ic970.c,
	icom/icall.c, icom/icom.c, icom/icom.h, icom/icr7000.c,
	icom/icr8500.c, icom/omni.c, icom/os456.c, icom/os535.c,
	include/Makefile.am, include/Makefile.in, include/config.h.in,
	include/hamlib/rig.h, include/hamlib/rig_dll.h,
	include/hamlib/rigclass.h, include/hamlib/riglist.h,
	include/hamlib/rotator.h, include/hamlib/rotlist.h,
	jrc/Makefile.am, jrc/Makefile.in, jrc/jrc.c, jrc/jrc.h,
	jrc/nrd545.c, kachina/505dsp.c, kachina/Makefile.am,
	kachina/Makefile.in, kachina/kachina.c, kachina/kachina.h,
	kenwood/k2.c, kenwood/kenwood.c, kenwood/kenwood.h, kenwood/th.c,
	kenwood/thd7.c, kenwood/thf7.c, kenwood/ts2000.c, kenwood/ts2000.h,
	kenwood/ts440.c, kenwood/ts450s.c, kenwood/ts50s.c,
	kenwood/ts570.c, kenwood/ts790.c, kenwood/ts850.c,
	kenwood/ts870s.c, kenwood/ts950.c, kylix/Makefile.in,
	lib/Makefile.am, lib/Makefile.in, lib/getopt.c, lib/getopt_long.c,
	libltdl/Makefile.in, libltdl/acinclude.m4, libltdl/aclocal.m4,
	libltdl/config-h.in, libltdl/configure, libltdl/ltdl.c,
	pcr/Makefile.am, pcr/Makefile.in, pcr/pcr.c, pcr/pcr.h,
	pcr/pcr100.c, pcr/pcr1000.c, perl/Makefile.in, rotorez/Makefile.am,
	rotorez/Makefile.in, rotorez/rotorez.c, rotorez/rotorez.h,
	rotorez/rotorez.txt, rpcrig/Makefile.am, rpcrig/Makefile.in,
	rpcrig/rpc.rigd.8, rpcrig/rpcrig.x, rpcrig/rpcrig_backend.c,
	rpcrig/rpcrig_proc.c, rpcrig/rpcrigd.c, rpcrot/Makefile.in,
	rpcrot/rpcrot.h, rpcrot/rpcrot.x, rpcrot/rpcrot_backend.c,
	rpcrot/rpcrot_backend.h, rpcrot/rpcrot_clnt.c,
	rpcrot/rpcrot_proc.c, rpcrot/rpcrot_svc.c, rpcrot/rpcrot_xdr.c,
	rpcrot/rpcrotd.c, src/Makefile.in, src/cal.c, src/cal.h,
	src/conf.c, src/conf.h, src/event.c, src/ext.c, src/iofunc.c,
	src/iofunc.h, src/locator.c, src/misc.c, src/misc.h,
	src/register.c, src/rig.c, src/rot_conf.c, src/rot_conf.h,
	src/rot_reg.c, src/rotator.c, src/serial.c, src/serial.h,
	src/token.h, src/tones.c, src/tones.h, tentec/Makefile.am,
	tentec/Makefile.in, tentec/pegasus.c, tentec/rx320.c,
	tentec/tentec.c, tentec/tentec.h, tests/Makefile.am,
	tests/Makefile.am.ts2k, tests/Makefile.in, tests/dumpcaps.c,
	tests/dumpmem.c, tests/listrigs.c, tests/rigctl.1, tests/rigctl.c,
	tests/rigmatrix.c, tests/rotctl.1, tests/rotctl.c, tests/testbcd.c,
	tests/testcmd.c, tests/testloc.c, tests/testvfo.c, tests/tsctl.c,
	uniden/Makefile.am, uniden/Makefile.in, uniden/bc895.c,
	uniden/uniden.c, uniden/uniden.h, winradio/Makefile.am,
	winradio/Makefile.in, winradio/winradio.c, winradio/winradio.h,
	winradio/wr1000.c, winradio/wr1500.c, winradio/wr1550.c,
	winradio/wr3100.c, winradio/wr3150.c, winradio/wr3500.c,
	winradio/wr3700.c, yaesu/Makefile.am, yaesu/Makefile.in,
	yaesu/ft100.c, yaesu/ft100.h, yaesu/ft747.c, yaesu/ft747.h,
	yaesu/ft817.c, yaesu/ft817.h, yaesu/ft847.c, yaesu/ft847.h,
	yaesu/yaesu.c, yaesu/yaesu.h: Hopefully this is the last.  Copied
	files missing or outofdate with current hamlib Main.  --Dale,
	kd7eni

2003-02-24 23:11  dedmons

	* tests/rigcmd.c: file rigcmd.c was initially added on branch
	branch_ts2k.

2003-02-24 23:11  dedmons

	* tests/lex_hamlib.h: file lex_hamlib.h was initially added on
	branch branch_ts2k.

2003-02-24 23:11  dedmons

	* tests/lex_rigs.h: file lex_rigs.h was initially added on branch
	branch_ts2k.

2003-02-24 23:11  dedmons

	* tests/lex_rotors.h: file lex_rotors.h was initially added on
	branch branch_ts2k.

2003-02-24 23:11  dedmons

	* tests/Makefile.am.ts2k: file Makefile.am.ts2k was initially added
	on branch branch_ts2k.

2003-02-24 23:11  dedmons

	* tests/lex_keywords.h: file lex_keywords.h was initially added on
	branch branch_ts2k.

2003-02-24 23:11  dedmons

	* kenwood/k2.c, tests/Makefile.am, tests/Makefile.am.ts2k,
	tests/lex_hamlib.h, tests/lex_keywords.h, tests/lex_rigs.h,
	tests/lex_rotors.h, tests/rigcmd.c: New stuff that didn't get
	updated.

2003-02-24 22:48  dedmons

	* hamlib.pc.in: autogen.sh couldn't find hamlib.pc.in.

2003-02-24 22:24  dedmons

	* Makefile.am, Makefile.in, README.betatester, README.developer,
	acinclude.m4, aclocal.m4, autogen.sh, config.guess, config.sub,
	configure, configure.ac, depcomp, hamlib.spec.in, install-sh,
	ltmain.sh, missing, mkinstalldirs: Hopefully, I've got things
	copied over correctly.	Much of this stuff won't affect me
	regardless of version.	I'll check later, but they should closely
	match -r Main.

2003-02-24 22:13  dedmons

	* include/hamlib/: rig.h, rig_dll.h, rig_newvfo.h, rigclass.h,
	riglist.h, rotator.h, rotlist.h: rig.h now has hooks into
	rig_newvfo.h.  This allows selection of old and new style of vfo_t.
	 The remainder only updates branch_ts2k with current CVS.

2003-02-24 22:06  dedmons

	* tests/: rig.tab.c, rig.tab.h, rigcmd.h, testts2k.c: See
	especially the parser in tests/rc.  Still working on satisfactory
	and unambiguise grammar.  --Dale

2003-02-24 21:58  dedmons

	* kenwood/: Makefile.am, Makefile.in, README.ts2k, kenwood.c,
	kenwood.h, th.c, thd7.c, thf7.c, ts2000.c, ts2000.h, ts2k.c,
	ts2k.h, ts2k.status, ts2k_mdata.c, ts2k_menu.c, ts2k_menu.h,
	ts440.c, ts450s.c, ts50s.c, ts570.c, ts790.c, ts850.c, ts870s.c,
	ts950.c: This should have kenwood/* up-to-date with Main, with
	minor changes.

2003-02-24 16:27  fillods

	* aor/: aor.c, aor.h, ar5000.c: patch from Chuck N2POR fixing
	End-of-message and a potential seg fault in get_freq. Added
	get_level/set_level support for ATT, and moved mode handling for
	AR5000

2003-02-24 14:55  fillods

	* tests/: Makefile.am, rig_bench.c: added rig_bench app to measure
	get_freq/get_mode speed

2003-02-23 16:43  fillods

	* dummy/dummy.c: make use of TS_ANY, added 2 new vfo_op: UP/DOWN

2003-02-23 16:41  fillods

	* tests/dumpcaps.c: report tuning_step ANY (free form) and filter
	ANY caps

2003-02-23 16:38  fillods

	* src/: conf.c, rig.c, token.h: added support for set DTR/RTS
	state, useful to power external device from the serial port

2003-02-23 16:36  fillods

	* src/: serial.c, serial.h: extract set_dtr/set_rts to serve
	multiple purposes

2003-02-23 16:34  fillods

	* include/hamlib/rig.h: * made RIG_VFO_CURR different than
	RIG_VFO_NONE * added RIG_TS_ANY, RIG_FLT_ANY for free form
	tuning_step and filters * added support for set RTS/DTR state of
	the serial port

2003-02-23 12:43  fillods

	* configure.ac: * gnuradio backend requires GNU Radio >= 0.7 with
	new FIR API * fodtrack backend needs linux/ppdev.h support (2.4+
	kernels)

2003-02-19 17:56  fillods

	* icom/: Makefile.am, ic736.c, icom.c, icom.h: added IC-736

2003-02-14 09:23  avflinsch

	* yaesu/ft100.c: [no log message]

2003-02-13 16:17  fillods

	* aor/: Makefile.am, aor.c, aor.h, ar3000.c: added initial support
	for the AR3000A

2003-02-12 21:07  n0nb

	* rotorez/: rotorez.c, rotorez.h: 2003-02-12:
	
		Update:
			Fixed read bug where Rotor-EZ is apparently
	returning the
			azimuth string prepended with a semi-colon.  Thanks
	to
			Orv W6BI for testing the code.

2003-02-09 17:06  fillods

	* gnuradio/testgr.cc: some fixes, still to scope

2003-02-09 17:02  fillods

	* gnuradio/gnuradio.cc: * 2 demodulators are WIP: (W)FM and SSB *
	MultiTask->process runs on its own thread within Hamlib backend,   
	  thus no need to compile GNUradio with -DTHREAD=1.  * Appropriate
	locking to gurantee GNUradio coherency wrt multithreading.  *
	support for tuner control through Hamlib! The rig model number	
	can be set through set_conf * made backend fully vfo targetable *
	added set_level/get_level support. setting RIG_LEVEL_RF works!

2003-02-09 16:54  fillods

	* gnuradio/gr_priv.h: MultiTask in separate thread, support for
	tuner control through Hamlib, per channel modulation data

2003-02-09 16:50  fillods

	* include/hamlib/riglist.h: added GRAUDIO model (sound card source
	GNUradio)

2003-02-09 16:49  fillods

	* gnuradio/gr.c: can do vfo target, has set_level, and some priv
	capabilities

2003-02-09 16:47  fillods

	* gnuradio/gnuradio.h: new calls and struct

2003-02-09 16:46  fillods

	* gnuradio/Makefile.am: added MC4020/graudio sources, gnuradio.cc
	now multithreaded, and some testgr fixes

2003-02-09 16:46  fillods

	* gnuradio/: graudio.c, mc4020.c: Initial release

2003-02-09 16:43  fillods

	* configure.ac: gnuradio backend requires lib version 0.6

2003-01-29 17:06  fillods

	* microtune/: givelp1.cc, i2c.cc, i2c.h, i2cio.cc, i2cio.h,
	Makefile.am, i2cio_pp.cc, i2cio_pp.h, microtune.cc, microtune.h,
	microtune_4937.cc, microtune_4937.h, microtune_eval_board.cc,
	microtune_eval_board.h, microtune_eval_board_defs.h, module_4937.c,
	ppio.cc, ppio.h: Initial release

2003-01-29 17:04  fillods

	* Makefile.am: added microtune backend

2003-01-29 17:02  fillods

	* configure.ac: * added microtune backend * added
	--without-rpc-backends to explicitly disable RPC build (in case  
	of compilation trouble)

2003-01-29 17:00  fillods

	* src/rotator.c: fix a potential seg fault on backend open failure,
	removed useless rot_get_position in open

2003-01-29 16:31  fillods

	* src/rig.c: fix a potential seg fault on backend open failure,
	initialize state.current_vfo appropriately

2003-01-29 16:31  fillods

	* include/hamlib/riglist.h: added microtune in backend list

2003-01-29 16:25  fillods

	* kenwood/kenwood.c: added TS790 ID

2003-01-18 22:47  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2003-01-18
	
		Updated:
			More code cleanups.  Updated README.ft920 to
	reflect
			latest backend status.

2003-01-16 22:43  n0nb

	* yaesu/: ft920.c, ft920.h: 2003-01-16
	
		Update:
			Rewrote most of the backend functions to work with
	passed RIG_VFO values.
			Wrote three more helper functions to clean up main
	code.
			Added set/get rit/xit functions.

2003-01-15 13:42  pa4tu

	* hamlib.spec.in: a working spec file

2003-01-15 13:39  pa4tu

	* configure.ac: make rpm will fail with a '-' in the version number

2003-01-15 13:37  pa4tu

	* Makefile.am: need hamlib.spec for 'make rpm'

2003-01-12 11:02  pa4tu

	* configure.ac, Makefile.am: add rpm support

2003-01-12 08:59  n0nb

	* rotorez/rotorez.c: 2003-01-12
	
		Updated:
			Added check for values greater than 359.4999 and
	adjust
			it to 0 for compatibility with DCU-1

2003-01-12 08:29  n0nb

	* include/hamlib/rotlist.h, rotorez/rotorez.c, rotorez/rotorez.h,
	rotorez/rotorez.txt: 2003-01-12
	
		Updated:
			Implemented basic functions for rotorez backend
	
		Added:
			Text file describing extended DCU protocol used by
			rotorez backend

2003-01-10 18:48  n0nb

	* Makefile.am, configure.ac, include/hamlib/rotlist.h: 2003-01-10
	
		Update:
			Updated build files for rotorez backend.

2003-01-10 18:47  n0nb

	* rotorez/: Makefile.am, rotorez.c, rotorez.h: 2003-01-10
	
		New:
			Adding files for initial rotorez build.  Will
	build,
			but no functionality.

2003-01-06 21:40  n0nb

	* yaesu/ft920.c: 2003-01-06
	
		Updated:
			Bumped version in ft920.c to 0.1.3

2003-01-06 21:32  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2003-01-06
	
		Updated:
			Added set/get_split_freq/mode support to FT-920
	backend.
			Added error handling in ft920.c to pass errors from
	called
			functions to main library.

2003-01-06 16:13  fillods

	* tests/Makefile.am: testfreq doesn't need backends

2003-01-06 16:12  fillods

	* kenwood/ts870s.c: added missing header

2003-01-06 16:08  fillods

	* src/misc.c: added RTTYR/CWR, cleanup

2003-01-06 16:06  fillods

	* icom/icom.c: * fix undefined signed char overflow * icom_get_freq
	to be more tolerant on freq len (4 or 5), regardless of
	civ_731_mode

2003-01-06 16:04  fillods

	* icom/frame.c: fix undefined signed char overflow

2002-12-26 08:32  fillods

	* icom/icom.h: added basic mem_cap definition

2002-12-26 05:43  fillods

	* icom/ic725.c: misc fixes

2002-12-23 08:20  fillods

	* icom/: Makefile.am, ic725.c, icom.c, icom.h: added IC725 initial
	support

2002-12-22 07:52  pa4tu

	* kenwood/kenwood.c: minor bug

2002-12-22 07:51  pa4tu

	* kenwood/ts450s.c: should use kenwood_get_freq

2002-12-21 09:34  pa4tu

	* kenwood/ts450s.c: set_level for this rig

2002-12-21 07:48  pa4tu

	* kenwood/ts870s.c: more modes

2002-12-21 07:46  pa4tu

	* kenwood/kenwood.c: cleanups

2002-12-21 07:41  pa4tu

	* kenwood/ts450s.c: add get_level

2002-12-21 06:35  pa4tu

	* kenwood/kenwood.c: correct rit

2002-12-21 06:08  pa4tu

	* kenwood/ts570.c: some comments

2002-12-20 18:30  pa4tu

	* kenwood/ts570.c: filters

2002-12-20 18:23  pa4tu

	* kenwood/ts570.c: get_mode and set_mode for this rig

2002-12-20 17:44  pa4tu

	* kenwood/ts870s.c: more filters

2002-12-20 10:13  pa4tu

	* kenwood/ts870s.c: cw filters for normal, narrow and wide

2002-12-20 09:43  pa4tu

	* kenwood/ts870s.c: use FW command to set bandpass

2002-12-20 05:00  pa4tu

	* debian/rules: one last lintian fix

2002-12-20 04:52  pa4tu

	* debian/: rules, control, copyright: various lintian fixes

2002-12-20 04:39  pa4tu

	* kenwood/kenwood.c: use rig_passband_normal here

2002-12-20 04:37  pa4tu

	* kenwood/ts450s.c: passband should be calculated after mode is set

2002-12-20 04:35  pa4tu

	* kenwood/ts870s.c: retrieve passband with FW command

2002-12-20 03:49  pa4tu

	* kenwood/ts450s.c: this rig does not have a command for reading IF
	bandwidth

2002-12-19 05:00  pa4tu

	* kenwood/kenwood.c, src/misc.c: add CWR and RTTYR

2002-12-17 16:46  fillods

	* kenwood/ts450s.c: filter list fix

2002-12-17 06:08  pa4tu

	* kenwood/ts450s.c: minor bugfix, bump to beta

2002-12-16 16:06  fillods

	* configure.ac, rpcrig/Makefile.am, rpcrig/rpcrig_backend.c,
	rpcrig/rpcrigd.c, rpcrot/Makefile.am, rpcrot/rpcrot_backend.c,
	rpcrot/rpcrotd.c: Solaris RPC portability fix

2002-12-16 16:02  fillods

	* include/hamlib/rig.h: added reverse sideband modes

2002-12-16 12:44  fillods

	* kenwood/kenwood.c: added new ID; for autoprobe

2002-12-16 09:36  pa4tu

	* kenwood/ts450s.c: ts450s uses IF command for get_vfo, get_freq
	and get_mode

2002-12-15 16:12  fillods

	* kenwood/ts790.c: misc comm fix

2002-12-01 15:49  fillods

	* yaesu/: Makefile.am, ft1000.c, ft1000.h, ft1000mp.c, ft1000mp.h:
	renamed ft1000 files to ft1000mp in order to avoid future clash

2002-11-30 21:35  n0nb

	* README.developer: 2002-11-30
	
		Update:
			Added sarge to list of tested Debian systems.

2002-11-30 21:08  n0nb

	* yaesu/: ft100.c, ft100.h, ft747.c, ft747.h, ft817.c, ft817.h,
	ft847.c, ft847.h, yaesu.c, yaesu.h: 2002-11-30
	
		Update:
			Changed license boilerplate to LGPL after securing
	permission
			from Frank Singleton and Chris Karpinsky.

2002-11-28 16:45  fillods

	* autogen.sh: grr

2002-11-28 16:38  fillods

	* include/hamlib/rig.h: - doxygen update - RIG_DEBUG_* are now
	enum's - new RIG_PORT_PARALLEL - new RIG_TYPE_TUNER -
	RIG_VFO_UPLINK/RIG_VFO_DOWNLINK have been renamed to
	RIG_VFO_TX/RIG_VFO_RX - new RIG_ANT_1, RIG_ANT_2, etc.

2002-11-28 16:34  fillods

	* README.developer: misc fixes

2002-11-28 16:33  fillods

	* src/: rotator.c, serial.c: fixes to allow new RIG_PORT_PARALLEL

2002-11-28 16:32  fillods

	* src/rig.c: misc update

2002-11-28 16:31  fillods

	* autogen.sh: Gentoo needs the WANT_AUTOCONF_2_5

2002-11-28 16:29  fillods

	* yaesu/: ft1000.c, ft1000.h: more work on the MARK-V FT1000MP: -
	set_rit/get_rit - set_xit/get_xit - get_level - set_ptt
	
	to be tested..

2002-11-28 16:27  fillods

	* tests/dumpcaps.c: misc update

2002-11-28 16:25  fillods

	* tests/: rigctl.1, rigctl.c: added set/get xit and ant

2002-11-28 16:24  fillods

	* Makefile.am, configure.ac, fodtrack/Makefile.am,
	fodtrack/fodtrack.c, fodtrack/fodtrack.h, include/hamlib/rotlist.h:
	added fodtrack rotator initial support

2002-11-25 17:54  fillods

	* yaesu/: ft1000.c, ft1000.h: fix get_freq, set_vfo(CURR), and
	get_mode

2002-11-23 08:09  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2002-11-23
	
		New:
			Added doc/README.ft920 to document FT-920 behavior
	with
			Hamlib.
	
		Updated:
			Added support for rig_set_split and rig_get_split

2002-11-21 21:04  n0nb

	* yaesu/: ft920.c, ft920.h: 2002-11-21
	
		Update:
			Corrected problem with "NULL pointer" in
	ft920_get_vfo
			Updated rx/tx ranges for regions 1 & 2 with
	bandplan.h
			Changed license in ft920.c/h to LGPL
			Bumped backend version to 0.1.2

2002-11-21 17:09  fillods

	* yaesu/: Makefile.am, ft1000.c, ft1000.h, yaesu.c, yaesu.h: added
	initial support for the MARK-V FT-1000MP

2002-11-21 17:06  fillods

	* yaesu/ft920.c: little fix to make gcc-3.x happy

2002-11-16 08:05  fillods

	* icom/: Makefile.am, ic737.c, icom.c, icom.h: added IC 737 support

2002-11-16 08:05  fillods

	* include/: bandplan.h, Makefile.am: bandplan.h gathers couple
	handy macros to declare freq_range's in model capabilities

2002-11-15 22:12  n0nb

	* yaesu/ft920.c: 2002-11-15:
	
		Update:
			Fixed targetable VFO and other typographical
	cleanups.
			Bumped backend version to 0.1.1

2002-11-15 07:15  n0nb

	* yaesu/: ft920.c, ft920.h: 2002-11-15:
	
		Update:
			In ft920.c get_freq, set_freq, get_mode, set_mode,
			get_vfo, set_vfo should be complete enough to
	consider
			them in beta state.
	
			Advanced ft920 backend version to 0.1.0

2002-11-14 13:27  fillods

	* bindings/rig.swg: make swig 1.3.16 happy wrt preprocessor pass
	time

2002-11-14 13:27  fillods

	* include/hamlib/: rig_dll.h, rigclass.h: gcc 3.x fixes

2002-11-13 14:38  fillods

	* Makefile.am, alinco/Makefile.am, aor/Makefile.am,
	bindings/Makefile.am, c++/Makefile.am, drake/Makefile.am,
	dummy/Makefile.am, easycomm/Makefile.am, gnuradio/Makefile.am,
	icom/Makefile.am, jrc/Makefile.am, kachina/Makefile.am,
	pcr/Makefile.am, rpcrig/Makefile.am, rpcrot/Makefile.am,
	src/Makefile.am, tentec/Makefile.am, tests/Makefile.am,
	uniden/Makefile.am, winradio/Makefile.am, yaesu/Makefile.am: misc
	Makefile fixes

2002-11-13 14:36  fillods

	* README.developer: automake requirement and autogen.sh fixup

2002-11-13 14:35  fillods

	* kenwood/: k2.c, Makefile.am, kenwood.c, kenwood.h: added initial
	support for Elecraft K2

2002-11-11 18:16  fillods

	* dummy/dummy.c: reflect rig.h changes

2002-11-11 18:15  fillods

	* include/hamlib/: rig.h, riglist.h: first take at doxygenization,
	always enable NET port

2002-11-11 18:12  fillods

	* doc/hamlib.cfg: doxygenized rig.h and riglist.h

2002-11-11 18:11  fillods

	* include/hamlib/: rotator.h, rotlist.h: typo's

2002-11-11 18:11  fillods

	* configure.ac: always enable NET port

2002-11-09 07:11  csete

	* doc/hamlib.cfg: Added rotator.h and rotlist.h to the input list.

2002-11-09 07:09  csete

	* include/hamlib/: rotator.h, rotlist.h: Added doxygen comments.

2002-11-09 02:11  pa4tu

	* debian/: control, rules: remove some build dependencies and don't
	call autogen.sh

2002-11-08 13:26  pa4tu

	* debian/rules: cleanup

2002-11-08 13:25  pa4tu

	* debian/rules: we don't have to call configure twice

2002-11-08 13:22  pa4tu

	* debian/: hamlib-doc.dirs, rules: build the documentation package

2002-11-08 13:15  pa4tu

	* debian/rules: INSTALL file not used

2002-11-08 13:06  pa4tu

	* debian/: control, rules: make building easier, call autogen.sh

2002-11-08 12:43  pa4tu

	* debian/control: move hamlib1 to the top so the documentations
	gets installed correctly

2002-11-08 12:41  pa4tu

	* debian/rules: don't create shlibs file for drake, jrc and
	easycomm libraries

2002-11-08 12:34  pa4tu

	* debian/: hamlib-dev.dirs, rules: include pkgconfig support

2002-11-08 12:28  pa4tu

	* debian/: hamlib-utils.dirs, rules: include rpc.rigd and rpc.rotd

2002-11-08 12:24  pa4tu

	* debian/rules: move .la, .a, .so files to the correct package

2002-11-08 11:55  pa4tu

	* debian/rules: versioning not used

2002-11-08 11:51  pa4tu

	* debian/rules: do not install the old changelog

2002-11-08 10:45  pa4tu

	* debian/rules: correct the path for copying files in the
	apropriate package

2002-11-08 10:30  pa4tu

	* debian/changelog: make this NMU for now

2002-11-08 10:28  pa4tu

	* debian/: hamlib-doc.dirs, hamlib-utils.dirs, hamlib-utils.files:
	initial checkin

2002-11-08 10:25  pa4tu

	* debian/: conffiles.ex, manpage.1.ex, postinst.ex, postrm.ex,
	preinst.ex, prerm.ex, watch.ex: remove template files

2002-11-08 10:22  pa4tu

	* debian/: changelog, control, docs, rules: getting in sync with
	the debian 1.1.2 package

2002-11-07 07:21  n0nb

	* bindings/perltest.pl: 2002-11-07
	
		Update:
			Fixed path in hint on making perltest.pl work.

2002-11-05 15:54  fillods

	* winradio/linradio/: radio_ioctl.h, wrapi.h: updated to
	linradio-toolkit-0.7

2002-11-05 15:30  fillods

	* perl/: Changes, Hamlib.pm, MANIFEST, README, test.pl, typemap,
	Hamlib.xs: deprecated, use swig bindings/ instead

2002-11-04 16:40  fillods

	* alinco/dx77.c, icom/ic275.c, icom/ic475.c, icom/ic706.c,
	icom/ic718.c, icom/ic735.c, icom/ic756.c, icom/ic775.c,
	icom/ic821h.c, icom/ic910.c, icom/ic970.c, icom/icr7000.c,
	jrc/nrd545.c, kenwood/thd7.c, kenwood/thf7.c, kenwood/ts440.c,
	kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c, kenwood/ts850.c,
	kenwood/ts870s.c, kenwood/ts950.c, uniden/bc895.c: fix to account
	for struct chan_list change

2002-11-04 16:37  fillods

	* src/: locator.c, rotator.c: misc doxygen fix

2002-11-04 16:36  fillods

	* dummy/dummy.c: added mem_cap, missing filters, and first dummy
	level_gran

2002-11-04 16:32  fillods

	* include/hamlib/rig.h: * added VFO_UPLINK and VFO_DOWNLINK
	(backend-wise) aliases * added channel_caps * added gran_t for
	levels and parm's

2002-11-04 16:28  fillods

	* tests/dumpcaps.c: dump chan_caps

2002-11-04 16:27  fillods

	* src/: register.c, rot_reg.c: libhamlib-backend.so.x.y.z ->
	hamlib-backend.so

2002-11-04 16:26  fillods

	* icom/icom.h: remove icall, added mem_cap initializer

2002-11-04 16:25  fillods

	* icom/: icall.c, icom.c: remove icall

2002-11-04 16:23  fillods

	* src/idx_builtin.h: initial release

2002-11-04 16:21  fillods

	* src/rig.c, src/conf.c, src/mem.c, src/settings.c, src/tones.c,
	doc/hamlib.cfg: split rig.c

2002-11-04 16:19  fillods

	* alinco/Makefile.am, aor/Makefile.am, drake/Makefile.am,
	dummy/Makefile.am, easycomm/Makefile.am, gnuradio/Makefile.am,
	icom/Makefile.am, jrc/Makefile.am, kachina/Makefile.am,
	kenwood/Makefile.am, pcr/Makefile.am, rpcrig/Makefile.am,
	rpcrot/Makefile.am, tentec/Makefile.am, uniden/Makefile.am,
	winradio/Makefile.am, yaesu/Makefile.am: libhamlib-backend.so.x.y.z
	-> hamlib-backend.so, avoid version info for modules

2002-11-04 16:18  fillods

	* src/Makefile.am: bump version info, split rig.c

2002-11-04 16:17  fillods

	* c++/Makefile.am: bump version info, testcpp is TEST

2002-11-04 16:16  fillods

	* bindings/Makefile.am: VPATH build, avoid version on modules

2002-11-04 16:14  fillods

	* configure.ac: * libhamlib-backend.so.x.y.z -> hamlib-backend.so *
	check swig version is at least 1.3.14 * more C99 checks (array
	initializer)

2002-11-04 16:11  fillods

	* src/conf.h: since the move into conf.c, protos in header are
	useless

2002-11-03 23:16  n0nb

	* yaesu/: ft920.c, ft920.h: 2002-11-03
	
		Update:
			Miscellaneous formating cleanup.

2002-10-31 22:39  n0nb

	* yaesu/: ft920.c, ft920.h: 2002-10-31 (Spooky release)
	
		Update:
			Completed basic operation of all functions in
	ft920.*

2002-10-30 19:43  fillods

	* rpcrig/Makefile.am, bindings/Makefile.am, rpcrot/Makefile.am:
	VPATH and distcheck fixes

2002-10-30 19:00  n0nb

	* yaesu/: ft920.c, ft920.h: 2002-10-30
	
		Update:
			Merged my changes in ft920.c, .h with Stephane's
	get_freq
			update.  Will get and set frequency and not much
	else!

2002-10-30 18:47  fillods

	* bindings/Makefile.am: do not distribute swig'generated files

2002-10-30 18:26  fillods

	* configure.ac: check for rpcgen, add -no-cpp-precomp on Mac OS X,
	cleanup

2002-10-30 18:23  fillods

	* tests/Makefile.am: user app need libmisc, in case of

2002-10-30 18:22  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: do not include
	rpcgen'erated files in dist, and make the rules more BSD friendly

2002-10-30 18:16  fillods

	* lib/: Makefile.am, getopt.c, getopt_long.c: portability fixes,
	will have to better fix the getopt_long

2002-10-30 17:39  fillods

	* rpcrot/rpcrotd.c: fix include order

2002-10-29 17:53  fillods

	* yaesu/ft920.h: fix to make get_freq work for the ft920 (different
	than ft847)

2002-10-29 17:47  fillods

	* yaesu/ft920.c: fix to make get_freq work for the ft920 (different
	than ft847)

2002-10-29 16:48  fillods

	* yaesu/Makefile.am: missing ft920 header for dist

2002-10-29 16:43  fillods

	* autogen.sh: customize the script to your own needs!

2002-10-29 16:38  fillods

	* install-sh, missing, mkinstalldirs: updated to automake-1.7

2002-10-29 16:27  fillods

	* gnuradio/Makefile.am: automake fix

2002-10-29 16:26  fillods

	* acinclude.m4: updated to libtool-1.4.3

2002-10-29 16:18  fillods

	* macros/Makefile.am: missed

2002-10-29 16:14  fillods

	* README.betatester, README.developer: more info on autogen.sh,
	moved cvs checkout info from README.betatester to README.developer

2002-10-29 16:10  fillods

	* macros/libtool.m4, ltmain.sh, libltdl/acinclude.m4,
	libltdl/aclocal.m4, libltdl/config-h.in, libltdl/configure,
	libltdl/ltdl.c, libltdl/Makefile.in: updated to libtool-1.4.3

2002-10-28 17:11  fillods

	* include/config.h.in: remove autogenerated file

2002-10-28 16:00  n0nb

	* include/config.h.in: 2002-28-02
	
		Update:
			Goofed by running configure scripts in my main
	hamlib
			directory.  Accidentally changed
	include/config.h.in to
			a version for my system.  This will hopefully roll
	back
			the change to file version 1.19 last modified by
	Stephane
			in July 2002.

2002-10-27 22:53  n0nb

	* include/config.h.in, yaesu/Makefile.am, yaesu/ft920.c,
	yaesu/ft920.h, yaesu/yaesu.c, yaesu/yaesu.h: 2002-10-27
	
		New:
			ft920.c, ft920.h -- very very immature attempt at
	FT-920
			control.  Code can send simple query to rig but
	cannot
			properly decode returned data.	Much more work is
	needed.
	
		Updated:
			Makefile.am, yaesu.c, yaesu.h -- necessary changes
	for
			ft920.

2002-10-22 15:24  fillods

	* kenwood/kenwood.c: fix for *BSD portability

2002-10-20 15:46  fillods

	* drake/: drake.c, drake.h, r8b.c: initial basic support for R8B
	(untested)

2002-10-08 17:37  fillods

	* configure.ac: check for gnuradio pkg data only upon request

2002-10-08 16:54  fillods

	* bindings/: hamlib.swg, perltest.pl, rig.swg: added intial channel
	support

2002-10-07 17:02  fillods

	* compile, config.guess, depcomp, config.sub: remove auto-generated
	files

2002-10-07 16:57  fillods

	* src/: misc.c, misc.h: fixed a bug with even numbers of digits in
	BCD conversion

2002-10-07 16:55  fillods

	* c++/Makefile.am, tests/Makefile.am: build only when requested

2002-10-07 16:52  fillods

	* rpcrig/rpc.rigd.8, tests/rotctl.1: updated man pages

2002-10-07 16:50  fillods

	* tests/rigctl.c: handle every parameter cases for get_channel

2002-10-07 16:49  fillods

	* include/hamlib/rig.h: misc addition to make compilers happy

2002-10-07 16:48  fillods

	* icom/ic756.c: ext_parm name change

2002-10-07 16:46  fillods

	* gnuradio/: Makefile.am, gr_priv.h, testgr.cc: some fixes for
	gnuradio 0.5

2002-10-07 16:44  fillods

	* bindings/: Makefile.am, hamlib.swg, ignore.swg, perltest.pl,
	rig.swg, rotator.swg, tcltest.tcl: more work on swig bindings,
	nearly every calls supported, some chan wrapping missing, and also
	lists

2002-10-07 16:40  fillods

	* Makefile.am, configure.ac: tcl and perl subdir are gone in favor
	of bindings, added pkg support, fixed from gnuradio stuff

2002-10-07 16:36  fillods

	* acinclude.m4: updated from macros concatenation

2002-10-07 16:35  fillods

	* macros/Makefile.am, macros/aclocal-include.m4, macros/libtool.m4,
	macros/perl.m4, macros/pkg.m4, macros/tcl.m4, hamlib.pc.in: initial
	release

2002-10-03 15:13  fillods

	* dummy/dummy.c: improved chan support

2002-09-30 09:55  dl1nc

	* Segfault-award: typo fixed

2002-09-29 15:18  fillods

	* src/event.c: fix typo

2002-09-29 14:40  fillods

	* Segfault-award, src/event.c: bug fix with non file oriented rigs

2002-09-24 16:45  fillods

	* tests/rotctl.c: fix for 8 bits cmd IDs

2002-09-24 16:42  fillods

	* doc/hamlib.cfg, doc/index.doxygen, src/locator.c, src/rig.c,
	src/rotator.c: cleanup doxygen warnings

2002-09-23 17:33  fillods

	* doc/hamlib-doc: removed deprecated script, we're now using
	doxygen/DocBook

2002-09-23 17:27  fillods

	* doc/hamlib.css: moved from html/

2002-09-22 06:41  fillods

	* c++/rigclass.cc, include/hamlib/rigclass.h: misc fix for picky
	compilers

2002-09-22 06:39  fillods

	* README.betatester: mention to run autogen.sh after checkout

2002-09-22 06:39  fillods

	* rpcrig/rpc.rigd.8, rpcrot/rpc.rotd.8, tests/rigctl.1: list
	verbose levels

2002-09-21 08:54  fillods

	* Segfault-award: Initial release

2002-09-21 08:54  fillods

	* icom/ic910.c: update (band swapping, pream/att, ..) by Luc LX2GT

2002-09-21 08:52  fillods

	* kenwood/ts570.c: fix missing initialization, thx goes to Dave
	WB5NHL

2002-09-18 16:19  fillods

	* src/ext.c: fix bug with empty ext list

2002-09-18 16:19  fillods

	* icom/icom.c: fix for LEVEL_ATT, reported by lx2gt

2002-09-16 01:50  fillods

	* bindings/: hamlib.swg, rig.swg, rotator.swg: added error checking
	through exception

2002-09-15 17:35  pa4tu

	* kenwood/kenwood.c: fix set_level_agc

2002-09-15 17:22  pa4tu

	* kenwood/kenwood.c: fix get_level_agc

2002-09-13 14:57  pa4tu

	* kenwood/kenwood.c: nothing returned by the rig for these commands

2002-09-13 14:00  pa4tu

	* kenwood/: ts2000.c, ts440.c, ts450s.c, ts50s.c, ts570.c, ts790.c,
	ts850.c, ts870s.c, ts950.c: bump version numbers

2002-09-13 02:01  fillods

	* rpcrig/rpcrig.x, rpcrot/rpcrot.x: include config.h

2002-09-13 01:58  fillods

	* rpcrig/rpc.rigd.8, rpcrig/rpcrig_backend.c, rpcrig/rpcrigd.c,
	rpcrot/rpc.rotd.8, rpcrot/rpcrot_backend.c, rpcrot/rpcrotd.c: added
	ability to change RPC program number

2002-09-11 16:33  fillods

	* Makefile.am, configure.ac: check for C99 struct intializer
	support, and enter bindings/ subdir only if swig is installed

2002-09-11 16:32  fillods

	* kenwood/Makefile.am: because of round()

2002-09-11 16:32  fillods

	* icom/ic910.c: dual band handling contributed by Luc LX2GT

2002-09-11 16:30  fillods

	* icom/icom.c: fix stupid bug in icom_set_func that was inverting
	status + wrong frame len checking, thank goes to Luc LX2GT

2002-09-10 01:43  fillods

	* README.developer: GNU make needed

2002-09-08 17:45  fillods

	* src/serial.c: BSD port fix

2002-09-08 17:33  fillods

	* Makefile.am, configure.ac: added swig bindings

2002-09-08 17:31  fillods

	* bindings/: Makefile.am, hamlib.swg, ignore.swg, perltest.pl,
	rig.swg, rotator.swg, tcltest.tcl: Initial release

2002-09-08 17:30  fillods

	* src/event.c: BSD port fix, by ke4rjq

2002-09-08 17:27  fillods

	* include/hamlib/rotator.h: function name fix to reflect locator.c
	changes

2002-09-07 10:13  fillods

	* icom/ic910.c: fix on freq len

2002-09-06 09:12  fillods

	* tests/testbcd.c: fixed a bug with long long int, accepts an extra
	arg for number of digits

2002-09-06 09:07  fillods

	* tests/: rigctl.c, Makefile.am, dumpcaps.c, rigctl.1, testcaps.c:
	merged testcaps and dumpcaps into rigctl, added -u option
	(dumpcaps) to rigctl

2002-09-06 09:05  fillods

	* tentec/tentec.c: fixed a segfault bug in init

2002-09-06 05:43  fillods

	* tests/: rigctl.c, rotctl.c: added ability to enter long command
	names in interactive mode, by prefixing them with a \

2002-09-05 13:20  fillods

	* src/serial.c: fix to make it build on *BSD, and maybe others

2002-09-04 12:56  pa4tu

	* kenwood/ts950.c: bring rig in sync with other kenwood rigs

2002-09-04 12:52  pa4tu

	* kenwood/: ts570.c, ts790.c: bring rig in sync with other kenwood
	rigs

2002-09-04 12:47  pa4tu

	* kenwood/: ts450s.c, ts50s.c: bring rig in sync with other kenwood
	rigs

2002-09-04 12:43  pa4tu

	* kenwood/ts440.c: add set_level and get_level

2002-09-04 12:32  pa4tu

	* kenwood/: kenwood.c, kenwood.h, ts2000.c, ts440.c, ts450s.c,
	ts50s.c, ts570.c, ts790.c, ts850.c, ts870s.c, ts950.c: add xit
	capabilities

2002-09-04 10:10  pa4tu

	* kenwood/kenwood.c: typo

2002-09-04 10:08  pa4tu

	* kenwood/kenwood.c: fix get_ctcss_tone by using IF command

2002-09-04 09:36  pa4tu

	* kenwood/kenwood.c: explain set_rit

2002-09-04 09:31  pa4tu

	* kenwood/ts870s.c: send_morse added

2002-09-04 09:26  pa4tu

	* kenwood/ts2000.c: add rit capabilities

2002-09-03 13:58  pa4tu

	* kenwood/ts440.c: bring comands in sync with other kenwood rigs

2002-09-03 13:53  pa4tu

	* kenwood/: kenwood.c, kenwood.h, ts450s.c, ts50s.c, ts570.c,
	ts790.c, ts850.c, ts870s.c, ts950.c: add rit capabilities

2002-09-03 11:12  pa4tu

	* rpcrig/Makefile.am, rpcrot/Makefile.am: fix_compilation

2002-09-02 09:42  csete

	* doc/hamlib.cfg: Modified to use new stylesheet.

2002-09-01 17:23  fillods

	* src/: locator.c, rig.c: fixed typo

2002-09-01 17:21  fillods

	* configure.ac: needed for BSD systems

2002-08-26 17:33  fillods

	* pcr/: pcr.c, pcr.h, pcr1000.c: patch from Darren G0WCW

2002-08-26 17:31  fillods

	* perl/Hamlib.xs: implemented more calls

2002-08-26 16:26  fillods

	* dummy/dummy.c, gnuradio/gnuradio.cc, src/misc.c, src/misc.h,
	tests/rigctl.c: WARNING: renamed strmode to strrmode because the
	symbol is already in use on BSD systems

2002-08-24 05:50  fillods

	* rpcrig/rpcrig.h, rpcrig/rpcrig_clnt.c, rpcrig/rpcrig_svc.c,
	rpcrig/rpcrig_xdr.c, rpcrot/rpcrot.h, rpcrot/rpcrot_clnt.c,
	rpcrot/rpcrot_svc.c, rpcrot/rpcrot_xdr.c: remove autogenerated
	files from cvs rep

2002-08-23 15:01  fillods

	* rpcrig/: rpcrig.h, rpcrig.x, rpcrig_backend.c, rpcrig_clnt.c,
	rpcrig_proc.c, rpcrig_svc.c, rpcrig_xdr.c: implemented more calls

2002-08-23 14:55  fillods

	* rpcrig/: rpc.rigd.8, rpcrigd.c: ptt_type and dcd_type options now
	accept keywords

2002-08-22 18:44  fillods

	* tests/: rigctl.1, rigctl.c: added transceive Event reporting,
	ptt_type and dcd_type options now accept keywords

2002-08-22 18:42  fillods

	* configure.ac, lib/trunc.c, src/locator.c, tests/testloc.c: fixed
	locator and dms conversion and also got rid of trunc usage, fixed
	misnamed 'bearing' references

2002-08-19 17:17  fillods

	* icom/icom.c, icom/icom.h, icom/omni.c, tests/rigctl.c: patch from
	Rein PA0RCT implementing icom_set_rit, and ability to call
	rig_set_rit from rigctl

2002-08-16 12:43  fillods

	* alinco/dx77.c, aor/ar5000.c, aor/ar8000.c, aor/ar8200.c,
	drake/r8b.c, dummy/dummy.c, dummy/rot_dummy.c, easycomm/easycomm.c,
	gnuradio/gr.c, icom/ic275.c, icom/ic475.c, icom/ic706.c,
	icom/ic718.c, icom/ic735.c, icom/ic756.c, icom/ic775.c,
	icom/ic821h.c, icom/ic910.c, icom/ic970.c, icom/icall.c,
	icom/icom.c, icom/icr7000.c, icom/icr8500.c, icom/omni.c,
	icom/os456.c, icom/os535.c, jrc/nrd545.c, kachina/505dsp.c,
	kenwood/th.c, kenwood/thd7.c, kenwood/thf7.c, kenwood/ts2000.c,
	kenwood/ts440.c, kenwood/ts450s.c, kenwood/ts50s.c,
	kenwood/ts570.c, kenwood/ts790.c, kenwood/ts850.c,
	kenwood/ts870s.c, kenwood/ts950.c, pcr/pcr100.c, pcr/pcr1000.c,
	rpcrig/rpcrig_backend.c, rpcrig/rpcrigd.c, rpcrot/rpcrot_backend.c,
	rpcrot/rpcrot_proc.c, src/conf.c, src/rot_conf.c, tentec/pegasus.c,
	tentec/rx320.c, uniden/bc895.c, winradio/wr1000.c,
	winradio/wr1500.c, winradio/wr1550.c, winradio/wr3100.c,
	winradio/wr3150.c, winradio/wr3500.c, winradio/wr3700.c,
	yaesu/ft100.c, yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c:
	converted to C99 intialization style

2002-08-02 05:00  dedmons

	* tests/tsctl.c: Some bugfixes here instead of rigctl.c.

2002-08-02 05:00  dedmons

	* tests/tsctl.c: file tsctl.c was initially added on branch
	branch_ts2k.

2002-08-02 04:29  dedmons

	* tests/rig.tab.h: file rig.tab.h was initially added on branch
	branch_ts2k.

2002-08-02 04:29  dedmons

	* tests/rig.tab.c: file rig.tab.c was initially added on branch
	branch_ts2k.

2002-08-02 04:29  dedmons

	* tests/rigcmd.h: file rigcmd.h was initially added on branch
	branch_ts2k.

2002-08-02 04:29  dedmons

	* include/hamlib/rig_newvfo.h, kenwood/ts2000.c, kenwood/ts2k.c,
	kenwood/ts2k.h, kenwood/ts2k_menu.c, src/misc.c, tests/Makefile.am,
	tests/Makefile.in, tests/rig.tab.c, tests/rig.tab.h,
	tests/rigcmd.h, tests/rigctl.c, tests/testcmd.c, tests/ts2k.tab.c,
	tests/ts2k.tab.h: Updated parser, new base.y for testing, renamed
	parser stuff to rig_yy...

2002-07-26 07:19  dedmons

	* src/misc.c: I believe this is a proper merge.

2002-07-26 04:56  dedmons

	* tests/: Makefile.am, Makefile.in: Removed test program.  It
	duplicated rigctl.

2002-07-26 04:53  dedmons

	* kenwood/ts440.c, src/ext.c: Forgot these two files.  No wonder it
	wouldn't compile after checkout.

2002-07-26 04:41  dedmons

	* drake/: Makefile.am, Makefile.in, drake.c, drake.h, r8b.c:
	Finally...

2002-07-26 04:41  dedmons

	* drake/Makefile.in: file Makefile.in was initially added on branch
	branch_ts2k.

2002-07-26 04:09  dedmons

	* tests/testcmd.c: file testcmd.c was initially added on branch
	branch_ts2k.

2002-07-26 04:09  dedmons

	* gnuradio/Makefile.in: file Makefile.in was initially added on
	branch branch_ts2k.

2002-07-26 04:09  dedmons

	* tests/lex.ts2k_yy.c: file lex.ts2k_yy.c was initially added on
	branch branch_ts2k.

2002-07-26 04:09  dedmons

	* include/hamlib/rig_newvfo.h: file rig_newvfo.h was initially
	added on branch branch_ts2k.

2002-07-26 04:09  dedmons

	* kenwood/ts2k_mdata.c: file ts2k_mdata.c was initially added on
	branch branch_ts2k.

2002-07-26 04:09  dedmons

	* tests/ts2k.tab.c: file ts2k.tab.c was initially added on branch
	branch_ts2k.

2002-07-26 04:09  dedmons

	* tests/testptt.c: file testptt.c was initially added on branch
	branch_ts2k.

2002-07-26 04:09  dedmons

	* tests/testts2k.c: file testts2k.c was initially added on branch
	branch_ts2k.

2002-07-26 04:09  dedmons

	* autogen.sh, gnuradio/Makefile.am, gnuradio/Makefile.in,
	gnuradio/gnuradio.h, gnuradio/gr.c, gnuradio/gr_priv.h,
	gnuradio/testgr.cc, include/hamlib/rig_newvfo.h, kenwood/ts2000.h,
	kenwood/ts2k_mdata.c, tests/lex.ts2k_yy.c, tests/testcmd.c,
	tests/testptt.c, tests/testts2k.c, tests/ts2k.tab.c,
	tests/ts2k.tab.h: actually added files this time

2002-07-26 04:09  dedmons

	* tests/ts2k.tab.h: file ts2k.tab.h was initially added on branch
	branch_ts2k.

2002-07-26 03:53  dedmons

	* Makefile.am, Makefile.in, aclocal.m4, configure, configure.ac,
	alinco/Makefile.in, aor/Makefile.in, c++/Makefile.in,
	c++/rigclass.cc, doc/Makefile.in, dummy/Makefile.in, dummy/dummy.c,
	dummy/rot_dummy.c, easycomm/Makefile.in, icom/Makefile.in,
	icom/ic275.c, icom/ic475.c, icom/ic756.c, icom/icom.c, icom/icom.h,
	include/Makefile.in, include/config.h.in, include/hamlib/rig.h,
	include/hamlib/rigclass.h, include/hamlib/riglist.h,
	jrc/Makefile.in, kachina/Makefile.in, kenwood/Makefile.am,
	kenwood/Makefile.in, kenwood/kenwood.c, kenwood/kenwood.h,
	kenwood/th.c, kenwood/ts2000.c, kenwood/ts2k.c, kenwood/ts2k.h,
	kenwood/ts2k.status, kenwood/ts2k_menu.c, kenwood/ts2k_menu.h,
	kylix/Makefile.in, lib/Makefile.in, libltdl/Makefile.in,
	pcr/Makefile.in, perl/Hamlib.xs, perl/Makefile.in,
	rpcrig/Makefile.am, rpcrig/Makefile.in, rpcrig/rpcrig_backend.c,
	rpcrig/rpcrig_proc.c, rpcrot/Makefile.am, rpcrot/Makefile.in,
	src/Makefile.am, src/Makefile.in, src/iofunc.c, src/misc.c,
	src/misc.h, src/rig.c, tentec/Makefile.in, tests/Makefile.am,
	tests/Makefile.in, tests/dumpcaps.c, tests/dumpmem.c,
	tests/listrigs.c, tests/rigctl.c, tests/rigmatrix.c,
	tests/rotctl.c, tests/testcaps.c, tests/testrig.c, tests/tests.h,
	tests/testtrn.c, uniden/Makefile.in, winradio/Makefile.in,
	winradio/linradio/wrapi.h, yaesu/Makefile.in: 1) Updated
	branch_ts2k with respect to HEAD.  2) Working ts2k_menu.  (only in
	RIG_MODEL_TS2K) 3) Split TS-2000 into experimental and standard
	versions:    RIG_MODEL_TS2000 = standard, RIG_MODEL_TS2K =
	experimental.  4) Basic command parser in tests/rc.  Will
	open/close rig or copy a    freq from one rig/vfo to another
	rig/vfo.  Very cool.  Very basic.     Very experimental.  5) Added
	test programs.	   a) testcmd - calls parser (no command prompt
	yet!)	  b) testts2k - replacement for testrig (with trivial
	modification)	  c) testptt - testts2k/testrig should not
	transmit.  TX stuff in testptt.  6) Used crowbar to merge HEAD into
	branch_ts2k.  Working on clean-up.  7) I'm sure I've forgotten or
	neglected to mention some other stuff.

2002-07-11 17:13  fillods

	* perl/Hamlib.xs: remove deprecated functions

2002-07-10 16:45  fillods

	* kenwood/: kenwood.c, kenwood.h, ts440.c: fix set_vfo/get_vfo for
	TS-440

2002-07-10 16:34  fillods

	* tests/: dumpmem.c, rigctl.c: fixed support for new vfo param in
	get_channel

2002-07-10 16:30  fillods

	* src/rig.c: fix dangerous typo in case of get_channel emulation

2002-07-10 15:42  dedmons

	* src/: misc.c, rig.c: Added verbose bitmask printing to strvfo. 
	#define selectable.

2002-07-10 15:35  dedmons

	* tests/: Makefile.am, Makefile.in, dumpcaps.c, dumpmem.c,
	listrigs.c, rigctl.c, rigmatrix.c, rotctl.c, testcaps.c, testrig.c,
	tests.h, testtrn.c, testvfo.c: Added test for new vfo_t stuff.

2002-07-10 15:35  dedmons

	* tests/testvfo.c: file testvfo.c was initially added on branch
	branch_ts2k.

2002-07-10 15:35  dedmons

	* tests/tests.h: file tests.h was initially added on branch
	branch_ts2k.

2002-07-10 15:28  dedmons

	* kenwood/: ts2k.c, ts2k.h: Major revision of ts2k.c.

2002-07-09 17:18  fillods

	* src/misc.c: added FUNC_TBURST

2002-07-09 17:17  fillods

	* include/hamlib/rig.h, include/hamlib/rigclass.h, src/rig.c,
	c++/rigclass.cc: - removed rig_save_channel and rig_restore_channel
	from API - rig_set_channel and rig_get_channel can now target VFO,
	besides memories - emulation of set_channel and get_channel has
	been kept in generic routines.	  Added in these routines the
	support for ext_levels.

2002-07-09 15:43  fillods

	* icom/: ic756.c, icom.c, icom.h: added IC756PROII caps with basic
	"extra" parm support

2002-07-09 15:40  fillods

	* include/hamlib/rig.h, src/Makefile.am, src/rig.c, tests/rigctl.c:
	added "extra" level and "extra" parm support

2002-07-09 15:36  fillods

	* src/ext.c: Initial release

2002-07-08 17:53  fillods

	* dummy/dummy.c, dummy/rot_dummy.c, kenwood/kenwood.c,
	kenwood/th.c, rpcrig/rpcrig_backend.c, rpcrig/rpcrig_proc.c,
	src/iofunc.c, winradio/linradio/wrapi.h: gcc3 fixes

2002-07-08 17:20  fillods

	* include/hamlib/rig.h, kenwood/Makefile.am, kenwood/ts2000.c,
	src/misc.c: Temporarily roll back ts2k experimental patches, esp.
	the VFO bits kept: - indentation - new PARM_KEYLIGHT, SCAN_VFO -
	new scan_group field in struct channel - added RIG_CHFLAG's ts2k
	stuff in 'branch_ts2k' will be merged later

2002-07-08 17:14  fillods

	* Makefile.am, configure.ac: added Drake backend

2002-07-08 17:10  fillods

	* drake/: Makefile.am, drake.c, drake.h, r8b.c: Initial release of
	skeleton for Drake backend

2002-07-08 17:09  fillods

	* include/hamlib/riglist.h: added Drake R-8B

2002-07-06 19:24  dedmons

	* doc/rig.status: Space format file to fill-in so particular rig's
	status is known.  (e.g. see kenwood/ts2k.status)  Lost
	rpcrig.status.	Will redo it.

2002-07-06 19:24  dedmons

	* doc/rig.status: file rig.status was initially added on branch
	branch_ts2k.

2002-07-06 11:53  dedmons

	* rpcrig/README.rpcrig: Quick and dirty HOWTO for rpcrig.  It
	worked for me last I checked!

2002-07-06 11:53  dedmons

	* rpcrig/README.rpcrig: file README.rpcrig was initially added on
	branch branch_ts2k.

2002-07-06 11:51  dedmons

	* kenwood/: ts2000.c, ts2k.h, ts2k_menu.c, ts2k_menu.h: Rearranged
	headers some.  Failed attempt to add menus to ts2k.

2002-07-06 11:48  dedmons

	* kenwood/ts2k.c: General cleanup + bugfixes.

2002-07-06 10:50  dedmons

	* kenwood/ts2k.status: Trivial change to check "-r branch_ts2k".

2002-07-06 04:31  fillods

	* configure.ac: added gnuradio backend, bumped version number, misc
	fix for recent LIBTOOL

2002-07-06 04:30  fillods

	* Makefile.am, include/config.h.in: added gnuradio backend

2002-07-06 04:27  fillods

	* gnuradio/: Makefile.am, gnuradio.cc, gnuradio.h, gr.c, gr_priv.h,
	testgr.cc: Initial alpha release

2002-07-06 04:26  fillods

	* src/misc.h: misc fix for C++

2002-07-06 04:24  fillods

	* include/hamlib/riglist.h: added GNUradio models

2002-07-06 04:24  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: build fix

2002-07-05 18:22  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h, ts440.c: added TS440
	caps

2002-07-05 18:20  fillods

	* aclocal.m4: remove autogenerated file

2002-07-03 08:53  dl1nc

	* autogen.sh: fixed it

2002-07-03 08:50  dl1nc

	* autogen.sh: [no log message]

2002-07-02 13:02  fillods

	* Makefile.in, configure, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	easycomm/Makefile.in, icom/Makefile.in, include/Makefile.in,
	jrc/Makefile.in, kachina/Makefile.in, kenwood/Makefile.in,
	kylix/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	perl/Makefile.in, rpcrig/Makefile.in, rpcrot/Makefile.in,
	src/Makefile.in, tentec/Makefile.in, tests/Makefile.in,
	uniden/Makefile.in, winradio/Makefile.in, yaesu/Makefile.in:
	removed autogenerated files, use autogen.sh instead

2002-07-01 17:11  fillods

	* autogen.sh: Initial release

2002-07-01 17:08  fillods

	* icom/: ic275.c, ic475.c: update max serial speed the rig can do
	(dip-switches inside the rig)

2002-06-30 06:32  dedmons

	* kenwood/Makefile.in: Had to re-run automake kenwood/Makefile.

2002-06-30 05:20  dedmons

	* kenwood/: ts2000.c, ts2000.h: Changed name back to original.

2002-06-30 05:17  dedmons

	* include/hamlib/rig.h, kenwood/Makefile.am, kenwood/ts2k.c,
	kenwood/ts2k.h, kenwood/ts2k_menu.c, src/misc.c: Added working
	TS-2000 files.	There are some changes left out but this is the
	minimum I could commit and have a functional rig.  The cost is that
	I've broken kylix and others that duplicate rig.h.  I'm in the
	process of repairing the damage.  Please be patient.  I hope a day
	or so, but am asking for up to a week.	E-mail me about *anything*
	you find broken.  Kylix (and similar) is (are) known to not work.

2002-06-29 04:58  dedmons

	* kenwood/README.ts2k: Updated status.

2002-06-29 04:54  dedmons

	* kenwood/: Makefile.am, Makefile.in, ts2k.c, ts2k.h: Temp kludge
	to make ts2k.c compile (keeps Hamlib from compiling!).

2002-06-29 04:16  dedmons

	* kenwood/Makefile.am: Wouldn't compile.  Removed ts2k.c.  Haven't
	got all new rig.h stuff removed.

2002-06-29 04:04  dedmons

	* kenwood/ts2000.c: Renamed new ts2000.c to ts2000.h

2002-06-29 03:56  dedmons

	* kenwood/README.ts2k: Corrected status to CVS branch.

2002-06-29 03:47  dedmons

	* kenwood/ts2k.status: Changes often, so added status.	Will delete
	when things stabilize.

2002-06-29 03:42  dedmons

	* kenwood/ts2k.c: Bring code more in line with CVS code.

2002-06-29 03:40  dedmons

	* kenwood/ts2000.h: Renamed ts2000.c.new ts2000.h

2002-06-29 03:39  dedmons

	* kenwood/README.ts2k: New file.

2002-06-29 03:38  dedmons

	* kenwood/: ts2k_menu.c, ts2k_menu.h: Start of rig menuing
	functions.

2002-06-29 03:20  dedmons

	* kenwood/Makefile.am: Changed ts2000.c to ts2000.h.

2002-06-29 03:18  dedmons

	* kenwood/ts2k.c: Bring ts2k.c more in line with current CVS.

2002-06-27 04:16  dedmons

	* kenwood/: Makefile.am, ts2000.c.orig: Copied too much stuff,
	backed out what I broke.

2002-06-27 03:55  dedmons

	* kenwood/: Makefile.am, README.ts2k, ts2000.c, ts2000.c.orig,
	ts2k.c, ts2k.h: Started TS-2000 update/overhaul --Dale

2002-06-26 15:44  dedmons

	* tests/rigctl.c: Added comments to commandline in rigctl (second
	time) --Dale

2002-06-19 12:33  fillods

	* kenwood/ts2000.txt: initial release

2002-06-17 16:00  fillods

	* hamlib.spec.in: preliminary work for 1.1.3 release

2002-06-17 15:59  fillods

	* Makefile.in, THANKS, lib/Makefile.am, src/iofunc.c, src/misc.c,
	tests/testtrn.c: misc

2002-06-17 15:56  fillods

	* libltdl/COPYING.LIB, libltdl/acinclude.m4, libltdl/aclocal.m4,
	libltdl/config-h.in, libltdl/configure, libltdl/ltdl.c, ltmain.sh,
	acinclude.m4, aclocal.m4, configure: updated to libtool-1.4.2-6

2002-06-17 15:53  fillods

	* include/hamlib/riglist.h: added IC7400

2002-06-17 15:52  fillods

	* README: misc update before release

2002-06-17 15:51  fillods

	* NEWS: 1.1.3 release

2002-06-04 17:41  fillods

	* icom/omni.c: CI-V address fix, this rig looks like a IC-735

2002-05-31 13:25  fillods

	* icom/: Makefile.am, Makefile.in: added OMNI VI+

2002-05-30 12:38  fillods

	* icom/: icom.c, icom.h, omni.c: added OMNI VI+, basic support only

2002-05-28 16:45  fillods

	* alinco/Makefile.in, aor/Makefile.in, c++/Makefile.in,
	doc/Makefile.in, dummy/Makefile.in, easycomm/Makefile.in,
	icom/Makefile.in, include/Makefile.in, jrc/Makefile.in,
	kachina/Makefile.in, kenwood/Makefile.in, kylix/Makefile.in,
	lib/Makefile.in, pcr/Makefile.in, perl/Makefile.in,
	rpcrig/Makefile.in, rpcrot/Makefile.in, src/Makefile.in,
	tentec/Makefile.in, tests/Makefile.in, uniden/Makefile.in,
	winradio/Makefile.in, yaesu/Makefile.in, configure: regenerated

2002-05-28 16:43  fillods

	* AUTHORS: thanks to all of you guys

2002-05-28 16:39  fillods

	* README.betatester: misc addition

2002-05-28 16:38  fillods

	* include/config.h.in: regenerated

2002-05-28 16:35  fillods

	* icom/ic706.c: cleanup, LEVEL_STRENGTH is now the S-meter level

2002-05-28 16:34  fillods

	* icom/os535.c: status update

2002-05-28 16:33  fillods

	* hamlib.m4: cloned from Alsa project, still not thouroughly tested

2002-05-28 16:32  fillods

	* configure.ac: disabled perl default building, and also changes to
	make autoconf-2.53 happy

2002-05-28 16:28  fillods

	* README.developer: much needed update on lib arch

2002-05-14 16:53  fillods

	* config.guess, config.sub: updated scripts to 20020320.1

2002-04-23 17:04  fillods

	* tests/rigctl.c: misc fix in labels

2002-04-23 17:03  fillods

	* src/iofunc.c: dump hex buffer even in error cases

2002-04-23 17:01  fillods

	* icom/: icall.c, icr8500.c: no support for icr75_get/set_channel
	on this model

2002-04-23 16:59  fillods

	* icom/icom.h: renamed function to appropriate model

2002-04-23 16:56  fillods

	* yaesu/ft100.c: obvious fix for dcs functions. Please test and
	report

2002-04-23 16:55  fillods

	* tests/rigctl.1: be more explicit about parameter description

2002-04-23 16:53  fillods

	* src/misc.c: misc adding to parse/str helpers

2002-04-23 16:49  fillods

	* icom/ic910.c, icom/icom.c, include/hamlib/rig.h: converted
	RIG_SCAN_RESUME_ON/OFF to more appropriate RIG_FUNC_RESUME

2002-04-23 14:47  fillods

	* include/hamlib/riglist.h: added K2

2002-04-23 14:46  fillods

	* doc/NOTES: [no log message]

2002-03-26 02:05  fillods

	* pcr/pcr.c: temporary fix: read_block instead of read_string to
	make initialization to work, added UK code info

2002-03-24 18:19  pa4tu

	* kenwood/: ts570.c, ts790.c, ts850.c, ts950.c: add
	RIG_LEVEL_RFPOWER

2002-03-24 18:16  pa4tu

	* kenwood/: ts2000.c, ts450s.c, ts50s.c: add RIG_LEVEL_RFPOWER

2002-03-24 18:12  pa4tu

	* kenwood/: kenwood.c, ts870s.c: add RIG_LEVEL_RFPOWER

2002-03-18 17:04  fillods

	* icom/: frame.c, frame.h, icom.c: better collision handling, patch
	from Chuck N2POR

2002-03-18 16:59  fillods

	* include/hamlib/rig.h, src/rig.c: added new error codes

2002-03-15 16:58  pa4tu

	* kenwood/kenwood.c: fix signal strength

2002-03-15 13:43  fillods

	* kenwood/kenwood.c: fix needed after previous commit. with new
	kenwood_transaction, the max receive buffer size must be passed.
	Also included a fix for rig_get_strenght in range expected by
	frontend (0 = S9).

2002-03-15 07:04  fillods

	* icom/icom.c: fixes to handle old rigs (mode and mem)

2002-03-15 07:03  fillods

	* icom/ic735.c: IC-735 fixes, thanks to traces from Darren G0WCW

2002-03-14 17:06  fillods

	* src/rig.c: various fixes associated with get_channel and
	set_channel

2002-03-13 17:56  fillods

	* pcr/pcr.c: protocol fix: PCR always send a short ack, whatever
	the response can be. So eat it.

2002-03-13 17:42  fillods

	* kenwood/: kenwood.c, kenwood.h, th.c, th.h, thd7.c, thf7.c,
	ts2000.c, ts450s.c, ts50s.c, ts570.c, ts790.c, ts850.c, ts870s.c,
	ts950.c: factorized th_transaction with kenwood_transaction, killed
	thd7_* functions and share with th breed rigs

2002-03-13 17:37  fillods

	* alinco/alinco.c, aor/aor.c, jrc/jrc.c, kachina/kachina.c,
	pcr/pcr.c, tentec/tentec.c, uniden/uniden.c: replaced fread_block
	in favor of the more intelligent read_string, added some
	serial_flush

2002-03-12 13:28  fillods

	* src/iofunc.c: fix a bug introduced by previous commit

2002-03-12 07:27  avflinsch

	* yaesu/ft100.h: 
	added getinfo func hdr

2002-03-12 07:02  avflinsch

	* yaesu/ft100.c: 
	added get frequency to ft100 code

2002-03-11 17:28  fillods

	* icom/: frame.c, frame.h, icom.c: read_icom_block is gone, in
	favor of read_string. Thanks to Chuck Hemker.

2002-03-10 17:44  fillods

	* icom/: frame.c, frame.h, icom.c: reworked rig2icom_mode and
	icom2rig_mode to better handle cases with no passband data

2002-03-10 17:41  fillods

	* easycomm/easycomm.c, kenwood/th.c, src/iofunc.c, src/iofunc.h:
	handle nul char in stopset

2002-03-10 17:39  fillods

	* icom/icom_defs.h: added IC-R7000 defs

2002-03-10 17:36  fillods

	* icom/Makefile.in: regenerated

2002-03-10 17:36  fillods

	* icom/: Makefile.am, icom.h: added OptoScan 456

2002-03-10 17:36  fillods

	* icom/os456.c: Initial release

2002-03-07 16:58  fillods

	* icom/: optoscan.c, os535.c: misc fixes as suggested by John R.
	Marshall

2002-03-07 16:50  fillods

	* pcr/pcr1000.c: various fixes to bring this rig in alpha stage

2002-03-07 16:49  fillods

	* src/: serial.c, serial.h: split serial_open in open and
	serial_setup

2002-03-07 16:48  fillods

	* pcr/: pcr.c, pcr.h: bug fixes, added pcr_open and pcr_close

2002-03-06 16:55  fillods

	* yaesu/Makefile.in, perl/Makefile.in: regenerated

2002-03-06 16:55  fillods

	* perl/Makefile.am: moved files from Hamlib/ subdir to this
	directory, and passed more args to perl Makefile creation to make
	VPATH happy

2002-03-06 16:55  fillods

	* yaesu/Makefile.am: misc build fix

2002-03-06 16:46  fillods

	* perl/: Changes, Hamlib.pm, Hamlib.xs, MANIFEST, Makefile.PL,
	README, test.pl, typemap: moved from Hamlib/ subdir, to make VPATH
	working easier

2002-03-06 15:11  fillods

	* icom/Makefile.in: regenerated

2002-03-06 15:11  fillods

	* icom/icom_defs.h: added OptoScan extension defines

2002-03-06 15:10  fillods

	* icom/: Makefile.am, icom.c, icom.h: added OptoScan535

2002-03-06 15:10  fillods

	* icom/: optoscan.c, os535.c: Initial release

2002-03-06 15:09  fillods

	* include/hamlib/riglist.h: added OS535 and OS456 ids

2002-03-05 17:33  fillods

	* icom/Makefile.in: regenerated

2002-03-05 17:31  fillods

	* icom/: Makefile.am, icom.c, icom.h: added IC-718, patch from
	Chuck Gilkes WD0FCL/4

2002-03-05 17:26  fillods

	* icom/ic718.c: Initial release

2002-03-05 17:25  fillods

	* kenwood/Makefile.in: regenerated

2002-03-05 14:23  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h: added TS-850

2002-03-05 14:23  fillods

	* kenwood/ts850.c: Initial release

2002-03-04 18:49  fillods

	* icom/icr7000.c: numerous fixes reported by Chuck N2POR

2002-03-04 18:45  fillods

	* include/hamlib/riglist.h: fixed stupid copy-paste model id
	duplicates

2002-03-04 18:43  fillods

	* include/hamlib/rig.h: fixed the kHz/MHz/GHz macros so it works
	with doubles and >2GHz integers

2002-03-04 18:41  fillods

	* icom/icom.c: fixed a bug detecting empty channel freq

2002-03-04 18:39  fillods

	* icom/frame.c: flush serial before icom_transaction, added
	workarounds for IC-R7000 mode/bandwidth

2002-03-04 14:28  fillods

	* icom/Makefile.in: regenerated

2002-03-04 14:23  fillods

	* icom/: icom.c, icom.h, Makefile.am: added IC-970

2002-03-04 14:22  fillods

	* icom/ic970.c: Initial release

2002-03-04 07:28  avflinsch

	* yaesu/yaesu_tones.h: new file, list of tones/codes and sequence
	used by various yaesu rigs

2002-03-04 07:16  avflinsch

	* tests/rigctl.1: fixed various command options

2002-03-04 07:01  avflinsch

	* yaesu/ft100.h: initial release

2002-03-04 07:00  avflinsch

	* yaesu/ft100.c: Initial release

2002-03-04 06:57  avflinsch

	* kylix/HamlibComponents.pas: Initial changes for ft100

2002-02-28 05:00  fgretief

	* include/hamlib/rig.h: Added constants for the IC-910 rig.

2002-02-28 04:59  fgretief

	* icom/: Makefile.am, Makefile.in, ic910.c, icom.c, icom.h,
	icom_defs.h: Added IC-910 rig.

2002-02-27 17:34  fillods

	* src/rig.c: added functions to install event callbacks with its
	private data pointer

2002-02-27 17:25  fillods

	* jrc/jrc.c, c++/rigclass.cc, kenwood/th.c, tests/testtrn.c: added
	a private data pointer argument to event callbacks

2002-02-27 17:22  fillods

	* include/hamlib/: rig.h, rigclass.h: API hazard: added a private
	data pointer argument to event callbacks

2002-02-27 17:19  fillods

	* icom/icr8500.c: fix missing set_conf/get_conf ability

2002-02-27 17:18  fillods

	* aor/Makefile.in, icom/Makefile.in: regenerated

2002-02-27 17:17  fillods

	* aor/: Makefile.am, aor.c, aor.h: added AR5000

2002-02-27 17:17  fillods

	* icom/: Makefile.am, icom.c, icom.h: added IC-R7000

2002-02-27 17:15  fillods

	* aor/ar5000.c, icom/icr7000.c: Initial release

2002-02-27 14:21  pa4tu

	* kenwood/kenwood.c: additional protocol checks and cleanups

2002-02-26 15:25  fillods

	* src/Makefile.in: regenerated

2002-02-26 15:23  fillods

	* src/: Makefile.am, register.c, rot_reg.c: added HAMLIB_MODULE_DIR
	so there's no more need for LD_LIBRARY_PATH setting for backend
	module path

2002-02-25 19:20  fillods

	* yaesu/Makefile.in: regenerated

2002-02-25 19:20  fillods

	* yaesu/: Makefile.am, yaesu.c, yaesu.h: added FT-100

2002-02-25 19:18  fillods

	* yaesu/: ft100.c, ft100.h: Initial release, cloned from ft817

2002-02-19 02:34  pa4tu

	* kenwood/: ts950.c, ts50s.c: add get_ptt for this rig

2002-02-19 02:30  pa4tu

	* kenwood/: ts2000.c, ts570.c, ts790.c: add get_ptt for this rig

2002-02-18 12:27  pa4tu

	* kenwood/ts870s.c: enable get_ptt for this rig

2002-02-18 12:25  pa4tu

	* kenwood/: kenwood.c, kenwood.h: first implementation of
	kenwood_get_ptt

2002-02-14 18:12  fillods

	* dummy/dummy.c: fix in get_level/get_level and get_parm/get_parm,
	added support for VFOA/VFOB, memory channel and vfo_ops

2002-02-12 16:15  fillods

	* src/tones.c: added doxygen header

2002-02-12 16:11  fillods

	* perl/Makefile.am: integration of Perl build with autotools. VPATH
	still not okay

2002-02-12 16:10  fillods

	* doc/index.doxygen: Initial release

2002-02-12 16:10  fillods

	* doc/hamlib.cfg: misc fixes

2002-02-12 16:09  fillods

	* doc/Makefile.in, perl/Makefile.in: regenerated

2002-02-12 16:08  fillods

	* doc/Makefile.am: misc fix

2002-02-09 15:57  fillods

	* Makefile.in, configure: regenerated

2002-02-09 15:55  fillods

	* Makefile.am, configure.ac: added early perl binding

2002-02-09 15:55  fillods

	* perl/: Makefile.am, Makefile.in: Initial release

2002-01-29 16:05  fillods

	* tests/rigmatrix.c: many fixes, mainly no need any more to
	explicitly list all the FUNC's, LEVEL's and PARM's

2002-01-29 16:04  fillods

	* tests/dumpcaps.c: print more caps

2002-01-29 16:04  fillods

	* tests/Makefile.in: regenerated

2002-01-29 16:03  fillods

	* tests/Makefile.am: ignore dumpcaps return value

2002-01-29 16:00  fillods

	* lib/Makefile.in: regenerated

2002-01-29 15:59  fillods

	* src/misc.c: misc fixes

2002-01-29 15:56  fillods

	* doc/hamlib.cfg: added doxygen'ed files

2002-01-29 15:56  fillods

	* doc/Makefile.in, include/config.h.in, configure: regenerated

2002-01-29 15:55  fillods

	* doc/Makefile.am: misc cleanup

2002-01-29 15:53  fillods

	* configure.ac: check for trunc, fixed various AC_CHECK_FUNC and
	AC_CHECK_LIB, and continue even if tcl not found

2002-01-29 15:52  fillods

	* aclocal.m4: regenerated

2002-01-29 15:51  fillods

	* acinclude.m4: do not exit configure if tclConfig.sh not found

2002-01-29 15:50  fillods

	* lib/trunc.c: Initial release, to be fixed\!

2002-01-28 06:39  pa4tu

	* kenwood/README.kenwood: update (kenwood is not a WIP anymore)

2002-01-27 17:59  fillods

	* Makefile.in, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	easycomm/Makefile.in, icom/Makefile.in, include/Makefile.in,
	jrc/Makefile.in, kachina/Makefile.in, kenwood/Makefile.in,
	kylix/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	rpcrig/Makefile.in, rpcrot/Makefile.in, src/Makefile.in,
	tentec/Makefile.in, tests/Makefile.in, uniden/Makefile.in,
	winradio/Makefile.in, yaesu/Makefile.in: regenerated

2002-01-27 17:58  fillods

	* tests/rigctl.c: implemented get_chan 'h' command

2002-01-27 17:55  fillods

	* tests/: dumpmem.c, testcaps.c: renamed freq_sprintf to
	sprintf_freq

2002-01-27 17:54  fillods

	* tests/dumpcaps.c: code cleanup thanks to factorisation

2002-01-27 17:52  fillods

	* src/Makefile.am: added MATH_LIBS

2002-01-27 17:51  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: added NET_LIBS

2002-01-27 17:49  fillods

	* dummy/dummy.c: renamed freq_sprintf to sprintf_freq

2002-01-27 17:48  fillods

	* aclocal.m4, include/config.h.in, configure: regenerated

2002-01-27 17:47  fillods

	* src/: misc.c, misc.h: added more str and sprintf funcs, renamed
	freq_sprintf to sprintf_freq

2002-01-27 17:46  fillods

	* include/hamlib/rig.h: misc fixes, added some more fields to
	channel_t

2002-01-27 17:43  fillods

	* configure.ac: optional binding cleanups, --enable-rigmatrix
	changed to --with-rigmatrix, autoconf math and net libs

2002-01-27 17:41  fillods

	* acinclude.m4: misc libtool update, added tcl macros

2002-01-27 08:55  fillods

	* src/: conf.c, conf.h, rig.c, rot_conf.c, rot_conf.h, rotator.c:
	token defines moved to token.h

2002-01-27 08:53  fillods

	* src/Makefile.in: regenerated

2002-01-27 08:52  fillods

	* src/Makefile.am: added token.h

2002-01-27 08:52  fillods

	* include/hamlib/rig.h: token stuff moved to src/token.h

2002-01-27 08:51  fillods

	* include/hamlib/riglist.h: added new Icom rigs

2002-01-27 08:51  fillods

	* icom/icom.h: added new tuning step lists

2002-01-27 08:50  fillods

	* icom/icom.c: misc fixes, added new tuning step lists and new CI-V
	addresses

2002-01-27 08:48  fillods

	* src/token.h: Initial release

2002-01-27 08:47  fillods

	* icom/ic756.c: misc fix

2002-01-27 08:47  fillods

	* Makefile.in, c++/Makefile.in: regenerated

2002-01-27 08:46  fillods

	* Makefile.am: added README files

2002-01-27 08:45  fillods

	* c++/: Makefile.am, testcpp.cc: testcpp moved from ../tests

2002-01-27 08:45  fillods

	* tests/Makefile.am: testcpp moved to ../c++

2002-01-27 08:43  fillods

	* tests/testcpp.cc: moved to ../c++

2002-01-24 17:37  fillods

	* kenwood/Makefile.in: regenerated

2002-01-24 17:37  fillods

	* tests/rigctl.1: clarification on the CI-V address

2002-01-24 17:37  fillods

	* icom/icom.c: accept hexadecimal CI-V id

2002-01-24 17:36  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h: added TS-790

2002-01-24 17:35  fillods

	* README.betatester: Initial release

2002-01-24 17:35  fillods

	* kenwood/ts790.c: initial release

2002-01-23 19:41  fillods

	* include/hamlib/riglist.h: added FT-100

2002-01-22 20:53  aa1vl

	* yaesu/ft817.h: increased post write delay to 300

2002-01-22 15:18  fillods

	* Makefile.in, configure: regenerated

2002-01-22 15:17  fillods

	* src/serial.c, include/config.h.in: call cfmakeraw only when
	available

2002-01-22 15:16  fillods

	* Makefile.am, configure.ac: prepare the list of bindings to be
	flexible

2002-01-22 15:11  fillods

	* kylix/: Makefile.am, Makefile.in: Initial revision

2002-01-21 18:56  fillods

	* tests/rigctl.c: moved parse funcs to src/misc.c, and fixed a bug
	with set_parm/get_parm

2002-01-21 18:50  fillods

	* src/: misc.c, misc.h: added new strvfop/strscan and parse
	functions from rigctl

2002-01-21 18:48  fillods

	* rpcrot/rpcrot_backend.c: added rpcrot_move cap

2002-01-21 18:43  fillods

	* dummy/dummy.c: be more capable and more verbose, and use
	channel_t to store current parameters

2002-01-21 02:30  fillods

	* src/: rig.c, rotator.c: check communication is opened

2002-01-20 07:29  fillods

	* src/Makefile.in: regenerated

2002-01-19 12:56  fillods

	* kenwood/kenwood.c: kenwood_set_level first implementation, by
	Joop PA4TU

2002-01-19 12:51  fillods

	* src/Makefile.am: fix typo

2002-01-16 22:09  n0nb

	* doc/sgml/: README.txt, hamlib-doc.dsl, hamlib-doc.sgml,
	intro.sgml: 16 January 2002:
	
	Modified: hamlib-doc.dsl -- tweaked print output hamlib-doc.sgml --
	minor title and revremarks edit intro.sgml -- minor edits to track
	hamlib versions better
	
	Removed: README.txt -- will return as README.docbook
	
	- N0NB

2002-01-16 17:44  fillods

	* Makefile.in, configure: regenerated

2002-01-16 17:37  fillods

	* rpcrot/: rpcrot_clnt.c, rpcrot_svc.c, rpcrot_xdr.c: header path
	fix

2002-01-16 17:36  fillods

	* c++/Makefile.in, include/Makefile.in, src/Makefile.in,
	tests/Makefile.in: regenerated

2002-01-16 17:34  fillods

	* tests/Makefile.am: rot backend fix

2002-01-16 17:11  fillods

	* Makefile.am, configure.ac: added kylix binding subdir

2002-01-16 17:04  fillods

	* doc/hamlib.cfg: added rotator source

2002-01-16 16:58  fillods

	* src/: serial.c, serial.h, Makefile.am: non-serial parts of
	serial.[ch] moved to iofunc.[ch]

2002-01-16 16:56  fillods

	* src/: iofunc.c, iofunc.h: parts moved from serial.[ch]

2002-01-16 16:44  fillods

	* c++/Makefile.am, include/Makefile.am: added Rotator class

2002-01-16 16:43  fillods

	* c++/rotclass.cc, include/hamlib/rotclass.h: Initial release

2002-01-16 13:18  fgretief

	* Makefile.in, configure, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	easycomm/Makefile.in, icom/Makefile.in, include/Makefile.in,
	jrc/Makefile.in, kachina/Makefile.in, kenwood/Makefile.in,
	lib/Makefile.in, libltdl/config-h.in, pcr/Makefile.in,
	rpcrig/Makefile.in, rpcrot/Makefile.in, src/Makefile.in,
	tentec/Makefile.in, tests/Makefile.in, uniden/Makefile.in,
	winradio/Makefile.in, yaesu/Makefile.in: regenerated

2002-01-16 13:17  fgretief

	* Makefile.am, configure.ac, rpcrot/Makefile.am: Fixed circular
	dependency for rpc.rigd and rpc.rotd

2002-01-16 11:12  fgretief

	* Makefile.am, Makefile.in, configure, configure.ac: Added easycomm
	and rpcrot backends

2002-01-16 11:06  fgretief

	* src/rotator.c, tests/rotctl.1, tests/rotctl.c: Added rot_move
	function

2002-01-16 11:03  fgretief

	* include/hamlib/rotlist.h: Fix macro name

2002-01-16 10:52  fgretief

	* include/hamlib/rotator.h: Added rot_move function

2002-01-16 10:46  fgretief

	* kylix/hamlib_rotapi.pas, dummy/rot_dummy.c: Added rot_move
	function

2002-01-16 10:45  fgretief

	* rpcrot/: Makefile.am, Makefile.in, rpc.rotd.8, rpcrot.h,
	rpcrot.x, rpcrot_backend.c, rpcrot_backend.h, rpcrot_clnt.c,
	rpcrot_proc.c, rpcrot_svc.c, rpcrot_xdr.c, rpcrotd.c: New RPC
	backend for rotators

2002-01-16 10:35  fgretief

	* easycomm/: Makefile.am, Makefile.in, easycomm.c, easycomm.h,
	easycomm.txt: New backend for rotators

2002-01-15 01:40  fillods

	* libltdl/: acinclude.m4, aclocal.m4, configure, ltdl.c: upgrade to
	libtool-1.4.2a-4

2002-01-14 22:13  n0nb

	* doc/sgml/: genindex.sgml, hamlib-doc.dsl, hamlib-doc.sgml,
	reference.sgml: 15 January 2002:
	
	Update hamlib-doc.dsl stylesheet.  Update hamlib-doc.sgml for
	version 1.1.3 and 2002 copyright.  Cut out API content in
	reference.sgml as this is now handled by the Doxygen package.
	
	Added genindex.sgml for Index framework.
	
	-- N0NB

2002-01-14 04:29  fgretief

	* kylix/: HamlibComponents.pas, README, hamlib_rigapi.pas,
	hamlib_rotapi.pas, tests/DemoProject.dpr, tests/DemoProject.res,
	tests/HamlibRadioForm.pas, tests/HamlibRadioForm.xfm,
	tests/HamlibSelectionDlg.pas, tests/HamlibSelectionDlg.xfm,
	tests/TestForm.pas, tests/TestForm.xfm: Initial commit of Kylix
	binding

2002-01-14 01:00  fillods

	* tests/: rotctl.1, rotctl.c: added get_info

2002-01-09 17:14  fillods

	* kenwood/: kenwood.c, ts870s.c: patch from Joop PA4TU: implemented
	set_func and fixed FAGC

2002-01-09 17:11  fillods

	* aor/: aor.c, aor.h, ar8000.c, ar8200.c: added set_vfo/get_vfo,
	vfo_op, get_info and other fixes

2002-01-09 17:09  fillods

	* tests/: rigctl.1, rigctl.c: added get_info

2002-01-09 17:08  fillods

	* include/hamlib/rig.h: added new VFO_OPs

2002-01-08 01:28  fillods

	* kenwood/ts870s.c: misc caps fix

2002-01-07 12:18  fgretief

	* src/rig.c: check trn state of rig in rig_open.

2002-01-07 11:57  fgretief

	* include/hamlib/rig.h: Added a new function:  LCD Lamp ON/OFF (for
	Kenwood TH-7DA)

2002-01-07 11:54  fgretief

	* kenwood/kenwood.c: added a kenwood_init and _cleanup routine for
	priv caps & priv data.

2002-01-07 11:51  fgretief

	* kenwood/kenwood.h: add private caps to store the termination
	character of Kenwood rigs commands.

2002-01-07 11:48  fgretief

	* kenwood/: th.c, th.h: Changed to a new transaction function and
	adde quite a few commands.

2002-01-07 11:46  fgretief

	* kenwood/thd7.c: add private caps and more commands.

2002-01-07 11:43  fgretief

	* kenwood/thf7.c: added private caps for rig termination character

2002-01-07 11:41  fgretief

	* src/misc.c: Added code to hexdump to right align ASCII dump
	column

2002-01-07 11:28  fgretief

	* src/rotator.c: Corrected some comments

2002-01-07 11:14  fgretief

	* src/: serial.c, serial.h: Added read_serial function to read
	strings from a port.

2002-01-06 11:50  fillods

	* tentec/rx320.c: cleanup

2002-01-06 11:50  fillods

	* tentec/Makefile.in: regenerated

2002-01-06 11:49  fillods

	* tentec/: Makefile.am, tentec.c, tentec.h: added Pegasus and
	tentec_trx_open

2002-01-06 11:47  fillods

	* tentec/pegasus.c: Initial release

2002-01-06 11:47  fillods

	* kenwood/kenwood.c: get_level fixes, thanks to Joop PA4TU

2002-01-03 15:45  fillods

	* kenwood/: ts2000.c, ts450s.c, ts570.c, ts870s.c: rig specs fixes

2002-01-03 15:43  fillods

	* kenwood/Makefile.in: regenerated

2002-01-03 15:42  fillods

	* kenwood/: Makefile.am, kenwood.c, kenwood.h: added TS-50S and
	TS-950SDX

2002-01-03 15:41  fillods

	* kenwood/: ts50s.c, ts950.c: Initial release

2002-01-02 17:41  fillods

	* kenwood/: th.c, thd7.c: fixes from Francois to make the TH-D7 to
	work

2002-01-02 17:41  fillods

	* src/: register.c, rot_reg.c: disabled static linked-in backends
	until better solution

2002-01-02 17:38  fillods

	* kenwood/kenwood.c: kenwood_get_mode fix

2001-12-28 14:38  fillods

	* src/rot_reg.c: rotator backend init symbol changed

2001-12-28 14:36  fillods

	* tests/Makefile.in: regenerated

2001-12-28 14:36  fillods

	* tests/testloc.c: misc fixes

2001-12-28 14:35  fillods

	* tests/Makefile.am: added rotctl: rotator control

2001-12-28 14:34  fillods

	* src/rotator.c: fixes, added some more wrappers

2001-12-28 14:34  fillods

	* tests/: rotctl.1, rotctl.c: Initial release

2001-12-28 14:33  fillods

	* src/locator.c: added doxygen comments, made locator convertion to
	work, caution: not very well tested

2001-12-28 14:32  fillods

	* rpcrig/rpc.rigd.8: misc fix

2001-12-28 14:30  fillods

	* include/hamlib/: rotator.h, rotlist.h: fixes

2001-12-28 14:29  fillods

	* dummy/Makefile.in: regenerated

2001-12-28 14:29  fillods

	* dummy/Makefile.am: added dummy rotator

2001-12-28 14:29  fillods

	* dummy/: rot_dummy.c, rot_dummy.h: Initial release

2001-12-28 14:28  fillods

	* alinco/alinco.c, alinco/alinco.h, src/register.c, aor/aor.c,
	aor/aor.h, dummy/dummy.c, dummy/dummy.h, icom/icom.c, icom/icom.h,
	jrc/jrc.c, jrc/jrc.h, kachina/kachina.c, kachina/kachina.h,
	kenwood/kenwood.c, kenwood/kenwood.h, pcr/pcr.c, pcr/pcr.h,
	rpcrig/rpcrig_backend.c, rpcrig/rpcrig_backend.h, tentec/tentec.c,
	tentec/tentec.h, uniden/uniden.c, uniden/uniden.h,
	winradio/winradio.c, winradio/winradio.h, yaesu/yaesu.c,
	yaesu/yaesu.h: warning: backend module breakage: symbol changed:
	init_ -> initrigs_

2001-12-27 16:07  fillods

	* configure: regenerated

2001-12-27 16:03  fillods

	* tests/Makefile.in, include/Makefile.in: regenerated

2001-12-27 16:02  fillods

	* tests/Makefile.am: various cleanup and testloc added

2001-12-27 16:01  fillods

	* tests/testloc.c: Initial release

2001-12-27 16:00  fillods

	* src/serial.c: misc cleanup

2001-12-27 16:00  fillods

	* src/rig.c: backend init time failure fix and other misc fixes

2001-12-27 15:59  fillods

	* rpcrig/rpcrig.h: regenerated

2001-12-27 15:56  fillods

	* src/Makefile.in, rpcrig/rpcrig_clnt.c, rpcrig/rpcrig_svc.c,
	rpcrig/rpcrig_xdr.c: regenerated

2001-12-27 15:56  fillods

	* rpcrig/: rpcrig_backend.c, rpcrig_proc.c: more data passed by
	rigstate_1

2001-12-27 15:52  fillods

	* rpcrig/rpcrig.x: more data passed by rigstate_1

2001-12-27 15:50  fillods

	* src/Makefile.am: added rotator frontend files

2001-12-27 15:50  fillods

	* c++/rigclass.cc, include/hamlib/rigclass.h: augmented C++ API

2001-12-27 15:46  fillods

	* src/: locator.c, rot_conf.c, rot_conf.h, rot_reg.c, rotator.c:
	Initial release

2001-12-27 15:46  fillods

	* include/Makefile.in: regenerated

2001-12-27 15:45  fillods

	* include/Makefile.am: added rotlist.h

2001-12-27 15:42  fillods

	* configure.ac: dlopen force works better

2001-12-27 15:41  fillods

	* include/hamlib/: rotator.h, rotlist.h: Initial release

2001-12-27 15:41  fillods

	* include/Makefile.am: added rotator includes

2001-12-26 17:47  fillods

	* src/rig.c: fix with backend open failure case, and misc update

2001-12-26 17:45  fillods

	* src/conf.h: put token id's apart

2001-12-26 17:45  fillods

	* src/conf.c: more config params

2001-12-26 17:44  fillods

	* rpcrig/: rpcrig_clnt.c, rpcrig_svc.c, rpcrig_xdr.c: regenerated

2001-12-26 17:43  fillods

	* rpcrig/rpcrig_backend.h: hack, to be refined

2001-12-26 17:42  fillods

	* rpcrig/: rpcrig_backend.c, rpcrig_proc.c: implemented many more
	wrappers

2001-12-26 17:40  fillods

	* rpcrig/rpcrig.x: major development

2001-12-26 17:39  fillods

	* rpcrig/: Makefile.in, rpcrig.h: regenerated

2001-12-26 17:39  fillods

	* rpcrig/Makefile.am: rpc.rigd belongs to sbin

2001-12-26 17:38  fillods

	* include/hamlib/rig.h: misc cleanup

2001-12-26 17:37  fillods

	* dummy/dummy.c: let the dummy backend think it can do more

2001-12-26 17:37  fillods

	* AUTHORS: added Bob and Francois

2001-12-26 17:35  fillods

	* tests/Makefile.in: regenerated

2001-12-26 17:34  fillods

	* tests/: rigctl.1, rigctl.c: added --serial-speed, --show-conf and
	--set-conf options, plus misc fixes

2001-12-26 17:33  fillods

	* tests/Makefile.am: misc fix

2001-12-26 17:33  fillods

	* rpcrig/: rpc.rigd.8, rpcrigd.c: added --serial-speed and
	--set-conf options, plus misc fixes

2001-12-26 17:31  fillods

	* Makefile.in, configure: regenerated

2001-12-26 17:30  fillods

	* Makefile.am, configure.ac: misc fixes

2001-12-21 03:48  fillods

	* tests/rigctl.c: added --serial-speed arg

2001-12-20 17:07  fillods

	* icom/Makefile.in: regenerated

2001-12-20 17:07  fillods

	* icom/: icom.c, icom.h, Makefile.am: added IC-821H

2001-12-20 17:04  fillods

	* icom/ic821h.c: Initial revision from Francois Retief's patch

2001-12-20 17:03  fillods

	* jrc/: jrc.c, jrc.h, nrd545.c: added
	scan,set_parm/get_parm,decode_event and vfo_op calls

2001-12-20 16:59  fillods

	* alinco/alinco.c, aor/aor.c, kenwood/kenwood.c, kenwood/th.c,
	tests/rigctl.c, tests/testrig.c, tests/testtrn.c, yaesu/ft747.c,
	yaesu/ft817.c, yaesu/ft847.c: misc sscanf format fix

2001-12-20 02:02  fillods

	* kachina/: 505dsp.c, kachina.c, kachina.h: cleanups

2001-12-20 02:02  fillods

	* jrc/: jrc.c, jrc.h: removed useless vfo arg to set_trn/get_trn
	funcs

2001-12-20 01:51  fillods

	* tests/rigctl.c: no more obscure numeric parameters, new commands,
	ability to set-conf/show-conf

2001-12-20 01:48  fillods

	* src/: misc.c, misc.h: misc adjunction

2001-12-20 01:47  fillods

	* src/conf.c: added rig_token_foreach for conf table perusing

2001-12-20 01:46  fillods

	* c++/rigclass.cc, dummy/dummy.c, include/hamlib/rigclass.h,
	kenwood/kenwood.c, kenwood/kenwood.h, rpcrig/rpcrig_backend.c,
	src/rig.c, tests/testtrn.c: removed useless vfo arg to
	set_trn/get_trn funcs

2001-12-20 01:42  fillods

	* include/hamlib/rig.h: removed useless vfo arg to set_trn/get_trn
	funcs, added rig_token_foreach for conf

2001-12-18 21:55  fillods

	* alinco/Makefile.in, aor/Makefile.in, c++/Makefile.in,
	doc/Makefile.in, dummy/Makefile.in, icom/Makefile.in,
	include/Makefile.in, jrc/Makefile.in, kachina/Makefile.in,
	kenwood/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	rpcrig/Makefile.in, src/Makefile.in, tentec/Makefile.in,
	tests/Makefile.in, uniden/Makefile.in, winradio/Makefile.in,
	yaesu/Makefile.in, Makefile.in: regenerated

2001-12-18 21:54  fillods

	* src/register.c: prefer dlopenext to dlopen

2001-12-18 21:39  fillods

	* configure: regenerated

2001-12-18 21:37  fillods

	* include/hamlib/rig_dll.h: getting closer to win32 build, not
	arrived though

2001-12-18 21:35  fillods

	* alinco/alinco.c, alinco/alinco.h, icom/icom.c, icom/icom.h,
	src/rig.c: tones fixes

2001-12-18 21:33  fillods

	* aclocal.m4: regenerated

2001-12-18 21:31  fillods

	* alinco/Makefile.am, aor/Makefile.am, c++/Makefile.am,
	dummy/Makefile.am, icom/Makefile.am, jrc/Makefile.am,
	kachina/Makefile.am, kenwood/Makefile.am, pcr/Makefile.am,
	rpcrig/Makefile.am, src/Makefile.am, tentec/Makefile.am,
	uniden/Makefile.am, yaesu/Makefile.am: cleaned up static build and
	flags, introduced lib version 0:0:0

2001-12-18 21:29  fillods

	* lib/Makefile.am: LIBOBJS cleanup and made libmisc a convenience
	lib

2001-12-18 21:28  fillods

	* tests/Makefile.am: build flags cleanup

2001-12-18 21:26  fillods

	* winradio/Makefile.am: merged in linradio subdir Makefile.am

2001-12-18 21:25  fillods

	* include/Makefile.am: merged in hamlib subdir Makefile.am

2001-12-18 21:24  fillods

	* configure.ac: added maintainer mode, LIBOBJS cleanup and made
	libmisc a convenience lib, added -dlopen force to make dlopen work
	with static build, and removed some overkill Makefiles

2001-12-18 21:20  fillods

	* Makefile.am: misc cleanup

2001-12-18 21:18  fillods

	* src/: tones.c, tones.h: coming from tone_tbl.h

2001-12-18 21:14  fillods

	* lib/getopt_long.c: coming from getopt1.c

2001-12-18 21:13  fillods

	* include/hamlib/: Makefile.am, Makefile.in: removed overkill
	Makefiles

2001-12-18 21:09  fillods

	* winradio/linradio/: Makefile.am, Makefile.in: removed overkill
	Makefiles

2001-12-18 21:06  fillods

	* lib/getopt1.c: renamed to getopt_long.c

2001-12-18 21:05  fillods

	* src/tone_tbl.h: split to tones.c and tones.h

2001-12-17 16:58  fillods

	* tests/testcpp.cc: misc test added

2001-12-17 16:44  fillods

	* configure: regenerated

2001-12-17 16:43  fillods

	* src/tone_tbl.h: misc change in comments

2001-12-17 16:42  fillods

	* src/serial.h: backout dup prototype

2001-12-17 16:41  fillods

	* configure.ac: added JRC backend

2001-12-17 16:40  fillods

	* jrc/: Makefile.am, Makefile.in, jrc.c, jrc.h, nrd545.c: Initial
	release

2001-12-16 14:02  fillods

	* src/serial.h: misc fix

2001-12-16 14:02  fillods

	* src/register.c: make static really work

2001-12-16 14:01  fillods

	* Makefile.in: regenerated

2001-12-16 05:24  fillods

	* dummy/dummy.c: static/dynamic build fixes and make use of str
	functions

2001-12-16 05:24  fillods

	* src/: misc.c, misc.h: static/dynamic build fixes and added str
	functions

2001-12-16 05:19  fillods

	* alinco/Makefile.in, aor/Makefile.in, c++/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, kachina/Makefile.in,
	kenwood/Makefile.in, pcr/Makefile.in, rpcrig/Makefile.in,
	src/Makefile.in, tentec/Makefile.in, tests/Makefile.in,
	uniden/Makefile.in, winradio/Makefile.in, yaesu/Makefile.in:
	regenerated

2001-12-16 05:18  fillods

	* c++/rigclass.cc, include/hamlib/rigclass.h: static/dynamic build
	fixes and added split wrappers

2001-12-16 05:17  fillods

	* include/hamlib/rig.h, kenwood/thd7.c, kenwood/thf7.c,
	kenwood/ts2000.c, kenwood/ts450s.c, kenwood/ts570.c,
	kenwood/ts870s.c, src/rig.c, yaesu/ft847.c: finer grained
	targetable vfo cap

2001-12-16 05:14  fillods

	* alinco/alinco.c, alinco/alinco.h, aor/aor.c, aor/aor.h,
	dummy/dummy.h, icom/icom.c, icom/icom.h, include/hamlib/rig_dll.h,
	kenwood/kenwood.c, kenwood/kenwood.h, pcr/pcr.c, pcr/pcr.h,
	rpcrig/rpcrig_backend.c, rpcrig/rpcrig_backend.h,
	rpcrig/rpcrig_proc.c, src/cal.c, src/conf.c, src/event.c,
	src/register.c, src/serial.c, src/tone_tbl.h, tentec/tentec.c,
	tentec/tentec.h, uniden/uniden.c, uniden/uniden.h,
	winradio/winradio.c, winradio/winradio.h, yaesu/yaesu.c,
	yaesu/yaesu.h: static/dynamic build fixes

2001-12-16 05:07  fillods

	* alinco/Makefile.am, aor/Makefile.am, c++/Makefile.am,
	dummy/Makefile.am, icom/Makefile.am, kachina/Makefile.am,
	kenwood/Makefile.am, pcr/Makefile.am, rpcrig/Makefile.am,
	src/Makefile.am, tentec/Makefile.am, tests/Makefile.am,
	uniden/Makefile.am, winradio/Makefile.am, yaesu/Makefile.am:
	static/dynamic build fixes

2001-12-16 05:04  fillods

	* compile: Initial revision from automake-1.5

2001-12-16 05:03  fillods

	* AUTHORS: the more, the merrier

2001-12-14 22:09  aa1vl

	* yaesu/ft817.c: bump the backend status to ALPHA

2001-12-14 21:23  aa1vl

	* yaesu/: yaesu.c, yaesu.h: add ft817

2001-12-14 21:22  aa1vl

	* yaesu/Makefile.am: add ft817.*

2001-12-14 21:19  aa1vl

	* yaesu/: ft817.c, ft817.h: initial stab at this for the Yaesu
	FT-817

2001-12-14 21:13  aa1vl

	* src/: serial.c, serial.h: add serial_flush() method to clean rx
	buffer

2001-12-12 16:03  fillods

	* kenwood/kenwood.c: fix silly bug in kenwood_get_mode

2001-12-11 16:04  fillods

	* yaesu/: ft747.c, ft847.c: license clarification

2001-12-11 15:58  fillods

	* kenwood/: Makefile.am, Makefile.in, kenwood.c, kenwood.h: added
	TS-2000

2001-12-11 15:58  fillods

	* kenwood/ts2000.c: Initial version

2001-12-09 08:14  fillods

	* configure: regenerated

2001-12-09 08:13  fillods

	* configure.ac: bumped version number

2001-12-09 08:11  fillods

	* acinclude.m4, aclocal.m4: update to autotools-dev 20011108.1 and
	libtool-1.4.2a

2001-12-09 08:05  fillods

	* libltdl/Makefile.am, libltdl/Makefile.in, libltdl/acinclude.m4,
	libltdl/aclocal.m4, libltdl/config-h.in, libltdl/config.h,
	libltdl/configure, libltdl/ltdl.c, ltmain.sh: update to
	libtool-1.4.2a

2001-11-28 16:10  fillods

	* icom/: icom.c, icom.h: added IC-275 and IC-475

2001-11-28 16:02  fillods

	* icom/: icom.c, icom.h, Makefile.am, Makefile.in: added IC-275 and
	IC-475

2001-11-28 16:00  fillods

	* icom/: ic275.c, ic475.c: Initial release

2001-11-19 16:08  f4cfe

	* include/hamlib/riglist.h: added FT817 id

2001-11-19 15:12  f4cfe

	* yaesu/ft847.c: misc fix: no RTTY on ft847

2001-11-18 08:16  f4cfe

	* dummy/dummy.c: return last set freq/mode/width

2001-11-14 12:31  f4cfe

	* yaesu/ft847.c: added get_freq and get_mode, fixed set_mode with
	passband

2001-11-14 12:30  f4cfe

	* yaesu/: Makefile.am, Makefile.in: another misc fix

2001-11-14 12:29  f4cfe

	* aor/aor.c: fix stupid typo

2001-11-12 16:12  f4cfe

	* libltdl/: acinclude.m4, aclocal.m4, configure: back out
	mysterious hack for Darwin that is not working so well

2001-11-12 16:07  f4cfe

	* aclocal.m4, configure: regenerated

2001-11-12 16:02  f4cfe

	* acinclude.m4: getting closer to have it working on Darwin
	systems, still obscure

2001-11-12 16:00  f4cfe

	* yaesu/Makefile.in: regenerated

2001-11-12 15:59  f4cfe

	* yaesu/: Makefile.am, yaesu.h: misc link fixes

2001-11-12 15:57  f4cfe

	* configure.ac: added missing libmisc include

2001-11-10 15:00  f4cfe

	* include/hamlib/riglist.h: added new Kenwood H-Ts

2001-11-10 14:59  f4cfe

	* Makefile.in: regenerated

2001-11-10 14:54  f4cfe

	* acinclude.m4, aclocal.m4, configure: mysterious fix coming from
	libtool mailing list, to workaround an obscure problem on Darwin
	systems

2001-11-10 14:52  f4cfe

	* acinclude.m4: copy of original libtool.m4 from libtool-1.4.2

2001-11-10 14:37  f4cfe

	* libltdl/: acinclude.m4, aclocal.m4, configure: mysterious fix
	coming from libtool mailing list, to workaround an obscure problem
	on Darwin systems

2001-11-09 09:47  f4cfe

	* kenwood/Makefile.in: regenerated

2001-11-09 09:46  f4cfe

	* kenwood/Makefile.am: added TH-F7E and share code with TH-D7

2001-11-09 09:45  f4cfe

	* kenwood/thd7.c: share code with the TH-F7

2001-11-09 09:44  f4cfe

	* kenwood/: kenwood.c, kenwood.h, thf7.c: added TH-F7E, preliminary
	tested ok

2001-11-09 09:42  f4cfe

	* kenwood/: th.c, th.h: factorised code for TH-D7 and TH-F/TH-F7
	handhelds, initial release

2001-11-08 01:38  f4cfe

	* c++/rigclass.cc, include/hamlib/rigclass.h: added 2 news calls

2001-10-30 01:17  f4cfe

	* yaesu/ft847.c: added filter list

2001-10-25 16:22  f4cfe

	* src/rig.c: fix double close() issue

2001-10-22 15:34  f4cfe

	* alinco/Makefile.in, c++/Makefile.in, doc/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, include/Makefile.in,
	kachina/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	tentec/Makefile.in, include/hamlib/Makefile.in, uniden/Makefile.in,
	winradio/Makefile.in, winradio/linradio/Makefile.in,
	yaesu/Makefile.in: regenerated

2001-10-22 15:33  f4cfe

	* alinco/Makefile.am, c++/Makefile.am, dummy/Makefile.am,
	icom/Makefile.am, kachina/Makefile.am, pcr/Makefile.am,
	tentec/Makefile.am, uniden/Makefile.am, winradio/Makefile.am,
	yaesu/Makefile.am: misc dep update

2001-10-22 15:23  f4cfe

	* aor/: Makefile.am, Makefile.in, aor.c, aor.h: added AR8000

2001-10-22 15:22  f4cfe

	* aor/ar8000.c: Initial release

2001-10-18 15:43  f4cfe

	* kenwood/: Makefile.am, Makefile.in, kenwood.c, kenwood.h: added
	TH-D7A

2001-10-18 15:42  f4cfe

	* kenwood/thd7.c: Initial release

2001-10-18 15:41  f4cfe

	* configure, rpcrig/Makefile.in, src/Makefile.in: regenerated

2001-10-18 15:39  f4cfe

	* src/Makefile.am: misc dist fix

2001-10-18 15:38  f4cfe

	* configure.ac, include/config.h.in: enable rpcrig only when RPC
	are available

2001-10-18 12:51  f4cfe

	* kachina/505dsp.c: ctcss table

2001-10-16 16:18  f4cfe

	* include/hamlib/rig.h, src/rig.c: added open/not open flag

2001-10-16 16:16  f4cfe

	* configure: regenerated

2001-10-16 16:15  f4cfe

	* configure.ac: fix typo

2001-10-16 14:29  f4cfe

	* rpcrig/: Makefile.am, Makefile.in, rpc.rigd.8, rpcrig.h,
	rpcrig.x, rpcrig_backend.c, rpcrig_backend.h, rpcrig_clnt.c,
	rpcrig_proc.c, rpcrig_svc.c, rpcrig_xdr.c, rpcrigd.c: moved from
	../rpc

2001-10-16 14:26  f4cfe

	* Makefile.in, configure, include/config.h.in, tests/Makefile.in,
	src/Makefile.in: regenerated

2001-10-16 14:25  f4cfe

	* configure.ac: more flexible management of the list of backends,
	prepare work for optional. also fix a bug which would link binaries
	against libgd,libz even when not needed.

2001-10-16 14:24  f4cfe

	* Makefile.am, tests/Makefile.am: more flexible management of the
	list of backends, prepare work for optional

2001-10-16 14:19  f4cfe

	* alinco/alinco.c, alinco/alinco.h, icom/icom.c, icom/icom.h,
	include/hamlib/rig.h, src/rig.c: do not export ctcss and dcs data
	lists if dll does not support it (eg. win32), and then, workaround
	this

2001-10-16 14:15  f4cfe

	* src/tone_tbl.h: Initial release

2001-10-09 15:06  f4cfe

	* Makefile.in: regenerated

2001-10-07 16:53  f4cfe

	* Makefile.in, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	icom/Makefile.in, include/Makefile.in, include/hamlib/Makefile.in,
	kachina/Makefile.in, kenwood/Makefile.in, lib/Makefile.in,
	pcr/Makefile.in, src/Makefile.in, tentec/Makefile.in,
	tests/Makefile.in, uniden/Makefile.in, winradio/Makefile.in,
	winradio/linradio/Makefile.in, yaesu/Makefile.in: regenerated
	(automake 1.5 upgrade)

2001-10-07 16:50  f4cfe

	* include/hamlib/riglist.h: declared rpc backend, couple of THD7
	and IC-910

2001-10-07 16:49  f4cfe

	* tests/Makefile.am: added rpc backend

2001-10-07 16:48  f4cfe

	* icom/icom.c: added IC-910 ID

2001-10-07 16:47  f4cfe

	* aor/ar8200.c, icom/ic706.c, icom/icall.c, icom/icr8500.c: forgot
	WFM mode

2001-10-07 16:46  f4cfe

	* configure: regenerated

2001-10-07 16:45  f4cfe

	* aclocal.m4: updated to automake 1.5

2001-10-07 16:44  f4cfe

	* Makefile.am, configure.ac: added rpc backend

2001-10-07 16:38  f4cfe

	* depcomp: Initial release

2001-10-02 03:16  terry

	* include/hamlib/rigclass.h: Removed apparently spurious #include
	eti.h, ref: debian bug #114128

2001-09-25 17:05  n0nb

	* doc/sgml/: README.txt, hamlib-doc.dsl: 25 Sep 2001
	
	Added README.txt hamlib-doc.dsl 	-- Forgot these on SGML
	commit...

2001-09-24 22:53  n0nb

	* doc/sgml/: backend.sgml, hamlib-doc.sgml, internals.sgml,
	intro.sgml, preface.sgml, reference.sgml, using.sgml: 24 Sep 2001
	
	Added Hamlib manual SGML source files to CVS.

2001-09-23 06:03  f4cfe

	* ChangeLog: regenerated for 1.1.2

2001-09-23 05:45  f4cfe

	* ChangeLog: regenerated

2001-09-23 05:40  f4cfe

	* TODO: misc update before 1.1.2

2001-09-23 05:37  f4cfe

	* NEWS: 1.1.2 release

2001-09-23 05:35  f4cfe

	* AUTHORS: misc update before 1.1.2

2001-09-22 06:49  f4cfe

	* tests/rigctl.1: updated manual about civaddr setting

2001-09-22 06:49  f4cfe

	* tests/rigctl.c: minor bugfixes, added civaddr setting option

2001-09-20 16:21  f4cfe

	* tests/: dumpcaps.c, dumpmem.c, listrigs.c, rigmatrix.c,
	testcaps.c, testtrn.c: minor cleanups

2001-09-20 16:20  f4cfe

	* tests/README: reflect 1.1.2

2001-09-20 16:19  f4cfe

	* hamlib.spec.in: minor fixes

2001-09-20 16:19  f4cfe

	* THANKS: nobody's missing?

2001-09-20 16:18  f4cfe

	* README: compiling note

2001-09-20 16:17  f4cfe

	* API: outdated

2001-09-19 17:04  f4cfe

	* winradio/linradio/Makefile.in: regenerated

2001-09-19 17:01  f4cfe

	* configure, Makefile.in, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	include/Makefile.in, include/config.h.in, kachina/Makefile.in,
	kenwood/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, tentec/Makefile.in, tests/Makefile.in,
	include/hamlib/Makefile.in, uniden/Makefile.in,
	winradio/Makefile.in, yaesu/Makefile.in, aclocal.m4: regenerated

2001-09-19 17:00  f4cfe

	* libltdl/: Makefile.am, Makefile.in, acinclude.m4, aclocal.m4,
	config-h.in, config.h, configure, ltdl.c, ltdl.h: upgraded to
	libtool-1.4.2

2001-09-19 16:58  f4cfe

	* src/register.c: fix needed with libtool-1.4.2

2001-09-19 16:49  f4cfe

	* libltdl/configure.in: reappeared in libtool-1.4.2

2001-09-19 16:48  f4cfe

	* libltdl/configure.ac: disappeared in libtool-1.4.2

2001-09-19 16:33  f4cfe

	* ltmain.sh, missing: upgraded to libtool-1.4.2

2001-09-19 16:30  f4cfe

	* configure.ac: minor fixes, esp. after reading autoconf-2.50 docs

2001-09-19 16:23  f4cfe

	* Makefile.am: no need to distribute hamlib.spec

2001-09-19 16:17  f4cfe

	* icom/frame.h: added missing prototype

2001-09-17 19:37  f4cfe

	* icom/: Makefile.am, Makefile.in, ic756.c, icom.c, icom.h: added
	IC-756 and IC-756PRO

2001-09-17 00:45  f4cfe

	* icom/: Makefile.am, Makefile.in, ic735.c, ic775.c, icom.c,
	icom.h: added IC-735 and IC-775

2001-08-22 16:12  f4cfe

	* src/serial.c: added win32 headers detection

2001-08-22 16:10  f4cfe

	* src/event.c: added signal/siginfo detection

2001-08-22 16:08  f4cfe

	* configure, include/config.h.in: regenerated

2001-08-22 16:05  f4cfe

	* configure.ac: added signal/siginfo detection

2001-08-12 18:32  f4cfe

	* ltconfig: deprecated by libtool-1.4b

2001-08-12 18:27  f4cfe

	* configure, Makefile.in: regenerated

2001-08-12 18:19  f4cfe

	* libltdl/config.h, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	include/hamlib/Makefile.in, icom/Makefile.in, include/Makefile.in,
	kenwood/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, tentec/Makefile.in, uniden/Makefile.in,
	yaesu/Makefile.in: regenerated

2001-08-12 18:15  f4cfe

	* include/config.h.in: regenerated

2001-08-12 18:12  f4cfe

	* ltmain.sh: libtool-1.4b-2

2001-08-12 18:05  f4cfe

	* config.guess, config.sub: autotools-dev 20010809.1

2001-08-12 18:01  f4cfe

	* tests/Makefile.in: regenerated

2001-08-12 18:00  f4cfe

	* tests/Makefile.am: added kachina backend, winradio no more
	optional

2001-08-12 17:59  f4cfe

	* include/hamlib/riglist.h: added kachina in overall list

2001-08-12 17:56  f4cfe

	* configure.ac: added kachina backend, winradio no more optional

2001-08-12 17:55  f4cfe

	* Makefile.am: added kachina backend and hamlib m4 file

2001-08-12 17:54  f4cfe

	* winradio/Makefile.in: regenerated

2001-08-12 17:54  f4cfe

	* winradio/Makefile.am: no more conditionnal, headers in linradio/

2001-08-12 17:52  f4cfe

	* winradio/linradio/: radio_ioctl.h, wrapi.h: imported from
	Linradio 0.6

2001-08-12 17:51  f4cfe

	* winradio/linradio/Makefile.am, winradio/linradio/Makefile.in,
	kachina/505dsp.c, kachina/Makefile.am, kachina/Makefile.in,
	kachina/kachina.c, kachina/kachina.h: Initial release

2001-08-08 16:59  f4cfe

	* aclocal.m4, configure: regenerated with newer version

2001-08-08 16:47  f4cfe

	* libltdl/: Makefile.in, acinclude.m4, aclocal.m4, configure,
	ltdl.c, ltdl.h: newer version of libltdl from libtool-1.4b-2 and
	autotools-dev-20010804.1

2001-08-08 16:40  f4cfe

	* libltdl/: acconfig.h, config.h.in: not needed by newer version of
	libltdl

2001-08-08 16:40  f4cfe

	* hamlib.m4: initial release, untested

2001-08-08 16:32  f4cfe

	* kenwood/: Makefile.am, Makefile.in, kenwood.c, kenwood.h: added
	TS450S

2001-08-08 16:31  f4cfe

	* libltdl/config-h.in: import from libtool

2001-08-08 16:31  f4cfe

	* kenwood/ts450s.c: initial release

2001-08-08 01:08  f4cfe

	* tests/: dumpcaps.c, listrigs.c, rigmatrix.c: reflect changes of
	caps->rig_type

2001-08-08 01:07  f4cfe

	* include/hamlib/rig.h: made caps->rig_type more flexible

2001-08-08 01:06  f4cfe

	* include/hamlib/riglist.h: added Kachina rig id

2001-08-08 01:04  f4cfe

	* dummy/dummy.c, icom/ic706.c, icom/icall.c, icom/icom.c,
	icom/icom.h, icom/icr8500.c, src/rig.c: various cleanup of old
	stuff (mv_ctl)

2001-08-08 01:01  f4cfe

	* libltdl/: configure.ac, configure.in: moved from old autoconf
	style to latest of 2.52

2001-08-05 07:00  terry

	* include/config.h.in, libltdl/Makefile.am, libltdl/Makefile.in,
	libltdl/acinclude.m4, libltdl/aclocal.m4, libltdl/configure,
	libltdl/ltdl.c, libltdl/ltdl.h: re-ran libtoolize to pick up new
	archictures, re: Debian Bug#104602

2001-08-05 00:43  terry

	* Makefile.in, configure, ltconfig, libltdl/aclocal.m4: re-ran
	libtoolize to pick up new archictures, re: Debian Bug#104602

2001-08-04 20:27  terry

	* aclocal.m4, config.guess, config.sub, ltmain.sh: re-ran
	libtoolize to pick up new archictures, re: Debian Bug#104602

2001-07-25 17:01  f4cfe

	* configure: regenerated with autoconf 2.52

2001-07-25 16:59  f4cfe

	* src/rig.c, src/serial.c, tests/dumpmem.c, tests/rigctl.c,
	tests/testrig.c, tests/testtrn.c, winradio/winradio.c: 'path' field
	renamed in port_t

2001-07-25 16:58  f4cfe

	* src/conf.c: feed me! I wanna grow up

2001-07-25 16:57  f4cfe

	* src/Makefile.in: regenerated

2001-07-25 16:57  f4cfe

	* src/Makefile.am: fixed conf.c

2001-07-25 16:55  f4cfe

	* include/hamlib/rig.h: 'path' field renamed in port_t, misc
	cleanup

2001-07-21 08:10  f4cfe

	* include/: config.h.in, hamlib/Makefile.in: regenerated

2001-07-21 08:10  f4cfe

	* debian/: README.Debian, changelog, conffiles.ex, control,
	copyright, dirs, docs, hamlib-dev.dirs, hamlib-dev.files,
	hamlib1.dirs, hamlib1.files, manpage.1.ex, postinst.ex, postrm.ex,
	preinst.ex, prerm.ex, rules, shlibs.local, watch.ex: initial
	release

2001-07-21 08:06  f4cfe

	* Makefile.in, alinco/Makefile.in, aor/Makefile.in,
	c++/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	icom/Makefile.in, include/Makefile.in, kenwood/Makefile.in,
	lib/Makefile.in, libltdl/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, tentec/Makefile.in, tests/Makefile.in,
	uniden/Makefile.in, winradio/Makefile.in, yaesu/Makefile.in:
	regenerated

2001-07-21 08:03  f4cfe

	* alinco/Makefile.am, aor/Makefile.am, c++/Makefile.am,
	doc/Makefile.am, dummy/Makefile.am, icom/Makefile.am,
	kenwood/Makefile.am, pcr/Makefile.am, tentec/Makefile.am,
	uniden/Makefile.am, winradio/Makefile.am, yaesu/Makefile.am:
	workaround for automake/libtool install bug?

2001-07-21 08:02  f4cfe

	* tests/Makefile.am: added rigctl man page, workaround for libtool
	bug?

2001-07-21 08:00  f4cfe

	* icom/ic706.c, icom/icom.c, icom/icom.h, include/hamlib/rig.h,
	src/Makefile.am, src/rig.c: added set/get_conf support

2001-07-21 07:57  f4cfe

	* configure: regenerated with autoconf 2.50

2001-07-21 07:56  f4cfe

	* Makefile.am: added spec file

2001-07-21 07:56  f4cfe

	* AUTHORS: misc update

2001-07-21 07:55  f4cfe

	* src/: conf.c, conf.h: Initial release

2001-07-21 07:54  f4cfe

	* configure.in: renamed to configure.ac

2001-07-21 07:52  f4cfe

	* configure.ac: cloned and adaptaded for autoconf 2.50 from
	configure.in

2001-07-21 07:50  f4cfe

	* doc/hamlib.cfg: Initial release

2001-07-20 06:09  f4cfe

	* tests/rigctl.c: major rework, start to be usable, maybe will be
	for people other than developers.

2001-07-20 06:07  f4cfe

	* include/hamlib/rig.h: misc update

2001-07-20 06:06  f4cfe

	* hamlib.spec.in, tests/rigctl.1: Initial release

2001-07-14 11:48  f4cfe

	* alinco/alinco.c: header fixes

2001-07-14 11:46  f4cfe

	* include/hamlib/riglist.h: tentec fix

2001-07-14 11:46  f4cfe

	* Makefile.in, configure, tests/Makefile.in: regenerated

2001-07-14 11:45  f4cfe

	* Makefile.am, configure.in, tests/Makefile.am: added uniden and
	tentec backends

2001-07-14 11:42  f4cfe

	* tentec/Makefile.am, tentec/Makefile.in, tentec/rx320.c,
	tentec/tentec.c, tentec/tentec.h, uniden/Makefile.am,
	uniden/Makefile.in, uniden/bc895.c, uniden/uniden.c,
	uniden/uniden.h: Initial release

2001-07-14 05:16  f4cfe

	* COPYING.LIB, LICENSE: converted to LGPL

2001-07-13 14:16  f4cfe

	* c++/rigclass.cc: converted to LGPL

2001-07-13 14:08  f4cfe

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c, aor/aor.c,
	aor/aor.h, aor/ar8200.c, dummy/dummy.c, dummy/dummy.h,
	icom/frame.c, icom/frame.h, icom/ic706.c, icom/icall.c,
	icom/icom.c, icom/icom.h, icom/icom_defs.h, icom/icr8500.c,
	include/hamlib/rig.h, include/hamlib/rigclass.h,
	include/hamlib/riglist.h, kenwood/kenwood.c, kenwood/kenwood.h,
	kenwood/ts570.c, kenwood/ts870s.c, pcr/pcr.c, pcr/pcr.h,
	pcr/pcr100.c, pcr/pcr1000.c, src/cal.c, src/cal.h, src/event.c,
	src/event.h, src/misc.c, src/misc.h, src/register.c, src/rig.c,
	src/serial.c, src/serial.h, tests/testcaps.c, winradio/winradio.c,
	winradio/winradio.h, winradio/wr1000.c, winradio/wr1500.c,
	winradio/wr1550.c, winradio/wr3100.c, winradio/wr3150.c,
	winradio/wr3500.c, winradio/wr3700.c: converted to LGPL

2001-07-11 02:09  f4cfe

	* tests/Makefile.am: fix dist

2001-07-11 02:08  f4cfe

	* include/hamlib/Makefile.in, tests/Makefile.in: regenerated

2001-07-11 02:07  f4cfe

	* include/hamlib/Makefile.am: fix header install dir

2001-07-06 03:17  f4cfe

	* src/register.c: portability fix

2001-07-02 15:36  f4cfe

	* libltdl/README: I forgot this one, here it is.

2001-07-01 06:46  f4cfe

	* include/hamlib/rig.h, alinco/alinco.c, alinco/alinco.h,
	alinco/dx77.c, dummy/dummy.c, icom/icall.c, icom/icom.c,
	icom/icom.h, kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts570.c,
	kenwood/ts870s.c, src/rig.c, tests/dumpcaps.c, tests/dumpmem.c,
	tests/rigctl.c, tests/rigmatrix.c: renamed xet_ctcss to
	xet_ctcss_tone and xet_dcs to xet_dcs_code to make it less
	ambiguous in regards to the squelch functions

2001-06-30 18:19  f4cfe

	* kenwood/: kenwood.c, kenwood.h: added ts570, probe_kenwood and
	some other new functions

2001-06-30 18:17  f4cfe

	* kenwood/Makefile.in: regenerated

2001-06-30 18:14  f4cfe

	* kenwood/Makefile.am: added TS570D and TS570S

2001-06-30 18:12  f4cfe

	* kenwood/ts570.c: initial release

2001-06-30 18:11  f4cfe

	* include/hamlib/riglist.h: added TS570S

2001-06-30 18:11  f4cfe

	* include/hamlib/rig.h: some new defines

2001-06-30 07:36  f4cfe

	* src/rig.c: converted from hamlib-doc to doxygen style API
	commenting

2001-06-27 12:32  f4cfe

	* alinco/alinco.c, alinco/alinco.h, dummy/dummy.c, icom/icom.c,
	icom/icom.h, include/hamlib/rig.h, src/rig.c, tests/rigctl.c:
	simplified xet_split_freq/xet_split_mode, now handles only tx
	freq/mode

2001-06-26 15:55  f4cfe

	* icom/icom.c, include/hamlib/rig.h, src/rig.c, tests/rigctl.c,
	icom/ic706.c, icom/icom.h, icom/icom_defs.h: added scan function

2001-06-20 01:08  f4cfe

	* alinco/alinco.h, aor/aor.c, dummy/dummy.c, icom/icom.c,
	kenwood/kenwood.c, pcr/pcr.c, src/cal.c, winradio/winradio.c,
	yaesu/yaesu.c: more win32 efforts

2001-06-20 01:06  f4cfe

	* NEWS: 1.1.2 on the way..

2001-06-20 01:03  f4cfe

	* tests/: Makefile.am, Makefile.in: misc fix

2001-06-20 00:58  f4cfe

	* Makefile.in, configure: regenerated

2001-06-20 00:56  f4cfe

	* Makefile.am, configure.in, include/config.h.in: added tcl
	bindings

2001-06-18 15:17  f4cfe

	* c++/rigclass.cc, include/hamlib/rigclass.h, tests/testcpp.cc:
	more work on C++ bindings

2001-06-17 16:54  f4cfe

	* src/event.c: misc fix

2001-06-15 02:16  f4cfe

	* include/hamlib/: rig.h, rig_dll.h: further win32 porting

2001-06-15 02:15  f4cfe

	* alinco/Makefile.in, aor/Makefile.in, doc/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, include/Makefile.in,
	kenwood/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, winradio/Makefile.in, yaesu/Makefile.in:
	regenerated

2001-06-15 02:08  f4cfe

	* alinco/alinco.h, aor/aor.c, aor/aor.h, aor/ar8200.c,
	dummy/dummy.c, dummy/dummy.h, icom/frame.h, icom/icom.c,
	icom/icom.h, kenwood/kenwood.c, kenwood/kenwood.h, pcr/pcr.c,
	pcr/pcr.h, src/cal.h, src/event.c, src/misc.c, src/misc.h,
	src/register.c, src/rig.c, src/serial.c, src/serial.h,
	winradio/winradio.c, winradio/winradio.h, yaesu/yaesu.c,
	yaesu/yaesu.h: further win32 porting

2001-06-15 02:08  f4cfe

	* tests/Makefile.in: regenerated

2001-06-15 02:06  f4cfe

	* tests/Makefile.am: added sample C++ demo program

2001-06-15 02:05  f4cfe

	* tests/testcpp.cc: Initial release

2001-06-15 01:59  f4cfe

	* include/hamlib/: rig.h, rig_dll.h: further win32 porting

2001-06-15 01:58  f4cfe

	* include/hamlib/: Makefile.am, Makefile.in: added C++ bindings

2001-06-15 01:57  f4cfe

	* Makefile.in, configure: regenerated

2001-06-15 01:56  f4cfe

	* c++/Makefile.am, c++/Makefile.in, c++/rigclass.cc,
	include/hamlib/rigclass.h: Initial release

2001-06-15 01:55  f4cfe

	* Makefile.am, configure.in: added C++ bindings

2001-06-12 19:06  f4cfe

	* include/hamlib/Makefile.in: regenerated

2001-06-12 19:02  f4cfe

	* configure, alinco/Makefile.in, aor/Makefile.in, doc/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, include/Makefile.in,
	kenwood/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, tests/Makefile.in, winradio/Makefile.in,
	yaesu/Makefile.in: * regenerated

2001-06-12 18:59  f4cfe

	* configure.in, alinco/Makefile.am, aor/Makefile.am,
	dummy/Makefile.am, icom/Makefile.am, include/hamlib/Makefile.am,
	include/hamlib/rig.h, include/hamlib/rig_dll.h,
	kenwood/Makefile.am, pcr/Makefile.am, src/Makefile.am, src/cal.h,
	src/misc.h, src/serial.c, src/serial.h, winradio/Makefile.am,
	yaesu/Makefile.am: * more win32 portability stuff

2001-06-12 18:55  f4cfe

	* Makefile.in: automake update to 1.4-p4

2001-06-12 02:09  f4cfe

	* include/hamlib/rig.h: win32 fixes

2001-06-12 02:07  f4cfe

	* alinco/alinco.c, aor/aor.c, kenwood/kenwood.c, pcr/pcr.c: better
	error handling

2001-06-10 19:43  f4cfe

	* Makefile.in, configure, alinco/Makefile.in, aor/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, kenwood/Makefile.in,
	pcr/Makefile.in, src/Makefile.in, tests/Makefile.in,
	winradio/Makefile.in, yaesu/Makefile.in: regenerated

2001-06-10 19:41  f4cfe

	* configure.in, alinco/Makefile.am, aor/Makefile.am,
	dummy/Makefile.am, icom/Makefile.am, include/hamlib/rig.h,
	kenwood/Makefile.am, pcr/Makefile.am, src/Makefile.am, src/event.c,
	src/register.c, src/rig.c, tests/Makefile.am, winradio/Makefile.am,
	yaesu/Makefile.am: more portability stuff

2001-06-10 17:31  f4cfe

	* tests/testrig.c: rig_probe works ! (at least on 706MKIIg)

2001-06-10 17:29  f4cfe

	* icom/: icom.c, icom.h: probe_icom added, better error handling

2001-06-10 17:27  f4cfe

	* icom/icom_defs.h: misc addition

2001-06-10 17:25  f4cfe

	* icom/frame.c: better error handling

2001-06-10 17:19  f4cfe

	* src/: rig.c, serial.c: better error handling in serial comm, fix
	a bug in stream openning

2001-06-09 19:43  f4cfe

	* include/hamlib/rig.h: added RIG_DEBUG_WARN

2001-06-05 13:10  f4cfe

	* tests/rigmatrix_head.html: initial release

2001-06-05 13:08  f4cfe

	* src/: rig.c, serial.c, serial.h: misc update for port_t support

2001-06-04 16:25  f4cfe

	* tests/: Makefile.am, Makefile.in: misc update (yaesu)

2001-06-04 16:24  f4cfe

	* Makefile.am, Makefile.in, configure, configure.in: added alinco
	subdir

2001-06-04 16:18  f4cfe

	* kenwood/kenwood.c: misc update

2001-06-04 16:17  f4cfe

	* include/hamlib/riglist.h, src/register.c, src/rig.c,
	tests/dumpcaps.c, tests/dumpmem.c, tests/listrigs.c,
	tests/rigctl.c, tests/rigmatrix.c, tests/testcaps.c,
	tests/testrig.c, tests/testtrn.c: new automatic backend loading and
	sparse rig_model scheme

2001-06-04 16:13  f4cfe

	* include/hamlib/rig.h: fixed rig_probe, ant_t in caps (update
	backends!), added some backend jit-loading stuff

2001-06-04 16:09  f4cfe

	* icom/frame.h: new port_t design

2001-06-04 16:07  f4cfe

	* yaesu/Makefile.in: regenerated

2001-06-04 16:07  f4cfe

	* yaesu/: Makefile.am, yaesu.c, yaesu.h: joined ft747&ft847 in new
	yaesu backend

2001-06-04 12:05  f4cfe

	* libltdl/: config.log, config.status: deadwood

2001-06-04 12:01  f4cfe

	* alinco/alinco.c, aor/aor.c, dummy/dummy.c, icom/frame.c,
	icom/icom.c, include/hamlib/rig.h, kenwood/kenwood.c, pcr/pcr.c,
	src/event.c, src/rig.c, src/serial.c, src/serial.h,
	tests/dumpmem.c, tests/rigctl.c, tests/testrig.c, tests/testtrn.c,
	winradio/winradio.c, yaesu/ft747.c, yaesu/ft847.c: new port_t
	design

2001-06-03 14:54  f4cfe

	* dummy/dummy.c, icom/ic706.c, icom/icall.c, icom/icom.c,
	icom/icom.h, icom/icr8500.c, src/rig.c, tests/dumpcaps.c,
	tests/rigctl.c: mv_ctl replaced by vfo_op, added RIG_VFO_MEM
	support

2001-06-03 14:50  f4cfe

	* include/hamlib/rig.h: mv_ctl reworked to vfo_op, added
	RIG_VFO_MEM

2001-06-03 12:39  f4cfe

	* alinco/: Makefile.am, Makefile.in, alinco.c, alinco.h, dx77.c:
	Initial release

2001-06-02 13:11  f4cfe

	* tests/Makefile.am: maintainance work

2001-06-02 13:10  f4cfe

	* dummy/dummy.c, tests/dumpcaps.c, tests/listrigs.c,
	tests/rigmatrix.c: misc update

2001-06-02 13:09  f4cfe

	* winradio/wr1500.c: misc fixes

2001-06-02 13:08  f4cfe

	* winradio/winradio.c: added FAGC/IF/RF func/level support

2001-06-02 13:07  f4cfe

	* winradio/: Makefile.am, winradio.h: added new rigs, fix optional
	backend

2001-06-02 13:06  f4cfe

	* winradio/: wr1000.c, wr1550.c, wr3100.c, wr3150.c, wr3500.c,
	wr3700.c: Initial release

2001-06-02 13:05  f4cfe

	* src/rig.c: misc update

2001-06-02 12:56  f4cfe

	* src/: event.c, misc.c, serial.c, serial.h: try to make hamlib
	more portable

2001-06-02 12:54  f4cfe

	* src/: Makefile.am, register.c: added libltdl helper

2001-06-02 12:53  f4cfe

	* pcr/pcr1000.c: misc fixes

2001-06-02 12:52  f4cfe

	* pcr/: Makefile.am, pcr.c, pcr.h: added PCR100 rig

2001-06-02 12:51  f4cfe

	* pcr/pcr100.c: initial release

2001-06-02 12:50  f4cfe

	* include/hamlib/rig.h: new tone_t type, various cleanups

2001-06-02 12:48  f4cfe

	* include/hamlib/riglist.h: new winradio models

2001-06-02 12:47  f4cfe

	* include/config.h.in: regenerated

2001-06-02 12:46  f4cfe

	* libltdl/: COPYING.LIB, Makefile.am, Makefile.in, acconfig.h,
	acinclude.m4, aclocal.m4, config.h, config.h.in, config.log,
	config.status, configure, configure.in, ltdl.c, ltdl.h, stamp-h,
	stamp-h.in: Initial release (import from libtool-1.4)

2001-06-02 12:42  f4cfe

	* lib/: Makefile.am, Makefile.in, getopt.c, getopt.h, getopt1.c:
	initial release

2001-06-02 12:40  f4cfe

	* Makefile.in, configure, aor/Makefile.in, doc/Makefile.in,
	dummy/Makefile.in, icom/Makefile.in, include/Makefile.in,
	include/hamlib/Makefile.in, kenwood/Makefile.in, pcr/Makefile.in,
	src/Makefile.in, tests/Makefile.in, winradio/Makefile.in,
	yaesu/Makefile.in: regenerated

2001-06-02 12:37  f4cfe

	* configure.in: next will be 1.1.2, winradio cleanup, added
	ltdl&libmisc helpers

2001-06-02 12:35  f4cfe

	* aclocal.m4, config.guess, config.sub, ltmain.sh: upgraded to
	automake 1.4-p2

2001-06-02 12:30  f4cfe

	* Makefile.am: added libltdl, fix for optional winradio

2001-05-28 19:51  javabear

	* ChangeLog: Changelog update for HAMLIB-1.1.1

2001-05-24 17:24  f4cfe

	* NEWS: new news

2001-05-24 17:24  f4cfe

	* include/hamlib/rig.h, src/rig.c: * misc update

2001-05-22 17:02  f4cfe

	* tests/Makefile.in: regenerated

2001-05-22 17:02  f4cfe

	* tests/Makefile.am: Install only rigctl

2001-05-22 17:01  f4cfe

	* tests/rigmatrix.c: trying to catch up

2001-05-22 16:59  f4cfe

	* kenwood/: kenwood.c, kenwood.h, ts870s.c: mispelling fixes

2001-05-22 13:05  f4cfe

	* yaesu/ft847.c: converted caps definition to new style

2001-05-15 17:06  f4cfe

	* icom/icom.c: fixed misc bug (untested)

2001-05-15 17:05  f4cfe

	* kenwood/: kenwood.c, kenwood.h, ts870s.c: * further work on the
	kenwood backend, still untested\!

2001-05-08 11:41  f4cfe

	* tests/dumpcaps.c: * more output

2001-05-08 04:11  f4cfe

	* tests/dumpcaps.c: * ts_sanity_check, parms, report warinings. Use
	dumpcaps to debug your backend\!

2001-05-08 04:08  f4cfe

	* dummy/dummy.c: * misc additions

2001-05-05 20:34  javabear

	* yaesu/: ft747.c, ft747.h: more of convert rig struct to readable
	form

2001-05-04 17:47  f4cfe

	* tests/dumpmem.c: * Initial release

2001-05-04 17:46  f4cfe

	* tests/testrig.c: * fixed RIG_PASSBAND_OLDTIME, rig model is taken
	from arg

2001-05-04 17:45  f4cfe

	* tests/dumpcaps.c: * fix vfo_list\!

2001-05-04 17:44  f4cfe

	* tests/: Makefile.am, Makefile.in: * added dumpmem

2001-05-04 17:44  f4cfe

	* src/rig.c: * added common_ctcss_list table (50 tones) * added
	support for XIT * misc updates * started work on
	rig_save_channel/rig_restore_channel   to emulate
	rig_get_channel/rig_set_channel. Seems to work on my IC706MkIIG.   
	see tests/dumpmem.

2001-05-04 17:41  f4cfe

	* src/misc.c: * freq_sprintf to handle negative freqs

2001-05-04 17:40  f4cfe

	* icom/: icom.c, icom.h: * misc updates

2001-05-04 17:39  f4cfe

	* icom/frame.c: * fixed a silly bug in mode conversion

2001-05-04 17:38  f4cfe

	* yaesu/: ft747.c, ft847.c: * adaptated to latest caps changes

2001-05-04 17:37  f4cfe

	* aor/ar8200.c, dummy/dummy.c, icom/ic706.c, icom/icall.c,
	icom/icr8500.c, kenwood/ts870s.c, pcr/pcr1000.c, winradio/wr1500.c:
	* cleanup and made it more readable

2001-05-04 17:34  f4cfe

	* include/hamlib/rig.h: * ann_t is no nore an enum. turned it to
	bit oriented type * stuffed channel_t * CAPS CHANGES:	removed:
	dtmf_digits, chan_qty, vfo_list   added: max_xit,
	level_gran&parm_gran, announces, set_xit, get_xit

2001-05-02 20:47  javabear

	* yaesu/ft747.c: starting to convert rig struct to readable form

2001-04-28 07:49  f4cfe

	* src/rig.c: * added rig_set_split_mode, rig_get_split_mode, and
	rig_send_morse

2001-04-28 07:47  f4cfe

	* include/hamlib/rig.h: * setting_t is on 64 bits now * CAPS
	MODIFICATION: added set_split_mode, get_split_mode, and send_morse

2001-04-28 07:43  f4cfe

	* tests/rigctl.c: * setting_t is on 64bits now

2001-04-28 07:42  f4cfe

	* tests/dumpcaps.c: * print out more caps

2001-04-28 07:40  f4cfe

	* kenwood/ts870s.c: * updated caps

2001-04-28 07:38  f4cfe

	* icom/: ic706.c, icall.c, icom.c, icom.h: * added
	set_split_mode/get_split_mode

2001-04-26 16:33  f4cfe

	* tests/dumpcaps.c: * misc fix

2001-04-26 16:33  f4cfe

	* winradio/wr1500.c: * added filter list, misc fixes

2001-04-26 16:32  f4cfe

	* pcr/pcr.c, winradio/winradio.c: * fixed RIG_PASSBAND_OLDTIME

2001-04-26 16:31  f4cfe

	* include/hamlib/rig.h: * silly bug on VFO defines

2001-04-26 16:29  f4cfe

	* aor/ar8200.c: * added filter list, misc fixes

2001-04-26 16:28  f4cfe

	* aor/aor.c, icom/frame.c, icom/frame.h, icom/icom.c: * fixed
	RIG_PASSBAND_OLDTIME

2001-04-24 15:04  f4cfe

	* tests/: Makefile.am, Makefile.in, testcaps.c: * new testcaps
	released

2001-04-24 14:56  f4cfe

	* tests/dumpcaps.c: * make use of freq_printf

2001-04-24 14:55  f4cfe

	* src/rig.c: * fixed a bug in rig_init

2001-04-24 14:52  f4cfe

	* src/: misc.c, misc.h: * added freq_sprintf helper

2001-04-24 14:51  f4cfe

	* include/hamlib/rig.h: * new functions

2001-04-22 09:48  f4cfe

	* icom/ic706.c: * declared VFO list (new design)

2001-04-22 09:48  f4cfe

	* tests/testrig.c: * RIG_PASSBAND_OLDTIME

2001-04-22 09:47  f4cfe

	* tests/rigctl.c: * misc update

2001-04-22 09:47  f4cfe

	* tests/dumpcaps.c: * output VFO list

2001-04-22 09:46  f4cfe

	* include/hamlib/riglist.h: * new TenTec ids

2001-04-22 09:45  f4cfe

	* include/hamlib/rig.h: * switched on new VFO defines, caps changed
	(freq_range_t)

2001-04-22 08:57  f4cfe

	* aor/aor.c, icom/frame.c, pcr/pcr.c, winradio/winradio.c,
	yaesu/ft747.c, yaesu/ft847.c: * pbwidth_t is now the passband type
	in Hz, RIG_PASSBAND_NARROW and RIG_PASSBAND_WIDE are dead now.
	Backend maintenairs, please adapt your code\!

2001-04-22 08:54  f4cfe

	* include/hamlib/rig.h: * pbwidth_t is now the passband type in Hz,
	RIG_PASSBAND_NARROW and RIG_PASSBAND_WIDE are dead now. moved
	around some stuff.

2001-04-22 08:51  f4cfe

	* doc/: Makefile.am, Makefile.in: * added rules to generate
	man/html/whatever pages from hamlib-doc

2001-03-20 16:17  f4cfe

	* API, README.developer: * outdated doc

2001-03-20 16:16  f4cfe

	* TODO: * more stuff to do

2001-03-04 17:06  f4cfe

	* include/hamlib/rig.h, src/rig.c: * added rig_reset() support

2001-03-04 17:05  f4cfe

	* icom/icom.c: * misc update

2001-03-04 07:09  f4cfe

	* NEWS: * 1.1.1 release in sight

2001-03-04 07:07  f4cfe

	* kenwood/: kenwood.c, kenwood.h: * added
	kenwood_set_trn/kenwood_get_trn (untested)

2001-03-04 07:04  f4cfe

	* include/hamlib/rig.h, aor/ar8200.c, kenwood/ts870s.c,
	pcr/pcr1000.c, src/event.c, src/rig.c, tests/testtrn.c: * misc
	define renamed

2001-03-04 07:03  f4cfe

	* icom/: ic706.c, icall.c, icom.c, icom.h, icr8500.c: * added model
	specific caps->priv support * ss calibration now make use of
	src/cal.c

2001-03-04 06:55  f4cfe

	* src/Makefile.in: * regenerated

2001-03-04 06:55  f4cfe

	* src/Makefile.am: * added cal.c

2001-03-04 06:54  f4cfe

	* src/: cal.c, cal.h: * Initial release

2001-03-04 06:45  f4cfe

	* THANKS: * misc update

2001-03-04 06:21  f4cfe

	* tests/testbcd.c: * misc update

2001-03-04 06:19  f4cfe

	* tests/README: * Initial release

2001-03-02 12:46  f4cfe

	* include/hamlib/rig.h: * CHANGE in caps: *
	set_poweron/seT_poweroff gone is favor of set_powerstat and
	get_powerstat * added new send_dtmf/recv_dtmf * added new field
	max_ifshift, dtmf_digits

2001-03-02 12:44  f4cfe

	* winradio/: Makefile.am, Makefile.in: * split caps definition of
	the WR1500 in a separate file

2001-03-02 12:43  f4cfe

	* tests/: dumpcaps.c, listrigs.c, rigctl.c, rigmatrix.c: * misc
	update

2001-03-02 12:41  f4cfe

	* src/rig.c: * set_poweron is gone in favor of set_powerstat *
	added send_dtmf and recv_dtmf wrappers

2001-03-02 12:40  f4cfe

	* kenwood/kenwood.c: * misc update

2001-03-02 12:39  f4cfe

	* icom/icom.h: * added ctcss support * set_poweroff changed to
	set_powerstat * new icall model (debug)

2001-03-02 12:37  f4cfe

	* winradio/: winradio.c, winradio.h, wr1500.c: * split caps
	definition of the WR1500 in a separate file

2001-03-02 12:35  f4cfe

	* aor/ar8200.c, icom/ic706.c, icom/icr8500.c, kenwood/ts870s.c,
	yaesu/ft747.c, yaesu/ft847.c: * added new caps fields: max_ifshift
	and dtmf_digits

2001-03-02 12:33  f4cfe

	* icom/icom.c: * added set_ctcss/get_ctcss and
	set_ctcss_sql/get_ctcss_sql, please test it! * icom_set_poweroff
	gone in favor of icom_set_powerstat * register new icall model
	(debug)

2001-03-02 12:31  f4cfe

	* icom/: Makefile.am, Makefile.in: * new icall model (for debug)

2001-03-02 12:30  f4cfe

	* icom/icall.c: * Initial release

2001-03-02 12:29  f4cfe

	* aor/aor.c, aor/aor.h, dummy/dummy.c: * set_poweroff is gone in
	favor of set_powerstat

2001-03-02 12:28  f4cfe

	* Makefile.am, Makefile.in, configure, configure.in,
	tests/Makefile.am, tests/Makefile.in: * added new 'pcr' backend
	(Icom PCR1000)

2001-03-02 12:26  f4cfe

	* pcr/: Makefile.am, Makefile.in, pcr.c, pcr.h, pcr1000.c: *
	Initial release

2001-03-02 12:24  f4cfe

	* include/hamlib/riglist.h: * added another model (for debug
	purpose)

2001-03-02 08:58  f4cfe

	* winradio/NOTES: Initial release

2001-03-01 15:25  f4cfe

	* tests/rigctl.c: * misc fixes

2001-03-01 15:22  f4cfe

	* icom/icom_defs.h, tests/dumpcaps.c, tests/rigmatrix.c: * misc
	define renamed

2001-03-01 15:22  f4cfe

	* icom/icom.h: * new icom_get_func

2001-03-01 15:21  f4cfe

	* icom/icom.c: * added icom_get_func, tested OK * fixed
	icom_get_level, tested OK * misc changes

2001-03-01 15:18  f4cfe

	* icom/ic706.c: * more caps tuning

2001-03-01 15:17  f4cfe

	* include/hamlib/rig.h: * reshuffled a little bit RIG_LEVEL and
	RIG_FUNC defines

2001-02-28 18:30  f4cfe

	* src/rig.c: * added rig_set_parm/rig_get_parm and
	rig_has_set_parm/rig_has_get_parm * added full_ctcss_list,
	dcs_ctcss_list, supposed to be complete (TBC)

2001-02-28 18:28  f4cfe

	* icom/: icom.c, icom.h: * added CTCSS table icom_ctcss_list,
	hopefully sharable among Icom's rig caps.

2001-02-28 18:26  f4cfe

	* aor/ar8200.c, dummy/dummy.c, icom/ic706.c, icom/icr8500.c,
	kenwood/ts870s.c, winradio/winradio.c, yaesu/ft747.c,
	yaesu/ft847.c: * added new fields in caps: ctcss_list, dcs_list,
	chan_list (maintainers,     please populate them!)

2001-02-28 18:23  f4cfe

	* include/hamlib/rig.h: * CAHNGE in caps: added
	has_get_parm/has_set_parm new fields	with set_parm/get_parm
	caps.	 added also chan_list array to describe what kind of chan
	your rig       is equipped with.  * set_ann/get_ann are gone.
	Welcome set_parm/get_parm. This is a   non-VFO specific version of
	levels.  * misc stuff added: ctcss, dcs, etc.

2001-02-27 17:10  f4cfe

	* src/rig.c: * misc rewrite * new fields in caps: vfo_list, priv *
	shadowed tuning_steps * coded in
	rig_passband_normal,rig_passband_narrow and rig_passband_wide	as
	examples. Not activated yet.

2001-02-27 17:05  f4cfe

	* icom/frame.c, icom/icom.c, aor/aor.c, kenwood/kenwood.c: * misc
	rewrite

2001-02-27 17:04  f4cfe

	* tests/dumpcaps.c: * more output

2001-02-27 17:03  f4cfe

	* aor/ar8200.c, dummy/dummy.c, icom/ic706.c, icom/icr8500.c,
	kenwood/ts870s.c, winradio/winradio.c, yaesu/ft747.c,
	yaesu/ft847.c: * 2 new fields in caps (vfo_list and priv)

2001-02-27 17:01  f4cfe

	* include/hamlib/riglist.h: * added few other rig models REM: this
	enum def sucks, you can't rely on stable model "ids" for backends. 
	     It would be much more reasonable to use #define instead, and  
	    having sparse id allocation. For example, all the Yaesu starts
	at 1000,       the Kenwood at 2000, the Icoms at 3000, etc. This
	way, adding a new	Yaesu model wouldn't mess up with the
	following models.

2001-02-27 16:56  f4cfe

	* include/hamlib/rig.h: * CHANGE in caps: added new field vfo_list
	to describe available VFOs   (work in progress), and priv field to
	help with generic backend inits.  * tuning_steps field is now
	shadowed in rig->state * preamp and attenuator arrays in caps/state
	are now of type int * started to code replacement for VFO and
	passband definitions * misc changes

2001-02-26 17:16  f4cfe

	* icom/icom.c: * renamed "rig_s" local variable by "rs" * filled in
	icom_set_level, not tested thoroughly though * tuned a little bit
	icom_get_level, need testing...

2001-02-25 17:14  f4cfe

	* tests/rigctl.c: * first attempt at having a combined command line
	and interactive utility,   that is able to perform single Hamlib
	API calls. For maintenance reasons,   both interfaces are combined.
	Work is not complete yet, but it works!   The "dummy" rig backend
	proved to be helpful in that regard :-)   More API calls are to
	come, and also a man page for the command line,   and explanations
	about the short/long options triggering calls.	  FIXME: API calls
	requesting more than one argument are not working yet	 (still
	have to figure out how getopt can accept more than one arg for one 
	  option...)

2001-02-25 17:06  f4cfe

	* include/hamlib/rig.h: * added RIG_LEVEL_IS_FLOAT macro to known
	which levels are of float type,   and what are the others of
	integer type.

2001-02-14 18:02  f4cfe

	* tests/testfreq.c: * spelling update

2001-02-14 18:01  f4cfe

	* tests/rigmatrix.c: * misc update

2001-02-14 18:01  f4cfe

	* tests/dumpcaps.c: * knows about dcd, port type, filters

2001-02-14 18:00  f4cfe

	* src/: serial.c, serial.h: * enabled dcd state retrieval code

2001-02-14 17:59  f4cfe

	* src/rig.c: * added rig_get_dcd support * added port_type and
	filters proper shadowing

2001-02-14 17:57  f4cfe

	* dummy/dummy.c: * started to be more verbose in API calls, still
	much work to do

2001-02-14 17:55  f4cfe

	* icom/: icom.c, icom.h: * added icom_get_dcd

2001-02-14 17:54  f4cfe

	* aor/ar8200.c, kenwood/ts870s.c, icom/ic706.c, icom/icr8500.c,
	winradio/winradio.c, yaesu/ft747.c, yaesu/ft847.c: * update after
	API modification (new fields, KHz -> kHz) * backend maintainers:
	please populate caps->filters

2001-02-14 17:51  f4cfe

	* include/hamlib/rig.h: * added rig_get_dcd() support
	(RIG_LEVEL_SQLSTAT might disappear) * renamed KHz to kHz *
	RIG_MODE_WFM is back, backends not updated yet
	
	!!! API CHANGE !!! * added new fields 'dcd_type', 'port_type' and
	'get_dcd' * caps has a new field: 'filters'. It holds the list of
	installed filters   as a table of modes/bandpass tuples. See
	hamlib-developer for discussion.

2001-02-13 19:13  f4cfe

	* tests/rigctl.c: * load 'dummy' backend

2001-02-13 19:12  f4cfe

	* tests/: listrigs.c, rigmatrix.c: * load 'dummy' backend\n* added
	proper support for RIG_TYPE_OTHER rigs

2001-02-13 19:11  f4cfe

	* tests/dumpcaps.c: * load 'dummy' backend * misc updates

2001-02-13 19:10  f4cfe

	* tests/Makefile.am: * added 'dummy' backend link path

2001-02-13 19:09  f4cfe

	* src/serial.c: * started some wider term control support (termios,
	termio, sgtty),   still not OK on win32

2001-02-13 19:08  f4cfe

	* src/rig.c: * added RIG_PORT_NONE propoer support in rig_open *
	added rig_set_ann/rig_get_ann and rig_set_ant/rig_get_ant wrappers

2001-02-13 19:06  f4cfe

	* src/register.c: * tried some cygwin porting, still not working
	yet

2001-02-13 19:05  f4cfe

	* include/hamlib/riglist.h: * added new RIG_MODEL_DUMMY; NB
	RIG_MODEL_FT847 constant is no more equal to 0

2001-02-13 19:04  f4cfe

	* include/config.h.in: * regenerated

2001-02-13 19:04  f4cfe

	* configure: * regenerated (new backend)

2001-02-13 19:03  f4cfe

	* configure.in: * added new 'dummy' backend\n* misc update

2001-02-13 19:02  f4cfe

	* Makefile.am: * added new 'dummy' backend, for debugging purpose
	mainly

2001-02-13 19:01  f4cfe

	* Makefile.in, aor/Makefile.in, doc/Makefile.in, dummy/Makefile.in,
	icom/Makefile.in, include/Makefile.in, kenwood/Makefile.in,
	src/Makefile.in, tests/Makefile.in, winradio/Makefile.in,
	yaesu/Makefile.in, include/hamlib/Makefile.in: * add missing files.
	Hopefuly, checkouts should compile fine now.

2001-02-13 18:59  f4cfe

	* dummy/: Makefile.am, dummy.c, dummy.h: * Initial release

2001-02-11 17:25  f4cfe

	* tests/: testbcd.c, testfreq.c: * misc update

2001-02-11 17:23  f4cfe

	* tests/rigmatrix.c: * update after caps changes (see rig.h
	changelog)

2001-02-11 17:22  f4cfe

	* tests/rigctl.c: * fixed various things after caps update (see
	rig.h changelog) * added support for set_level/get_level and
	set_func/get_func.    more tests needed, reports welcome!

2001-02-11 17:20  f4cfe

	* tests/listrigs.c: * added RIG_TYPE_PCRECEIVER

2001-02-11 17:19  f4cfe

	* tests/dumpcaps.c: * added RIG_TYPE_PCRECEIVER * added RIT output
	* added preamp and attenuator * added has_get_func list * removed
	RIG_LEVEL_ANT and RIG_LEVEL_ANN   etc.	* as a conclusion,
